Copyright: (c) 1996 - 2003. Corel Corporation. All rights reserved.
Citation: (c) 1996 - 2003. Corel Corporation. All rights reserved.


AboutDlg

Syntax

()

Description

Display the About Corel Presentations dialog box, which displays product and license information.


AcquireImage

Syntax

(Scale: enumeration; Left: numeric; Bottom: numeric; Right: numeric; Top: numeric)

Description

Insert a bitmap image generated by a scanner into the current drawing or slide show. The computer must have a TWAIN driver installed to use this command.

Parameters

Scale: enumeration (optional)	The scaling option. AreaBounded! FixedSize! PageBounded!
Left: numeric (optional)	The left coordinate of bounding rectangle.
Bottom: numeric (optional)	The bottom coordinate of a bounding rectangle.
Right: numeric (optional)	The right coordinate of a bounding rectangle.
Top: numeric (optional)	The top coordinate of bounding rectangle.
 Related topics


AcquireImageDlg

Syntax

()

Description

Display the Acquire Image dialog box, which is used to insert a bitmap image from a TWAIN source.

 Related topics


AcquireImageSelect

Syntax

()

Description

Display the Image Source dialog box, which is used to specify a scanner from which to acquire an image. The computer must have a TWAIN driver installed to use this command.

 Related topics


ActivateBoxField

Syntax

(FieldName: string)

Description

Activate a field in an organization chart box to edit it.

Parameters

FieldName: string	The field name of the box field to be activated and edited.
 Related topics


AddArc

Syntax

(FillAndFrame: enumeration; XCenter: measurement; YCenter: measurement; HorizontalRadius: measurement; VerticalRadius: measurement; XInitial: measurement; YInitial: measurement; XTerminal: measurement; YTerminal: measurement; ArcFlags: enumeration)

Description

Draw an arc or a circle using the Circle, Circular Arc, Ellipse, or Elliptical Arc drawing tool.

Parameters

FillAndFrame: enumeration	Specify whether the arc object is open or closed, whether the object outline is on or off, and whether the object fill is on or off. Both! ClosedFrame! Filled! OpenFrame!
XCenter: measurement	The horizontal coordinate for the center of the arc, in WordPerfect units (1200ths of an inch).
YCenter: measurement	The vertical coordinate for the center of the arc, in WordPerfect units.
HorizontalRadius: measurement	The horizontal coordinate for the radius of an elliptical arc, in Corel WordPerfect units.
VerticalRadius: measurement	The vertical coordinate for the radius of an elliptical arc in WordPerfect units.
XInitial: measurement	The horizontal coordinate for the point which indicates the starting angle of an arc, in WordPerfect units.
YInitial: measurement	The vertical coordinate for the initial point of an arc, in WordPerfect units.
XTerminal: measurement	The horizontal coordinate for the point that indicates the ending angle of an arc, in WordPerfect units.
YTerminal: measurement	The vertical coordinate for the point that indicates the ending angle of an arc, in WordPerfect units.
ArcFlags: enumeration	Indicate how the endpoints of an arc connect. Center_Connect! End2End_Connect! No_Connect!
 Related topics


AddBackground

Syntax

(BackgroundName: string)

Description

Create a new background.

Parameters

BackgroundName: string (optional)	The new background name.
 Related topics


AddBackgroundDlg

Syntax

()

Description

Display the New Background dialog box, which is used to create a new background.

 Related topics


AddLayout

Syntax

(LayoutName: string)

Description

Add a new layout to the current slide show master.

Parameters

Parameter	Description
LayoutName: string (optional)	The new layout name.
 Related topics


AddLayoutDlg

Syntax

()

Description

Display the New Layout dialog box, which is used to add a new layout to the current slide show master.

 Related topics


AddPolyCurve

Syntax

(FillAndFrame: enumeration; BasePointCount: numeric; {XControl1: measurement; YControl1: measurement; XBase: measurement; YBase: measurement; XControl2: measurement; YControl2: measurement})

Description

Draw a curve using the Curve, Closed Curve, Bezier, Freehand, or Arrow drawing tool.

Parameters

FillAndFrame: enumeration	Specify whether the curve object is open or closed, whether the object outline is on or off, and whether the object fill is on or off. Both! ClosedFrame! Filled! OpenFrame!
BasePointCount: numeric	The number of base points in the curve. Repeat the next six parameters for each base point, and enclose repeating parameters in braces {}.
XControl1: measurement (optional)	The horizontal coordinate of the first control point for a base point of the curve, in WordPerfect units (1200ths of an inch).
YControl1: measurement (optional)	The vertical coordinate of the first control point for a base point of the curve, in WordPerfect units.
XBase: measurement (optional)	The horizontal coordinate of a base point of the curve, in WordPerfect units.
YBase: measurement (optional)	The vertical coordinate of the base point of the curve, in WordPerfect units.
XControl2: measurement (optional)	The horizontal coordinate for the second control point for a base point of the curve, in WordPerfect units.
YControl2: measurement (optional)	The vertical coordinate of the second control point for a base point of the curve, in WordPerfect units.
 Related topics


AddPolyLine

Syntax

(FillAndFrame: enumeration; PointCount: numeric; {PointX: measurement; PointY: measurement})

Description

Draw a line or a polygon using the Line, Polygon, Rectangle, or Regular Polygon drawing tool.

Parameters

FillAndFrame: enumeration	Specify whether the line object is open or closed, whether the object outline is on or off, and whether the object fill is on or off. Both! ClosedFrame! Filled! OpenFrame!
PointCount: numeric	The number of base points in a line. The next two parameters are repeated for each base point. Parameters that can be repeated are enclosed in braces {}.
PointX: measurement (optional)	The horizontal coordinate of a base point, in WordPerfect units (1200ths of an inch).
PointY: measurement (optional)	The vertical coordinate of a base point, in WordPerfect units.
 Related topics


AddPolyLineWithEndCaps

Syntax

(HeadStyle: enumeration; TailStyle: enumeration; PointCount: numeric; {PointX: measurement; PointY: measurement})

Description

Draw a polyline that has end caps.

Parameters

HeadStyle: enumeration	Lets you specify the style of the head. Flat! Round! Square! Arrow! ArrowLarge! ArrowCurved! ArrowUnfilled! ArrowLargeUnfilled! ArrwoOpen! ArrowLargeOpen! ArrowCurvedOpen! Tail! TailUnfilled! TailUnfilledLine! TailFeather! DotSmall! DotLarge!
TailStyle: enumeration	Lets you specify the style of the tail. Flat! Round! Square! Arrow! ArrowLarge! ArrowCurved! ArrowUnfilled! ArrowLargeUnfilled! ArrwoOpen! ArrowLargeOpen! ArrowCurvedOpen! Tail! TailUnfilled! TailUnfilledLine! TailFeather! DotSmall! DotLarge!
PointCount: numeric	The number of base points in a line. The next two parameters are repeated for each base point. Parameters that can be repeated are enclosed in braces {}.
PointX: measurement (optional)	The horizontal coordinate of a base point, in WordPerfect units (1200ths of an inch).
PointY: measurement (optional)	The vertical coordinate of a base point, in WordPerfect units (1200ths of an inch).
 Note

•	New command

 Related topics


AddRoundedRect

Syntax

(FillAndFrame: enumeration; LeftEdge: measurement; BottomEdge: measurement; RightEdge: measurement; TopEdge: measurement; HorizontalRadius: measurement; VerticalRadius: measurement)

Description

Draw a rounded rectangle.

Parameters

FillAndFrame: enumeration	Specify whether the object outline is on or off, and whether the object fill is on or off. Both! Filled! Framed!
LeftEdge: measurement	Position of the left edge of the elliptical area of a rounded rectangle, in WordPerfect units (1200ths of an inch).
BottonEdge: measurement	The position of the botton edge of the elliptical area of a rounded rectangle, in WordPerfect units. (Please note: this is the correct spelling for this parameter.)
RightEdge: measurement	Position of the right edge of the elliptical area of a rounded rectangle, in WordPerfect units.
TopEdge: measurement	Position of the top edge of the elliptical area of a rounded rectangle, in WordPerfect units.
HorizontalRadius: measurement	The horizontal radius of the corner ellipse, in Corel WordPerfect units.
VerticalRadius: measurement	The vertical radius of the corner ellipse, in WordPerfect units.
 Related topics


AddShape

Syntax

(FillAndFrame: enumeration; LeftEdge:numeric; BottonEdge: numeric; RightEdge: numeric; TopEdge: numeric; ShapeType: numeric; GlyphType: numeric; Glyph1: numeric; Glyph2: numeric; Glyph3: numeric; Glyph4: numeric; Shape: enumeration)

Description

Lets you add a shape object to the document.

Parameters

FillAndFrame: enumeration	Lets you specify whether the object outline is on or off, and whether the object fill is on or off. Filled! Framed! Both!
LeftEdge: numeric	Lets you position the left edge of the shape.
BottonEdge: numeric	Lets you position the bottom edge of the shape.
RightEdge: numeric	Lets you position the right edge of the shape.
TopEdge: numeric	Lets you position the top edge of the shape.
ShapeType: numeric	Lets you specify the type of the shape.
GlyphType: numeric	Lets you position the type of the glyph.
Glyph1: numeric	Lets you specify the first glyph.
Glyph2: numeric	Lets you specify the second glyph.
Glyph3: numeric	Lets you specify the third glyph.
Glyph4: numeric	Lets you specify the fourth glyph.
Shape: enumeration	Lets you specify the shape.
  Notes

•	New command

•	The edges are measured in WordPerfect units. WordPerfect units are measured in 1200ths of an inch.


AddSlide

Syntax

(Count: numeric; TemplateName: string)

Description

Add one or more blank slides to the current slide show. If no parameters are specified, this command adds one slide that has been created using the current template.

Parameters

Count: numeric (optional)	The number of slides to add.
TemplateName: string (optional)	Name of template.
 Related topics


AddSlideDlg

Syntax

()

Description

Display the New Slide dialog box, which is used to add slides to the current slide show.

 Related topics


AddTextBox

Syntax

(LeftEdge: measurement; BottomEdge: measurement; RightEdge: measurement; TopEdge: measurement)

Description

Create a text area or a text line.

Parameters

LeftEdge: measurement	Specify the left edge of a text box, in WordPerfect units (1200ths of an inch.)
BottomEdge: measurement	Specify the bottom edge of a text box, in WordPerfect units.
RightEdge: measurement	Specify the right edge of a text box, in WordPerfect units.
TopEdge: measurement	Specify the top edge of a text box, in WordPerfect units.
 Related topics


AirBrush

Syntax

({X: numeric; Y: numeric})

Description

Use the Air Brush painting tool to create a bitmap object in the Bitmap Editor.

Parameters

X: numeric (optional)	The horizontal position of pixels clicked when painting. Repeat the X and Y parameters for each pixel covered, and enclose sets of repeated parameters in braces {}.
Y: numeric (optional)	The vertical position of pixels clicked when painting.
 Related topics


AlignCenterLeftRight

Syntax

()

Description

Center a selected object horizontally on the page, or align multiple selected objects with the horizontal center of the selection area.

 Related topics


AlignObjectsBottom

Syntax

()

Description

Align the bottom edge of a selected object with the bottom of the page, or align the bottom edges of multiple selected objects with the bottom edge of the lowest object.

 Related topics


AlignObjectsCenter

Syntax

()

Description

Center a selected object on the page, or align the centers of multiple selected objects with the center of the selection area.

 Related topics


AlignObjectsLeft

Syntax

()

Description

Align the left edge of a selected object with the left edge of the page, or align the left edges of multiple selected objects with the left edge of the leftmost object.

 Related topics


AlignObjectsRight

Syntax

()

Description

Align the right edge of a selected object with the right edge of the page, or align the right edges of multiple selected objects with the right edge of the rightmost object.

 Related topics


AlignObjectsTop

Syntax

()

Description

Align the top edge of a selected object with the top of the page, or align the top edge of multiple selected objects with the top edge of the highest object.

 Related topics


AlignObjectsTopBottom

Syntax

()

Description

Center a selected object vertically on the page, or align multiple selected objects with the vertical center of the selection area.

 Related topics


AlignTextBottom

Syntax

()

Description

Position text from the bottom of an organization chart box.

 Related topics


AlignTextMiddle

Syntax

()

Description

Center text vertically within an organization chart box.

 Related topics


AlignTextTop

Syntax

()

Description

Position text starting from the top of an organization chart box.

 Related topics


ApplicationMaximize

Syntax

()

Description

Maximize the size of an application window. If the window is already maximized, this command terminates the macro or redirects the macro to the LABEL specified by ONERROR.

 Related topics


ApplicationMinimize

Syntax

()

Description

Minimize an application window to an icon. If the window is already minimized, this command terminates the macro or redirects the macro to the LABEL specified by ONERROR.

 Related topics


ApplicationMove

Syntax

()

Description

Pause a macro to allow you to reposition an application window. Click the mouse or press Enter to continue playing the macro. If the window is maximized, this command terminates the macro or redirects the macro to the LABEL specified by ONERROR.

 Related topics


ApplicationRestore

Syntax

()

Description

Restore a window to its previous size. If the window has already been restored, this command terminates the macro and redirects the macro to the LABEL specified by ONERROR.

 Related topics


ApplicationSize

Syntax

()

Description

Pause a macro to allow you to resize a window. Click the mouse or press Enter to continue playing the macro. If the window is maximized, this command terminates the macro or redirects the macro to the LABEL specified by ONERROR.

 Related topics


AssignBackgroundDlg

Syntax

()

Description

Display the Assign Background dialog box, which is used to assign a background to a specified layout.

 Related topics


AssignLayoutBackground

Syntax

(LayoutName: string; BackgroundName: string)

Description

Assign a background to a specified layout.

Parameters

LayoutName: string	The layout to link to a background.
BackgroundName: string	The background to link to a layout.
 Related topics


BackgroundGallery

Syntax

()

Description

Display a gallery of slide show backgrounds that you can choose from.

 Related topics


BackgroundGetNext

Syntax

()

Description

Select the next background in the Background Name dialog box.

 Related topics


BackgroundGetPrevious

Syntax

()

Description

Select the previous background in the Background Name dialog box.

 Related topics


BackgroundInsert

Syntax

(Filename: string; KeepObjects: enumeration)

Description

Specify a background from the Background Gallery and apply it to your slide show.

Parameters

Filename: string	The name of the .WPG file to insert as the new background.
KeepObjects: enumeration	Specify whether to keep objects from the existing background before replacing it with the new one. No! Yes!
 Related topics


BackgroundNext

Syntax

()

Description

Open the next background in the Background Editor.

 Related topics


BackgroundPrevious

Syntax

()

Description

Open the previous background in the Background Editor.

 Related topics


Backspace

Syntax

()

Description

Delete the character to the left of the insertion point in the Text Editor.


BeginAcquireImageArea

Syntax

()

Description

Activate the tool used to define a rectangular area which will contain a scanned image. The image is scaled to fit inside the area, matching the closest width or height dimension of the area and maintaining the aspect ratio. A scanning device with a TWAIN driver must be installed for this command to function.

 Related topics


BeginAcquireImageFixedSize

Syntax

()

Description

Activate the tool used to scan an image into a rectangular area. The image is scaled to match both the width and height of the area. The aspect ration is maintained if the scanning software supports it. If not, the image width and height are scaled non-uniformly and the image may be distorted. A scanning device with a TWAIN driver must be installed for this command to function.

 Related topics


BeginAirBrush

Syntax

()

Description

Activate the Air Brush tool in the Bitmap Editor.

 Related topics


BeginArrow

Syntax

()

Description

Activate the Arrow drawing tool.

 Note

•	This command is obsolete.

 Related topics


BeginBezier

Syntax

()

Description

Activate the Bezier Curve drawing tool.

 Note

•	This command is obsolete.

 Related topics


BeginBitmap

Syntax

()

Description

Activate the Bitmap tool.


BeginBulletChart

Syntax

()

Description

Activate the tool used to create a new bulleted list.

 Related topics


BeginCircle

Syntax

()

Description

Activate the Circle drawing tool.

 Related topics


BeginCircularArc

Syntax

()

Description

Activate the Circular Arc drawing tool.

 Note

•	This command is obsolete.

 Related topics


BeginClosedCurve

Syntax

()

Description

Activate the Closed Curve drawing tool.

 Related topics


BeginCurve

Syntax

()

Description

Activate the Curve drawing tool.

 Related topics


BeginDataChart

Syntax

()

Description

Activate the tool used to create a data chart.

 Related topics


BeginEllipse

Syntax

()

Description

Activate the Ellipse drawing tool.

 Related topics


BeginEllipticalArc

Syntax

()

Description

Activate the Elliptical Arc drawing tool.

 Related topics


BeginFloodFill

Syntax

()

Description

Activate Flood Fill in the Bitmap Editor.

 Related topics


BeginFreehand

Syntax

()

Description

Activate the Freehand drawing tool.

 Related topics


BeginLine

Syntax

()

Description

Activate the Polyline drawing tool.

 Related topics


BeginLine2

Syntax

()

Description

Activate the Line drawing tool.

 Related topics


BeginOrgChart

Syntax

()

Description

Activate the tool used to create a new organization chart.

 Related topics


BeginPaintBrush

Syntax

()

Description

Activate the Paint Brush tool in the Bitmap Editor.

 Related topics


BeginPaintDropper

Syntax

()

Description

Activate the Pickup Color tool in the Bitmap Editor.

 Related topics


BeginPaintEraser

Syntax

()

Description

Activate the Eraser tool in the Bitmap Editor.

 Related topics


BeginPolygon

Syntax

()

Description

Activate the Polygon drawing tool.

 Related topics


BeginRectangle

Syntax

()

Description

Activate the Rectangle drawing tool.

 Related topics


BeginRegularPolygon

Syntax

()

Description

Activate the Regular Polygon drawing tool.

 Note

•	This command is obsolete.

 Related topics


BeginRetrieveFigure

Syntax

()

Description

Activate the Clipart drawing tool, which is used to insert a figure into the current document.

 Related topics


BeginRoundedRectangle

Syntax

()

Description

Activate the Rounded Rectangle drawing tool.

 Related topics


BeginSelect

Syntax

()

Description

Activate the Select drawing tool, which is used to select items to modify.


BeginSelectArea

Syntax

()

Description

Activate the tool used to select part of the current drawing in the Bitmap Editor.


BeginSelectiveReplace

Syntax

()

Description

Activate Selective Replace in the Bitmap Editor. Selective Replace allows you replace foreground-color pixels with background-color pixels.

 Related topics


BegOfLine

Syntax

()

Description

Move the insertion point to the beginning of the current line of text in the Text Editor.

 Related topics


BitmapBlur

Syntax

(Region: enumeration; Left: numeric; Top: numeric; Right: numeric; Bottom: numeric; Amount: enumeration)

Description

Apply the Blur effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Blur the full image or the portion inside or outside a selected area. Full! Inside! Outside!
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Amount: enumeration (optional)	The amount of blurring. High! Low! Medium!
 Related topics


BitmapBrightness

Syntax

(Region: enumeration; Left: numeric; Top: numeric; Right: numeric; Bottom: numeric; Percent: numeric)

Description

Change the brightness of the current bitmap image.

Parameters

Region: enumeration (optional)	Change the brightness of the full image or the portion inside or outside a selected area. Full! Inside! Outside!
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Percent: numeric (optional)	The percentage by which to increase or decrease brightness. A value of 50% specifies no change.
 Related topics


BitmapCancel

Syntax

()

Description

Close the Bitmap Editor without saving changes.


BitmapContrast

Syntax

(Region: enumeration; Left: numeric; Top: numeric; Right: numeric; Bottom: numeric; Percent: numeric)

Description

Change the contrast values for the current bitmap image.

Parameters

Region: enumeration (optional)	Change the contrast for the full image or the portion inside or outside a selected area. Full! Inside! Outside!
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Percent: numeric (optional)	The percentage by which to increase or decrease contrast. A value of 50% specifies no change.
 Related topics


BitmapCreate

Syntax

(Left: numeric; Top: numeric; Right: numeric; Bottom: numeric)

Description

Open the Bitmap Editor to create a new bitmap image. If no parameters are specified, this command creates a full-page bitmap area.

Parameters

Left: numeric (optional)	The horizontal position of the lower left corner of the bitmap area, in Corel WordPerfect units (1200ths of an inch).
Top: numeric (optional)	The vertical position of the lower left corner of the bitmap area, in WordPerfect units.
Right: numeric (optional)	The horizontal position of the upper right corner of the bitmap area, in Corel WordPerfect units.
Bottom: numeric (optional)	The vertical position of the upper right corner of the bitmap area, in WordPerfect units.


BitmapEmboss

Syntax

(Region: enumeration; Left: numeric; Top: numeric; Right: numeric; Bottom: numeric)

Description

Apply the Emboss effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Emboss the full image or the portion inside or outside a selected area. Full! Inside! Outside!
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
 Related topics


BitmapEqualize

Syntax

(Region: enumeration; Left: numeric; Top: numeric; Right: numeric; Bottom: numeric)

Description

Apply the Equalize effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Equalize the full image or the portion inside or outside a selected area. Full! Inside! Outside!
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
 Related topics


BitmapMosaic

Syntax

(Region: enumeration; Left: numeric; Top: numeric; Right: numeric; Bottom: numeric; Size: numeric)

Description

Apply the Mosaic effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Apply the Mosaic effect to the full image or to the portion inside or outside a selected area. Full! Inside! Outside!
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Size: numeric (optional)	The size of mosaic "tiles."
 Related topics


BitmapRain

Syntax

(Region: enumeration; Left: numeric; Top: numeric; Right: numeric; Bottom: numeric; Length: numeric)

Description

Apply the Rain effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Apply the Rain effect to the full image or to the portion inside or outside a selected area. Full! Inside! Outside!
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Length: numeric (optional)	The length of streaks, in pixels.
 Related topics


BitmapReturn

Syntax

()

Description

Close the Bitmap Editor and insert the bitmap object into the current drawing.

 Related topics


BitmapSaturation

Syntax

(Region: enumeration; Left: numeric; Top: numeric; Right: numeric; Bottom: numeric; Percent: numeric)

Description

Change color saturation for the current bitmap image.

Parameters

Region: enumeration (optional)	Specify whether to change color saturation for the full image or for the portion inside or outside a selected area. Full! Inside! Outside!
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Right: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Percent: numeric (optional)	The percentage by which to increase or decrease saturation. A value of 50% specifies no change.
 Related topics


BitmapSharpen

Syntax

(Region: enumeration; Left: numeric; Top: numeric; Right: numeric; Bottom: numeric; Amount: enumeration)

Description

Apply the Sharpen effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Specify whether to sharpen the full image or the portion inside or outside a selected area. Full! Inside! Outside!
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Amount: enumeration (optional)	The sharpness level. High! Low! Medium!
 Related topics


BitmapSmooth

Syntax

(Region: enumeration; Left: numeric; Top: numeric; Right: numeric; Bottom: numeric; Amount: enumeration)

Description

Apply the Smooth effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Smooth the full image or the portion inside or outside a selected area. Full! Inside! Outside!
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selection area.
Amount: enumeration (optional)	The smoothness level. High! Low! Medium!
 Related topics


BitmapSpecialEffectsDlg

Syntax

()

Description

Display the Special Effects dialog box, which is used to specify visual effects for a bitmap object in the Bitmap Editor.


BitmapSpikeRemoval

Syntax

(Region: enumeration; Left: numeric; Top: numeric; Right: numeric; Bottom: numeric; Amount: enumeration)

Description

Remove spikes from the current bitmap image.

Parameters

Region: enumeration (optional)	Remove spikes from the full image or the portion inside or outside a selected area. Full! Inside! Outside!
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Amount: enumeration (optional)	The smoothness level. High! Low! Medium!
 Related topics


BitmapStereogram

Syntax

(Region: enumeration; Left: numeric; Top: numeric; Right: numeric; Bottom: numeric)

Description

Apply the Stereogram effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Apply effect to the full image or the portion inside or outside a selected area. Full! Inside! Outside!
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
 Related topics


BitmapTrace

Syntax

()

Description

Convert a bitmap image into a vector image.


BitmapTraceContours

Syntax

(Region: enumeration; Left: numeric; Top: numeric; Right: numeric; Bottom: numeric; Amount: enumeration)

Description

Trace the edge of a bitmap object.

Parameters

Region: enumeration (optional)	Trace the full image or the portion inside or outside a selected area. Full! Inside! Outside!
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel of the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Amount: enumeration (optional)	The amount of tracing. High! Low! Medium!
 Related topics


BitmapUndo

Syntax

()

Description

Reverse the effects of the most recent editing change in the Bitmap Editor.


BitmapWind

Syntax

(Region: enumeration; Left: numeric; Top: numeric; Right: numeric; Bottom: numeric; Length: numeric; Direction: enumeration)

Description

Apply the Wind effect to the current bitmap image.

Parameters

Region: enumeration (optional)	Apply the wind effect to the full image or the area inside or outside the selected area. Full! Inside! Outside!
Left: numeric (optional)	The horizontal coordinate of the pixel in the top left corner of the selected area. Coordinates are measured from the top left pixel in the bitmap area (0,0).
Top: numeric (optional)	The vertical coordinate of the pixel in the top left corner of the selected area.
Right: numeric (optional)	The horizontal coordinate of the pixel in the bottom right corner of the selected area.
Bottom: numeric (optional)	The vertical coordinate of the pixel in the bottom right corner of the selected area.
Length: numeric (optional)	The length of streaks, in pixels.
Direction: enumeration (optional)	The direction the wind blows. Both! Left! Right!
 Related topics


BitmapZoom

Syntax

(Direction: enumeration)

Description

Toggle magnification in the Bitmap Editor so you can edit a bitmap area one pixel at a time.

Parameters

Direction: enumeration (optional)	Zoom in or out. In! Out!
 Related topics


BlackAndWhite

Syntax

()

Description

Change the colors of the selected objects to black and white.

 Note

•	This command is obsolete.

 Related topics


BlendDlg

Syntax

()

Description

Display the Blend dialog box, which is used to combine the shapes, sizes, and colors of two selected objects.

 Related topics


BlendObjects

Syntax

(BlendSteps: numeric)

Description

Combine the shapes, sizes, and colors of two selected objects.

Parameters

BlendSteps: numeric (optional)	The number of blending steps.
 Related topics


BoxAttributesDlg

Syntax

()

Description

Display the BoxProperties dialog box, which is used in organization charts to change box colors, appearance, and style.


BranchZoomInOut

Syntax

(ZoomInOut: enumeration)

Description

Zoom the selected branch in or out.

Parameters

ZoomInOut: enumeration (optional)	Off! On!


BrushAttributesDlg

Syntax

()

Description

Display the Brush Attributes dialog box, which is used in the Bitmap Editor to specify brush shape, width, and spray density.


BulletChartAttrEnd

Syntax

(SaveTo: enumeration)

Description

Close a command sequence used to specify bulleted list attributes. Precede with BulletChartAttrStart and commands which specify attributes.

Parameters

SaveTo: enumeration (optional)	Specify where to save style information. Chart! Layout!
 Related topics


BulletChartAttrStart

Syntax

()

Description

Begin a command sequence used to specify bullet chart attributes. Follow with commands which specify attributes and with BulletChartAttrEnd.

 Related topics


CallCorelWebPage

Syntax

()

Description

Get help from the Corel WordPerfect Office 2002 Suite home page.


CapBeginSentence

Syntax

(State: enumeration)

Description

Turn Capitalize next letter after end-of-sentence punctuation on or off in QuickCorrect.

Parameters

State: enumeration (optional)	Capitalization correction is on or off. Off! On!
 Related topics


ChartArea

Syntax

()

Description

Change the current chart to an area chart.

 Related topics


ChartAttributesDlg

Syntax

()

Description

Display the Fill Attributes dialog box in the Chart Editor.


ChartAutoRedraw

Syntax

()

Description

Automatically update a chart when data in the Datasheet changes.


ChartBar

Syntax

()

Description

Change the current chart to a bar chart.


ChartBoxAttributesDlg

Syntax

()

Description

Display the Box Attributes dialog box, which is used to specify text box options for charts.


ChartBoxFields

Syntax

(Count: numeric; ChangeFlag: enumeration; LabelsOn: numeric; {Label: string})

Description

Define the labels for an organization chart.

Parameters

Count: numeric (optional)	The number of labels to define.
ChangeFlag: enumeration (optional)	Specify whether changes occur for the whole chart or selected items only. Selected_Subsequent! SelectedItems! SubsequentItem!
LabelsOn: numeric (optional)	Turn labels on.
Label: string (optional)	The label definition. Repeat this parameter for each label, and enclose repeating parameters in braces.
 Related topics


ChartBoxFieldsDlg

Syntax

()

Description

Display the Define Labels dialog box for organization charts, which is used to specify label options.

 Related topics


ChartBubbleChart

Syntax

()

Description

Create a chart that displays x, y, size data.


ChartCancelDrop

Syntax

()

Description

Cancel the drop operation in an organization chart.

 Related topics


ChartClearAll

Syntax

()

Description

Clear all data or text from the current chart. This command works for both data charts and organization charts.

 Related topics


ChartClearDlg

Syntax

()

Description

Display the Clear dialog box, which is used to erase chart data, data format, or both.


ChartClearText

Syntax

()

Description

Clear all text from an organization chart.


ChartClose

Syntax

()

Description

Close the Chart Editor and insert the chart into the current drawing.


ChartCollapseSubordinates

Syntax

()

Description

Hide the subordinate positions on the selected branch.

 Related topics


ChartCopy

Syntax

()

Description

Copy selected data or text from a chart to the Clipboard.

 Related topics


ChartCopyContents

Syntax

()

Description

Copy the contents of a selected organization chart box.

 Related topics


ChartCreate

Syntax

(Type: enumeration; GalleryStyle: enumeration; SampleData: enumeration; ThreeDChart: enumeration)

Description

Create a new data chart. Precede with BeginDataChart and ChartSetCreateSize.

Parameters

Type: enumeration	The type of chart to create. Area! HiLo! HorzBar! Line! Mixed! Pie! Radar! Scatter! Surface! Table! VertBar!
GalleryStyle: enumeration	The button number in the Chart Gallery. Button1! Button2! Button3! Button4! Button5! Button6!
SampleData: enumeration	Use sample data. No! Yes!
ThreeDChart: enumeration	Make the new chart appear three-dimensional. No! Yes!
 Related topics


ChartCreateBullet

Syntax

()

Description

Create a new bulleted list.

 Related topics


ChartCreateDlg

Syntax

()

Description

Display the Create Data Chart dialog box, which is used to create a new data chart.

 Related topics


ChartCreateOrg

Syntax

(GalleryStyle: enumeration)

Description

Create a new organization chart.

Parameters

GalleryStyle: enumeration	The button number in the Chart Gallery. Button1! Button10! Button11! Button12! Button13! Button14! Button15! Button16! Button17! Button18! Button19! Button2! Button20! Button3! Button4! Button5! Button6! Button7! Button8! Button9!
 Related topics


ChartCreateOrgDlg

Syntax

()

Description

Display the Organization Chart dialog box, which is used to create a new organization chart.

 Related topics


ChartCut

Syntax

()

Description

Move selected data or text from a chart to the Clipboard.

 Related topics


ChartDataAxisDlg

Syntax

()

Description

Change the scale, values, and tick options of the x-axis.


ChartDataColWidthDlg

Syntax

()

Description

Display the Column Width dialog box, which is used to edit the width of a chart's Datasheet columns.

 Related topics


ChartDataExcludeDlg

Syntax

()

Description

Display the Exclude dialog box, which is used to exclude specified rows or columns in a chart's Datasheet so the data they contain is not charted.

 Related topics


ChartDataFillDlg

Syntax

()

Description

Display the Data Fill dialog box, which is used to fill a chart's Datasheet cells with a series of numbers or dates.

 Related topics


ChartDataFormatDlg

Syntax

()

Description

Display the Format dialog box, which is used to change the number format or date format of the selected chart's Datasheet cells.


ChartDataFormulasDlg

Syntax

()

Description

Display the Row/Column Formulas dialog box, which is used to enter formulas in a chart's Datasheet.

 Related topics


ChartDataFrameDlg

Syntax

()

Description

Display the Frame dialog box, which is used to modify a chart frame and base height.


ChartDataGridTickDlg

Syntax

()

Description

Display the Grid and Tick Options dialog box, which is used to modify the display of grids and ticks in a data chart.


ChartDataIncludeDlg

Syntax

()

Description

Display the Include dialog box, which is used to chart only the data contained in selected rows or columns of a chart's Datasheet.

 Related topics


ChartDataLabelsDlg

Syntax

()

Description

Display the Labels dialog box, which is used to edit axis labels, data labels, or table text in a data chart.


ChartDataLayoutDlg

Syntax

()

Description

Display the Layout dialog box, which is used to modify the depth, size, and display of a data chart.


ChartDataLegendDlg

Syntax

()

Description

Display the Legend dialog box, which is used to display, hide, or move a chart's legend.


ChartDataPerspectiveDlg

Syntax

()

Description

Display the Perspective Options dialog box, which is used to change the angle from which a data chart is viewed.


ChartDataRecalc

Syntax

()

Description

Recalculate the current data chart after new data has been entered.


ChartDataSeriesDlg

Syntax

()

Description

Display the Series Options dialog box, which is used to change the way a row of data is graphically represented in a chart's Datasheet.


ChartDataSortDlg

Syntax

()

Description

Display the Sort Data dialog box, which is used to sort chart data in ascending or descending order.


ChartDataStatisticsDlg

Syntax

()

Description

Display the Statistics dialog box, which displays statistical calculations of selected chart data.


ChartDataSubtitleDlg

Syntax

()

Description

Display the Subtitle Properties dialog box, which is used to specify chart subtitle options.


ChartDataTitlesDlg

Syntax

()

Description

Display the Title Properties dialog box, which is used to define a data chart title.


ChartDataY1AxisDlg

Syntax

()

Description

Display the Y1-Axis Properties dialog box, which is used to change scale, value, and tick options for the primary Y axis.


ChartDataY2AxisDlg

Syntax

()

Description

Display the Y2-Axis Properties dialog box, which is used to change scale, value, and tick options for the secondary Y axis.


ChartDeleteDlg

Syntax

()

Description

Display the Delete dialog box, which is used to remove selected rows or columns from a chart's Datasheet.


ChartDrop

Syntax

()

Description

Move the selected organization chart box and drop it onto another box (the drop target).

 Related topics


ChartDropCopy

Syntax

()

Description

Drop a copy of the selected organization chart box onto another box (the drop target).

 Related topics


ChartDropTarget

Syntax

(Position: enumeration; {BoxLocation: numeric})

Description

Drop selected organization chart boxes onto the box you specify.

Parameters

Position: enumeration	The location of the dropped boxes. After! Before! Beneath! Replace!
BoxLocation: numeric	The location of the box receiving the drop.
 Related topics


ChartEdit

Syntax

(StyleButtonNum: enumeration; ChartType: enumeration; SampleData: enumeration; ThreeD: enumeration)

Description

Activate editing mode for the current chart.

Parameters

StyleButtonNum: enumeration (optional)	The Chart Gallery button number. Data charts (1-7), organization charts (1-20). Button1! Button10! Button11! Button12! Button13! Button14! Button15! Button16! Button17! Button18! Button19! Button2! Button20! Button3! Button4! Button5! Button6! Button7! Button8! Button9!
ChartType: enumeration (optional)	The data chart type. Area! HiLo! HorzBar! Line! Mixed! Pie! Radar! Scatter! Surface! Table! VertBar!
SampleData: enumeration (optional)	Use sample data. No! Yes!
ThreeD: enumeration (optional)	Three-dimensional appearance. No! Yes!


ChartEditBox

Syntax

()

Description

Edit the text in the currently selected organization chart box.

 Related topics


ChartEditCellDlg

Syntax

()

Description

Display the Edit Current Cell dialog box, which is used to edit chart data.


ChartExpandSubordinates

Syntax

()

Description

Display the subordinate positions under the selected box in an organization chart.

 Related topics


ChartFillAttributesDlg

Syntax

()

Description

Display the Fill Attributes dialog box, which is used to specify fill options for chart objects.


ChartFontAttributesDlg

Syntax

()

Description

Display the Text Attributes dialog box, which is used to specify the appearance of chart text.


ChartFontDlg

Syntax

()

Description

Display the Font dialog box, which is used to specify a font for chart text.


ChartGallery

Syntax

(StyleButtonNum: enumeration; GalleryType: enumeration; ThreeD: enumeration)

Description

Display the Chart Gallery, which is used to view and retrieve chart layouts.

Parameters

StyleButtonNum: enumeration	The gallery button number. Data charts (1-7), organization charts (1-20). Button1! Button10! Button11! Button12! Button13! Button14! Button15! Button16! Button17! Button18! Button19! Button2! Button20! Button3! Button4! Button5! Button6! Button7! Button8! Button9!
GalleryType: enumeration (optional)	The chart type. Area! HiLo! HorzBar! Line! Mixed! Org! Pie! Radar! Scatter! Surface! Table! VertBar!
ThreeD: enumeration (optional)	Display three-dimensional data charts only. No! Yes!
 Related topics


ChartGalleryDlg

Syntax

()

Description

Display the Data Chart gallery, which shows predefined chart styles.

 Related topics


ChartGetAttrs

Syntax

()

Description

Change the default organization chart attributes to those of the selected chart object.

 Related topics


ChartGotoCell2

Syntax

()

Description

Place the insertion point in the Datasheet cell corresponding to a selected data chart object.


ChartGotoCellDlg

Syntax

()

Description

Display the Go To dialog box, which is used to move the insertion point to a specified cell in a chart's Datasheet.


ChartHiLo

Syntax

()

Description

Change the current chart to a high/low chart.


ChartInsertCoworker

Syntax

()

Description

Add a coworker box to the current organization chart.

 Related topics


ChartInsertDataDlg

Syntax

()

Description

Display the Insert dialog box, which is used to add rows or columns to a chart's Datasheet.

 Related topics


ChartInsertManager

Syntax

()

Description

Add a manager box to the current organization chart.

 Related topics


ChartInsertNode

Syntax

(NodeType: enumeration; NumberOfNodes: numeric; Direction: enumeration)

Description

Add a coworker, subordinate, or staff position to the current organization chart.

Parameters

NodeType: enumeration (optional)	The type of position to insert. Coworker! Manager! Staff! Subordinate!
NumberOfNodes: numeric (optional)	The number of positions to add.
Direction: enumeration (optional)	The direction in which to insert boxes. Down! Left! Right! Up!
 Related topics


ChartInsertStaff

Syntax

()

Description

Add a staff box to the current organization chart.

 Related topics


ChartInsertSubordinate

Syntax

()

Description

Add a subordinate box to the current organization chart.

 Related topics


ChartLine

Syntax

()

Description

Change the current chart to a line chart.


ChartLineAttributesDlg

Syntax

()

Description

Display the Line Attributes dialog box in the Chart Editor, which is used to define the appearance of lines used in charts.


ChartMoveContents

Syntax

()

Description

Move the contents of the selected organization chart box to another box (the drop target).


ChartOpenFileDlg

Syntax

()

Description

Display the Import Data dialog box, which is used to retrieve data or text into a chart's Datasheet.

 Related topics


ChartOrDataWindowNext

Syntax

()

Description

Toggle the insertion point between a data chart and its associated Datasheet.


ChartPaste

Syntax

()

Description

Retrieve Clipboard contents into the current chart's Datasheet at the insertion point.

 Related topics


ChartPasteBranch

Syntax

()

Description

Replace the selected branch with data from the Clipboard.


ChartPasteTranspose

Syntax

()

Description

Move chart data from rows to columns or from columns to rows using the Clipboard.

 Related topics


ChartPie

Syntax

()

Description

Change the current chart to a pie chart.


ChartPromoteBox

Syntax

()

Description

Move the contents of the currently selected box up one level, replacing the contents of the manager's box.

 Related topics


ChartPutAttrs

Syntax

()

Description

Apply the current organization chart attributes to selected chart objects.

 Related topics


ChartRadar

Syntax

()

Description

Change the current chart to a radar chart.


ChartRenameBoxField

Syntax

(OldName: string; NewName: string)

Description

Change the placeholder text for a box field in an organization chart.

Parameters

OldName: string	The old box field name.
NewName: string	The new box field name.


ChartResetTextLocation

Syntax

()

Description

Reposition text to original position.


ChartSaveAsDlg

Syntax

()

Description

Display the Export Chart Data dialog box, which is used to save chart data in a specified format.

 Related topics


ChartScatter

Syntax

()

Description

Change the current chart to a scatter chart.


ChartSelectAll

Syntax

()

Description

Select all cells in a chart's Datasheet.

 Related topics


ChartSelectBox

Syntax

(BoxType: enumeration)

Description

Select a text box in the current data chart.

Parameters

BoxType: enumeration	The type of text box. DataLabels! Legend! OBSOLETE! PieTitles! Subtitle! Title!


ChartSelectBranch

Syntax

()

Description

Select a branch in an organization chart.


ChartSelectFrameBase

Syntax

(Frame: enumeration)

Description

Select a frame or base in the current data chart. Not valid for pie charts.

Parameters

Frame: enumeration	The position of the frame or base. Back! Bottom! Front! Left! Right! Top!


ChartSelectGTA

Syntax

(GridTickAxis: enumeration; AxisType: enumeration)

Description

Select a grid, tick, or axis in the current data chart.

Parameters

GridTickAxis: enumeration	The type of grid, tick, or axis. Axis! GridMajor! GridMinor! TickMajor! TickMinor!
AxisType: enumeration	The type of axis. X! Y1! Y2!


ChartSelectLevels

Syntax

(StartLevel: numeric; NumberOfLevels: numeric)

Description

Select one or more levels in an organization chart.

Parameters

StartLevel: numeric (optional)	The beginning level of selection.
NumberOfLevels: numeric (optional)	The number of levels to select.
 Related topics


ChartSelectLevelsDlg

Syntax

()

Description

Display the Select Levels dialog box for organization charts.

 Related topics


ChartSelectLines

Syntax

()

Description

Select all connecting lines.


ChartSelectNext

Syntax

()

Description

Select the next chart object in the current data chart.

 Related topics


ChartSelectPieText

Syntax

(pie: numeric; text_type: numeric; label_pos: enumeration)

Description

Select pie text by pie and text type.

Parameters

pie: numeric	The pie belonging to the text you want to select.
text_type: numeric	The type of text you want to select.
label_pos: enumeration (optional)	In! Out!


ChartSelectPieWedge

Syntax

(PieNumber: numeric; WedgeNumber: numeric)

Description

Select a pie wedge in the current pie chart.

Parameters

PieNumber: numeric	The pie number.
WedgeNumber: numeric	The pie wedge number.


ChartSelectPrev

Syntax

()

Description

Select the previous chart object in the current data chart.

 Related topics


ChartSelectSeries

Syntax

(RowNumber: numeric)

Description

Select a specified series (a row of data) in the current data chart.

Parameters

RowNumber: numeric	The series row number.
 Related topics


ChartSelectText

Syntax

(TextType: enumeration)

Description

Select the text within a text box in the current data chart.

Parameters

TextType: enumeration	The type of chart text. DataLabels! LegendSeries! LegendTitle! OBSOLETE! PieTitles! Subtitle! TableCells! Title! XAxisTitle! XLabels! Y1AxisTitle! Y1Labels! Y2AxisTitle! Y2Labels!


ChartSetAbove

Syntax

()

Description

Display labels above data points in the current data chart. Not valid for pie charts.

 Related topics


ChartSetAxisTitleHorz

Syntax

()

Description

Display the axis title horizontally.


ChartSetAxisTitleVert

Syntax

()

Description

Display the axis title vertically.


ChartSetBack

Syntax

()

Description

Toggle display of the back frame in the current data chart.

 Related topics


ChartSetBelow

Syntax

()

Description

Display labels below the data point in the current data chart.

 Related topics


ChartSetBottom

Syntax

()

Description

Toggle display of the back frame in the current data chart.

 Related topics


ChartSetCenter

Syntax

()

Description

Center the current data chart title.

 Related topics


ChartSetCreateSize

Syntax

(Left: numeric; Bottom: numeric; Right: numeric; Top: numeric)

Description

Specify the size of a new chart.

Parameters

Left: numeric	The left coordinate of a new chart, in WordPerfect units (1200ths of an inch).
Bottom: numeric	The bottom coordinate of a new chart, in WordPerfect units.
Right: numeric	The right coordinate of a new chart, in WordPerfect units.
Top: numeric	The top coordinate of a new chart, in WordPerfect units.
 Related topics


ChartSetFront

Syntax

()

Description

Toggle display of the back frame in the current data chart.

 Related topics


ChartSetHide

Syntax

()

Description

Hide a selected label, grid, tick, or frame in the current data chart.

 Related topics


ChartSetHorz

Syntax

()

Description

Display a legend horizontally in the current data chart.

 Related topics


ChartSetInside

Syntax

()

Description

Display the legend inside the current data chart.

 Related topics


ChartSetLabels

Syntax

()

Description

Toggle display of the back frame in the current data chart.

 Related topics


ChartSetLeft

Syntax

()

Description

Display the left data chart frame.

 Related topics


ChartSetLegend

Syntax

()

Description

Toggle display of the back frame in the current data chart.

 Related topics


ChartSetLinear

Syntax

()

Description

Set the current axis to the linear scale.


ChartSetLog

Syntax

()

Description

Set the current axis to the logarithmic scale.


ChartSetOutside

Syntax

()

Description

Display the legend outside the current data chart.

 Related topics


ChartSetRight

Syntax

()

Description

Toggle display of the back frame in the current data chart.

 Related topics


ChartSetSpacing

Syntax

(VertSpacing: numeric; HorzSpacing: numeric)

Description

Set the spacing between boxes in an organization chart.

Parameters

VertSpacing: numeric (optional)	The spacing from an organization chart box to its subordinates.
HorzSpacing: numeric (optional)	The spacing between co-workers on an organization chart.
 Related topics


ChartSetSpacingDlg

Syntax

()

Description

Display the Organization Chart Spacing dialog box, which is used to set spacing between organization chart boxes.

 Related topics


ChartSetStagger

Syntax

()

Description

Stagger the display of X-axis labels in the current data chart.

 Related topics


ChartSetTitleLeft

Syntax

()

Description

Display a chart title or subtitle in the left position.

 Related topics


ChartSetTitleRight

Syntax

()

Description

Display a chart title or subtitle in the right position.

 Related topics


ChartSetTop

Syntax

()

Description

Toggle display of the back frame in the current data chart.

 Related topics


ChartSetUnStagger

Syntax

()

Description

Display X-axis labels so they are not staggered.

 Related topics


ChartSetVert

Syntax

()

Description

Display a legend vertically in the current data chart.

 Related topics


ChartSetY1

Syntax

()

Description

Put the currently selected series on the Primary Y axis.

 Related topics


ChartSetY2

Syntax

()

Description

Put the currently selected series on the Secondary Y axis.

 Related topics


ChartSubtitleToggle

Syntax

()

Description

Toggle a chart subtitle on and off.

 Related topics


ChartSurface

Syntax

()

Description

Change the current chart to a surface chart.

 Related topics


ChartTextUserPos

Syntax

(Type: enumeration; Subtype: numeric; Subtype2: numeric; Subtype3: numeric; X_Value: numeric; Y_value: numeric)

Description

Specify an exact location for text in a data chart. You can define separate locations for each text item, such as the title or subtitle.

Parameters

Type: enumeration	AxisTitle! DataLabel! Legend! PieLabel! PieTitles! Subtitle! Title!
Subtype: numeric	The type of chart text.
Subtype2: numeric	The type of chart text.
Subtype3: numeric	The type of chart text.
X_Value: numeric	The horizontal location.
Y_value: numeric	The vertical location.


ChartTitlesDisplay

Syntax

(TitleIndex: enumeration; Display: enumeration)

Description

Display or hide chart titles or legend titles in a data chart.

Parameters

TitleIndex: enumeration	The title type. Legend! PieTitle! Subtitle! Title! X! Y1! Y2!
Display: enumeration	Display a chart title. Off! On!
 Related topics


ChartTitleToggle

Syntax

()

Description

Toggle a chart title on and off.

 Related topics


ChartToggle3D

Syntax

()

Description

Toggle between three-dimensional and two-dimensional data chart views.

 Related topics


ChartToggleHorzVert

Syntax

()

Description

Toggle between horizontal and vertical data chart views.

 Related topics


ChartToggleTable

Syntax

()

Description

Toggle between data chart views that show or hide a corresponding table of data.

 Related topics


ChartUnselectAll

Syntax

()

Description

Unselect all objects in the chart editor.

 Related topics


ChartViewDatasheet

Syntax

(Show: enumeration)

Description

Toggle the display of the Datasheet in a data chart.

Parameters

Show: enumeration (optional)	Display the Datasheet. Off! On!
 Related topics


ChartViewOrgOutline

Syntax

(Show: enumeration)

Description

Display or hide the organization chart outline.

Parameters

Show: enumeration (optional)	Off! On!


ChartZeroBaseline

Syntax

(Display: enumeration)

Description

Toggle the zero baseline.

Parameters

Display: enumeration	Off! On!


ClearBackground

Syntax

()

Description

Erase the current background in the Background Editor.


ClearBitmap

Syntax

()

Description

Erase the current bitmap area without closing the Bitmap Editor.

 Related topics


ClearDocument

Syntax

()

Description

Display the Clear dialog box, which is used to remove objects from a drawing, slide, slide show, layout, background, or master. Dialog box options vary according to the current program state. Not recordable.

 Note

•	This command is obsolete.

 Related topics


ClearDrawing

Syntax

()

Description

Display the Clear Drawing dialog box, which is used to delete all items from the current drawing window.

 Related topics


ClearLayout

Syntax

()

Description

Remove all objects from the current layout.

 Related topics


ClearMaster

Syntax

()

Description

Remove all layouts and backgrounds from the current master.

 Related topics


ClearMasterDlg

Syntax

()

Description

Display the Clear dialog box with the options Master and Current Background available.

 Related topics


ClearPresentation

Syntax

()

Description

Clear all slides from the current slide show.

 Related topics


ClearPresentationDlg

Syntax

()

Description

Display the Clear dialog box with the options Slide Show and Slide # available (with # indicating the current slide number).

 Related topics


ClearSlide

Syntax

()

Description

Remove all objects from the current slide.

 Related topics


ClipArtBrowser

Syntax

()

Description

Display the Clipart browser.

 Related topics


ClipboardCopy

Syntax

()

Description

Copy selected objects or text to the Clipboard.

 Related topics


ClipboardCut

Syntax

()

Description

Move selected objects or text to the Clipboard.

 Related topics


ClipboardPaste

Syntax

()

Description

Insert Clipboard contents into the current drawing at the insertion point.

 Related topics


CombineObjects

Syntax

()

Description

Combine the selected objects into a compound polygon.

 Related topics


ConnectorsDlg

Syntax

()

Description

Display the Connectors dialog box, which is used to modify connectors between organization chart levels.

 Related topics


ContourText

Syntax

(VertJust: enumeration; HorzJust: enumeration; ShowPath: enumeration)

Description

Shape selected text to the outline of a selected drawing object.

Parameters

VertJust: enumeration	The vertical position of text in relation to the curve it follows. Bottom! Top!
HorzJust: enumeration	The horizontal position of text in relation to the curve it follows. Center! Left! Right!
ShowPath: enumeration	Show the object as well as the contoured text. No! Yes!
 Related topics


ContourTextAttributesDlg

Syntax

()

Description

Display the Contour Text dialog box, which is used to shape text to the outline of a selected drawing object.

 Related topics


ConvertToBitmap

Syntax

()

Description

Convert the selected objects to bitmap format.

 Related topics


ConvertToPolygon

Syntax

()

Description

Convert the selected objects to polygon format.

 Note

♦	New command


CopyMarquee

Syntax

()

Description

Copy a selected bitmap area to the Clipboard.

 Related topics


CopySelectedSlides

Syntax

(To: numeric)

Description

Copy selected slides to a specified position in the current slide show.

Parameters

To: numeric	Specify which slide the copies follow.
 Related topics


CrosshairCursor

Syntax

(State: enumeration)

Description

Turn the crosshair pointer on or off. If no parameter is specified, the command toggles the crosshair pointer.

Parameters

State: enumeration (optional)	The crosshair cursor is on or off. Off! On!


CutMarquee

Syntax

()

Description

Move a selected bitmap area to the Clipboard.

 Related topics


DatasheetBlockMode

Syntax

()

Description

Toggle on and off the select mode in a chart's Datasheet.


DatasheetColWidth

Syntax

(Width: numeric)

Description

Specify a chart's Datasheet column width in number of characters.

Parameters

Width: numeric	The column width in characters.
 Related topics


DatasheetDateFmt

Syntax

(Format: enumeration; CustFmtStr: string)

Description

Format the selected chart's Datasheet cells as dates.

Parameters

Format: enumeration	The date format. DD_MMM! DD_MMM_YY! General! HH_MM! HH_MM_SS! MM_DD! MM_DD_YY! MM_DD_YY_HH_MM_SS! MM_YY! MMM_DD! MMM_DD_YY! MMM_YY! Q_YY! QTR_YY! UserDef! YYYY! YYYY_MM_DD!
CustFmtStr: string (optional)	The user-defined date format. Contains the date string defining the user-defined date format.
 Related topics


DatasheetDelete

Syntax

(Direction: enumeration; Number: numeric)

Description

Remove rows or columns from a chart's Datasheet.

Parameters

Direction: enumeration	Delete rows or columns. Columns! Rows!
Number: numeric	The number of rows or columns to delete.
 Related topics


DatasheetDown

Syntax

(Count: numeric; BlockExtend: enumeration)

Description

Move the insertion point down a specified number of cells in a chart's Datasheet.

Parameters

Count: numeric	The number of cells down to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No! Yes!
 Related topics


DatasheetExclude

Syntax

(Direction: enumeration)

Description

Exclude the data in the selected Datasheet rows or columns from a chart.

Parameters

Direction: enumeration	Exclude columns or rows. Columns! Rows!
 Related topics


DatasheetExport

Syntax

(Filename: string; Delimiter: numeric; Format: enumeration)

Description

Export data from a chart's Datasheet to a file.

Parameters

Filename: string	The name of the file to contain exported data.
Delimiter: numeric	The ASCII numeric equivalent of a character to use as a delimiter for each Datasheet cell.
Format: enumeration	The file format. Ansi! Ascii!
 Related topics


DatasheetFillDates

Syntax

(Start: numeric; Step: numeric; StepType: enumeration; Direction: enumeration)

Description

Fill the current chart's Datasheet with a series of dates.

Parameters

Start: numeric	The starting date. The date 1/1/1900 12:00 am is represented by a 1. To determine the numeric equivalent of a date, type the date in the Start entry box, then choose Linear or Growth from the Type options.
Step: numeric	Increment between dates.
StepType: enumeration	The type of increment. Days! Hours! Minutes! Months! Qtrs! Seconds! Weekdays! Weeks! Years!
Direction: enumeration	Fill a Datasheet by rows or columns. Columns! Rows!
 Related topics


DatasheetFillNumbers

Syntax

(Start: numeric; Step: numeric; FillType: enumeration; Direction: enumeration)

Description

Fill a chart's Datasheet with a series of numbers.

Parameters

Start: numeric	The starting number.
Step: numeric	Increment between numbers.
FillType: enumeration	The type of increment. Growth! Linear!
Direction: enumeration	Fill a Datasheet by rows or columns. Columns! Rows!
 Related topics


DatasheetFormula

Syntax

(Function: enumeration; RowCol: enumeration; Dest: numeric; Arguments: string; MovAveArg: string; PolyFitOrder: numeric; FitForecast: numeric)

Description

Apply a formula to rows or columns of a chart's Datasheet.

Parameters

Function: enumeration	The function to perform on selected data. AbsVal! Average! Cosine! CumTotal! Difference! FitExp! FitLin! FitLog! FitPoly! FitPower! Max! Min! MovAve! None! Percent! Sine! Sum!
RowCol: enumeration	Fill by columns or rows. Column! Row!
Dest: numeric	The row or column to contain the formula results.
Arguments: string	The beginning and ending row or column numbers, separated by a comma.
MovAveArg: string	The number of values to average before and after each chart item when calculating a moving average.
PolyFitOrder: numeric	The number of points in the Order of Curve Fit when charting a fit polynomial curve.
FitForecast: numeric	Indicate how far to forecast.
 Related topics


DatasheetGoto

Syntax

(Column: numeric; Row: numeric; BlockExtend: enumeration; MouseClick: enumeration)

Description

Move the insertion point to a specified cell in a chart's Datasheet.

Parameters

Column: numeric	The column number.
Row: numeric	The row number.
BlockExtend: enumeration	Creates a selected block of cells between, and including, the cell specified by the Column and Row parameter, and the cell that was selected prior to the execution of this command. No! Yes!
MouseClick: enumeration	Cells scroll into view, as they do when you click the mouse to select a cell. No! Yes!
 Related topics


DatasheetHome

Syntax

(ControlKey: enumeration)

Description

Perform the function of the Home key in a chart's Datasheet. The Home key is used with other keystrokes to move the insertion point in a Datasheet.

Parameters

ControlKey: enumeration (optional)	Indicate whether the Control key was pressed in addition to the Home key. This parameter will cause the cursor to move to cell 0,0. No! Yes!


DatasheetImport

Syntax

(Filename: string; Clear: enumeration; Link: enumeration; Transpose: enumeration; Location: enumeration; Range: string)

Description

Import data from a spreadsheet file into a chart's Datasheet.

Parameters

Filename: string	The datasheet file to import.
Clear: enumeration (optional)	Clear the data chart Datasheet before importing spreadsheet data. Clear! NoClear!
Link: enumeration (optional)	Link the import file to the file containing the data chart. Link! NoLink!
Transpose: enumeration (optional)	Transpose the imported data. NoTranspose! Transpose!
Location: enumeration	Import data to the top left cell (0,0), or the cell containing the insertion point. CurrentCell! TopLeft!
Range: string (optional)	The range of spreadsheet cells from which to import data.
 Related topics


DatasheetImportOptions

Syntax

(Filename: string; Clear: enumeration; Link: enumeration; InsertAt: enumeration)

Description

Specify default options for the Import Data dialog box, which is used to import data into a chart's Datasheet. This command exists for 0S/2 integration.

Parameters

Filename: string	The default filename.
Clear: enumeration	Clear Current Data is selected. No! Yes!
Link: enumeration	The link to the Datasheet is selected. No! Yes!
InsertAt: enumeration	Specify whether Import at Current Cell is selected. Otherwise, imported data begins at the top left cell. CurrentCell! TopLeft!


DatasheetImportText

Syntax

(Filename: string; FileFormat: enumeration; FieldDelimiter: string; RecordDelimiter: string; StripChars: string; EncapsulationChar: string; ClearData: enumeration; Link: enumeration; Transpose: enumeration; Location: enumeration)

Description

Import data from a text file to a chart's Datasheet.

Parameters

Filename: string	The file from which to import data.
FileFormat: enumeration	The format of the data file. Ansi! Ascii!
FieldDelimiter: string (optional)	The field delimiter for imported text.
RecordDelimiter: string (optional)	The record delimiter for imported text.
StripChars: string (optional)	The characters to strip from imported text.
EncapsulationChar: string (optional)	The character used to encapsulate each field.
ClearData: enumeration (optional)	Clear the chart's Datasheet before importing data. Clear! NoClear!
Link: enumeration (optional)	Link the data file to the Datasheet. Link! NoLink!
Transpose: enumeration (optional)	Transpose the data before importing. NoTranspose! Transpose!
Location: enumeration	Import data to the top left cell (0,0), or the cell containing the insertion point. CurrentCell! TopLeft!
 Related topics


DatasheetInclude

Syntax

(Direction: enumeration)

Description

Include the data in a specified chart's Datasheet rows or columns in a data chart.

Parameters

Direction: enumeration	Include columns or rows. Columns! Rows!
 Related topics


DatasheetInput

Syntax

(String: string)

Description

Insert data into a cell in a chart's Datasheet.

Parameters

String: string	The data to insert.
 Related topics


DatasheetInsert

Syntax

(Direction: enumeration; Number: numeric)

Description

Add rows or columns to a chart's Datasheet.

Parameters

Direction: enumeration	Add columns or rows. Columns! Rows!
Number: numeric	The number of rows or columns to add.
 Related topics


DatasheetLeft

Syntax

(Count: numeric; BlockExtend: enumeration)

Description

Move the insertion point a specified number of cells to the left in a chart's Datasheet.

Parameters

Count: numeric	The number of cells to the left to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No! Yes!
 Related topics


DatasheetNumericFmt

Syntax

(FloatingDigits: numeric; Digits: numeric; NegParen: numeric; Currency: numeric; Thousands: numeric; Percent: numeric; Exponential: numeric)

Description

Specify a numeric format for selected cells of a chart's Datasheet.

Parameters

FloatingDigits: numeric	Numeric format includes floating digits or a fixed number of digits after the decimal point. Use the Digits parameter to specify a fixed number. Use 0 for fixed and 1 for floating.
Digits: numeric	A fixed number of digits. Use only when the value of the FloatingDigits parameter is 0.
NegParen: numeric	Show negative numbers with a minus sign or in parentheses. Use 0 for minus sign and 1 for parentheses.
Currency: numeric	Format numbers with a currency symbol. Use 0 for no currency symbol and 1 for a currency symbol.
Thousands: numeric	Format numbers with a thousands separator. Use 0 for no thousands separator and 1 for a thousands separator.
Percent: numeric	Determine whether to format numbers as percentages. Use 0 for no percentage and 1 for a percentage.
Exponential: numeric	Determine whether to format numbers as exponents. Use 0 for no exponent and 1 for an exponent.
 Related topics


DatasheetOneColWidth
numeric:=DatasheetOneColWidth

Syntax

(Column: numeric)

Description

Specify a chart's Datasheet column width in number of characters for one column.

Parameters

Column: numeric (optional)	The width of the column in characters.


DatasheetPgDn

Syntax

(Count: numeric; BlockExtend: enumeration)

Description

Move the insertion point down a specified number of pages in a chart's Datasheet.

Parameters

Count: numeric	The number of pages down to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No! Yes!
 Related topics


DatasheetPgLeft

Syntax

(Count: numeric; BlockExtend: enumeration)

Description

Move the insertion point a specified number of pages to the left in a chart's Datasheet.

Parameters

Count: numeric	The number of pages left to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No! Yes!
 Related topics


DatasheetPgRight

Syntax

(Count: numeric; BlockExtend: enumeration)

Description

Move the insertion point a specified number of pages to the right in a chart's Datasheet.

Parameters

Count: numeric	The number of pages right to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No! Yes!
 Related topics


DatasheetPgUp

Syntax

(Count: numeric; BlockExtend: enumeration)

Description

Move the insertion point up a specified number of cells in a chart's Datasheet.

Parameters

Count: numeric	The number of pages up to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No! Yes!
 Related topics


DatasheetRight

Syntax

(Count: numeric; BlockExtend: enumeration)

Description

Move the insertion point a specified number of cells to the right in a chart's Datasheet.

Parameters

Count: numeric	The number of cells right to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No! Yes!
 Related topics


DatasheetUp

Syntax

(Count: numeric; BlockExtend: enumeration)

Description

Move the insertion point up a specified number of cells in a chart's Datasheet.

Parameters

Count: numeric	The number of cells up to move the insertion point.
BlockExtend: enumeration	Moving the insertion point selects cells. No! Yes!
 Related topics


DateCode

Syntax

()

Description

Insert a date code into a text area or text line at the insertion point.

 Related topics


DateFormat

Syntax

(DateFormatString: string)

Description

Specify a date format when inserting a date in the Text Editor.

Parameters

DateFormatString: string	Specify a date format.
 Related topics


DateFormatDlg

Syntax

()

Description

Display the Date/Time Format dialog box, which is used to specify the appearance of the date and time when they are inserted into a text line or text area.

 Related topics


DateText

Syntax

()

Description

Insert the current date at the insertion point in the Text Editor.

 Related topics


DefineBulletsDlg

Syntax

()

Description

Display the Define Bullets/Fonts dialog box, which is used to set bullets options, font options, and box/frame options in a bullet chart.

 Related topics


DefineSubTitleDlg

Syntax

()

Description

Change subtitle attibutes.


DefineTitleDlg

Syntax

()

Description

Change title attributes.


Delete

Syntax

()

Description

Remove the character to the right of the insertion point in a text area or text line.

 Related topics


DeleteAlignBars

Syntax

()

Description

Remove the alignment guides.


DeleteAlignmentBar

Syntax

()

Description

Remove the alignment guide.


DeleteBackground

Syntax

()

Description

Delete the current background.

 Related topics


DeleteKeyboard

Syntax

(KeyboardName: string)

Description

Delete a keyboard.

Parameters

KeyboardName: string (optional)	The name of the keyboard to delete.
 Related topics


DeleteLayout

Syntax

()

Description

Delete the current layout from the slide show master.

 Related topics


DeleteMenu

Syntax

(MenuName: string)

Delete a menu bar.

Description

Parameters

MenuName: string (optional)	The name of the menu bar to delete.
 Related topics


DeleteObjects

Syntax

()

Description

Delete the selected items when editing an object. You can delete an entire object, or selected points only.

 Related topics


DeleteSelectedSlides

Syntax

(PromptToDelete: enumeration)

Description

Remove the selected slides from the current slide show.

Parameters

PromptToDelete: enumeration (optional)	Determine whether to prompt the user before deleting slides. No! Yes!


DeleteToBegOfWord

Syntax

()

Description

Erase text from the insertion point to the beginning of the word containing the insertion point.

 Related topics


DeleteToEndOfWord

Syntax

()

Description

Erase text from the insertion point to the end of the word containing the insertion point.

 Related topics


DeleteWord

Syntax

()

Description

Delete the word containing the insertion point.

 Related topics


DelToDocBottom

Syntax

()

Description

Delete all text from the insertion point to the end of the current text window.

 Related topics


DelToEndOfLine

Syntax

()

Description

Delete text from the insertion point to the end of the current line.

 Related topics


DisplaySettingsDlg

Syntax

()

Description

Display the Display dialog box, which is used to specify display preferences.


DocPrevious

Syntax

()

Description

Display the previous open document in the editing window.

 Related topics


DocumentBottom

Syntax

()

Description

Move the insertion point to the end of the text in the current text line or text area.

 Related topics


DocumentFormSettings

Syntax

(FormWidth: measurement; FormHeight: measurement; MarginLeft: measurement; MarginBottom: measurement; MarginRight: measurement; MarginTop: measurement; Orientation: enumeration; ObjectFit: enumeration; IsPosterMode: enumeration; PosterColumns: numeric; PosterRows: numeric)

Description

Specify page size, margins, and poster options for the current drawing or slide show.

Parameters

FormWidth: measurement	The paper width in WordPerfect units (1200ths of an inch).
FormHeight: measurement	The paper height in WordPerfect units.
MarginLeft: measurement	The size of the left margin in WordPerfect units.
MarginBottom: measurement	The size of the bottom margin in WordPerfect units.
MarginRight: measurement	The size of the right margin, in WordPerfect units.
MarginTop: measurement	The size of the top margin, in WordPerfect units.
Orientation: enumeration	The page orientation. Landscape! Portrait!
ObjectFit: enumeration (optional)	Specify how to move or size objects to conform to the new page size. Center! LowerLeft! LowerRight! MatchMarginsCenter! MatchMarginsExact! MatchMarginsLowerLeft! MatchMarginsLowerRight! MatchMarginsUpperLeft! MatchMarginsUpperRight! NoModify! ObjectsToMarginsCenter! ObjectsToMarginsExact! ObjectsToMarginsLowerLeft! ObjectsToMarginsLowerRight! ObjectsToMarginsUpperLeft! ObjectsToMarginsUpperRight! UpperLeft! UpperRight!
IsPosterMode: enumeration (optional)	Poster mode is active. No! Yes!
PosterColumns: numeric (optional)	In poster mode, the number of columns that overlay the form.
PosterRows: numeric (optional)	In poster mode, the number of rows that overlay the form.
 Related topics


DocumentMaximize

Syntax

()

Description

Expand the current document window to its maximum size. If the window is already maximized, this command terminates the macro or redirects the macro to the LABEL specified by ONERROR.

 Related topics


DocumentMinimize

Syntax

()

Description

Reduce the current document window to an icon. If the window is already minimized, this command terminates the macro or redirects the macro to the LABEL specified by ONERROR.

 Related topics


DocumentMove

Syntax

()

Description

Pause the macro to allow a user to move the current document window. Click the mouse or press Enter to continue playing the macro.


DocumentNext

Syntax

()

Description

Display the next open document in the editing window.

 Related topics


DocumentPageColor

Syntax

(FillType: enumeration; SolidColorRed: numeric; SolidColorGreen: numeric; SolidColorBlue: numeric; GradientColorRed: numeric; GradientColorGreen: numeric; GradientColorBlue: numeric; GradientType: enumeration; GradientAngle: numeric; GradientSteps: numeric; GradientRefX: numeric; GradientRefY: numeric; BrushPattern: numeric; TextureFit: numeric; TextureFileName: string)

Description

Set the page color for the current document.

Parameters

FillType: enumeration	The type of page color. Gradient! Pattern! Picture! Texture!
SolidColorRed: numeric	The amount of red (0-255) in a solid page color, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
SolidColorGreen: numeric	The amount of green (0-255) in a solid page color, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
SolidColorBlue: numeric	The amount of blue (0-255) in a solid page color, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
GradientColorRed: numeric (optional)	The amount of red (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
GradientColorGreen: numeric (optional)	The amount of green (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
GradientColorBlue: numeric (optional)	The amount of blue (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
GradientType: enumeration (optional)	The linear, circular, or rectangular gradient. Grad_CCircles! Grad_Linear! Grad_None! Grad_VRects!
GradientAngle: numeric (optional)	Specify a rotation angle for a gradient page color. The top of the gradient is rotated counter-clockwise. For example, a 90-degree angle places the top of the gradient along the left margin of the page.
GradientSteps: numeric (optional)	The number of steps between colors in a gradient page color. A value of 0 represents the greatest possible number of steps.
GradientRefX: numeric (optional)	The horizontal center of a circular or rectangular gradient relative to the page. Flush left is 0, center is 50, and flush right is 100.
GradientRefY: numeric (optional)	The vertical center of a circular or rectangular gradient, or the top of a linear gradient relative to the page. Top is 0, center is 50, and bottom is 100.
BrushPattern: numeric (optional)	The fill pattern.
TextureFit: numeric (optional)	How the texture fills the page.
TextureFileName: string (optional)	The filename of texture bitmap.
 Related topics


DocumentRestore

Syntax

()

Description

Restore a document window to its previous size. If the window has already been restored, this command will terminate the macro or redirect the macro to the LABEL specified by ONERROR.

 Related topics


DocumentSize

Syntax

()

Description

Pause macro execution to allow the user to size the document window. Click the mouse or press Enter to continue playing the macro.

 Related topics


DocumentTop

Syntax

()

Description

Move the insertion point to the top of the current text area or text line.

 Related topics


DoubleSmartQuote

Syntax

(State: enumeration; OpenQuote: string; CloseQuote: string)

Description

Turn double SmartQuotes on or off and specify quote characters in QuickCorrect.

Parameters

State: enumeration (optional)	Double smart quotes are on or off. Off! On!
OpenQuote: string (optional)	The character to use for double open quote.
CloseQuote: string (optional)	The character to use for double close quote.
 Related topics


DraftMode

Syntax

()

Description

Turn Draft Mode on. In Draft Mode, images in a drawing window are displayed as outlines. To turn Draft Mode off, use PageMode.

 Related topics


DrawingSizeDlg

Syntax

()

Description

Display the Drawing Size dialog box, which is used to set the frame size for an OLE graphic.

 Related topics


DrawingSizeSettings

Syntax

(Left: measurement; Bottom: measurement; Right: measurement; Top: measurement; UseEvenBorders: enumeration; BorderSize: numeric)

Description

Change the size of a drawing area when Corel Presentations is running as an OLE client.

Parameters

Left: measurement	The left coordinate of a drawing area, in WordPerfect units (1200ths of an inch).
Bottom: measurement	The bottom coordinate of a drawing area, in WordPerfect units.
Right: measurement	The right coordinate of a drawing area, in WordPerfect units.
Top: measurement	The top coordinate of a drawing area, in WordPerfect units.
UseEvenBorders: enumeration (optional)	Move the borders to conform to drawing. No! Yes!
BorderSize: numeric (optional)	A percentage of the drawing size. Values (0-100). Default (5).
 Related topics


EditBackground

Syntax

()

Description

Open the Background Editor, which allows you to edit the background layer of a slide.

 Related topics


EditLayouts

Syntax

()

Description

Open the Layout Editor, which allows you to edit the layout layer of a slide.

 Related topics


EditOleObject

Syntax

()

Description

Modify a selected OLE object.

 Related topics


EditSelectedBitmap

Syntax

()

Description

Open the Bitmap Editor to edit a selected bitmap object.

 Related topics


EditSlides

Syntax

()

Description

Return from the Layout Layer or Background Layer to the Slide Layer.

 Related topics


EndOfLine

Syntax

()

Description

Move the insertion point to the end of the current line of text.

 Related topics


EndOfSentenceSpacing

Syntax

(Type: enumeration)

Description

Specify an end of sentence correction type in QuickCorrect.

Parameters

Type: enumeration	The type of spacing at sentence ends. None! OneToTwo! TwoToOne!
 Related topics


EnvSpeedLinkNumericData
numeric:=EnvSpeedLinkNumericData

Syntax

(SpecifyData: enumeration)

Description

Query numeric data from the SpeedLink.

 Related topics


EnvSpeedLinkSelect
numeric:=EnvSpeedLinkSelect

Syntax

(SpecifyLink: enumeration)

Description

Select an object with an SpeedLink and return the SpeedLink type.

 Related topics


EnvSpeedLinkStringData
string:=EnvSpeedLinkStringData

Syntax

(SpecifyData: enumeration)

Description

Return the string data associated with the selected SpeedLink.

 Related topics


EnvBackgroundTitle
string:=EnvBackgroundTitle

Syntax

()

Description

Return the name of the current background.

 Related topics


EnvCapBeginSentence
numeric:=EnvCapBeginSentence

Syntax

()

Description

Automatically capitalize the first letter of the first word in a sentence.

Return Value

0	Off

1	On

 Related topics


EnvChartDataWin
numeric:=EnvChartDataWin

Syntax

()

Description

Return Value

0	Not displayed

1	Displayed

 Related topics


EnvChartDisplay
numeric:=EnvChartDisplay

Syntax

 (object: enumeration; SubType: enumeration)

Description

Display or hide elements of a chart.

Return Value

0	Not displayed

1	Displayed

Parameters

Object: enumeration	Frames! GridMajor! GridMinor! Labels! Legend! TextBoxes! TickMajor! TickMinor! Titles!
SubType: enumeration	Back! Bottom! Data! Front! Left! Legend! Pie! Radial! Right! SubTitle! Title! Top! X! Y1! Y2!
 Related topics


EnvChartType
numeric:=EnvChartType

Syntax

()

Description

Specify a default chart type.

Return Value

0	None

1	Bar

2	Line

3	Scatter

4	High/Low

5	Mixed

6	Surface

7	Table

8	Pie

9	Radar

 Related topics


EnvColorPalette
numeric:=EnvColorPalette

Syntax

(Separation: enumeration; Index: numeric)

Description

Specify a default color palette.

Return Value

Color value(0-255)

Parameters

Separation: enumeration	The color component. Blue! Green! Red!
Index: numeric	Specify a color by index number.
 Related topics


EnvCurrentBackgroundNumber
numeric:=EnvCurrentBackgroundNumber

Syntax

()

Description

Return the number of the current background.

 Related topics


EnvCurrentFilename
string:=EnvCurrentFilename

Syntax

()

Description

Return Value

Filename

 Related topics


EnvCurrentLayoutNumber
numeric:=EnvCurrentLayoutNumber

Syntax

()

Description

Return the number of the current layout.

 Related topics


EnvCurrentMode
numeric:=EnvCurrentMode

Syntax

()

Description

Return the current editing mode.

Return Value

When more than one editing mode is active, the return value is the sum of the numbers for each active mode.

1	Drawing

2	Slide

4	Slide list

16	Slide sort

32	Background edit

64	Layout edit

128	Data chart

256	Organization chart

512	Text edit and slide outline

1024	Paint

2048	OLE drawing

4096	OLE data chart

 Related topics


EnvCurrentSlideNumber
numeric:=EnvCurrentSlideNumber

Syntax

()

Description

Return the current slide number.


EnvCurrentTool
numeric:=EnvCurrentTool

Syntax

()

Description

Return the current drawing tool.

Return Value

0	No tool selected

1	Select

2	Data chart

3	Organization chart

4	Bullet chart

5	QuickArt

6	Text line

7	Line

8	Curve

9	Closed curve

10	Polygon

11	Regular polygon

12	Rectangle

13	Rounded rectangle

14	Ellipse

15	Elliptical arc

16	Circle

17	Circular arc

18	Arrow

19	Bezier

20	Freehand

21	Bitmap

22	Paintbrush

23	Airbrush

24	Floodfill

25	Paint dropper

26	Selective replace

27	Eraser

28	Select area

29	Bitmap zoom

30	Aquire image

31	Text box

 Related topics


EnvDoubleSmartQuoteClose
string:=EnvDoubleSmartQuoteClose

Syntax

()

Description

Return the current double close SmartQuote in QuickCorrect.

 Related topics


EnvDoubleSmartQuoteOpen
string:=EnvDoubleSmartQuoteOpen

Syntax

()

Description

Return the current double open SmartQuote in QuickCorrect.

 Related topics


EnvDoubleSmartQuoteState
numeric:=EnvDoubleSmartQuoteState

Syntax

()

Description

Return the current double SmartQuote in QuickCorrect.

Return Value

0	Off

1	On

 Related topics


EnvEndOfSentenceSpacing
numeric:=EnvEndOfSentenceSpacing

Syntax

()

Description

Return the current value of end of sentence spacing in QuickCorrect.

Return Value

0	Off

1	On

 Related topics


EnvFormInfo
numeric:=EnvFormInfo

Syntax

(DataType: enumeration)

Description

Return information about the current form.


EnvGetCurrentPrinter
string:=EnvGetCurrentPrinter

Syntax

()

Description

Return the name of the currently selected printer as a Corel WordPerfect string.

Return Value

String

 Related topics


EnvGetMarqueeHeight
numeric:=EnvGetMarqueeHeight

Syntax

()

Description

Return the bitmap marquee height.

 Related topics


EnvGetMarqueeWidth
numeric:=EnvGetMarqueeWidth

Syntax

()

Description

Return the bitmap marquee width.

 Related topics


EnvGetMarqueeXPos
numeric:=EnvGetMarqueeXPos

Syntax

()

Description

Return the bitmap marquee upper left X position.

 Related topics


EnvGetMarqueeYPos
numeric:=EnvGetMarqueeYPos

Syntax

()

Description

Return the bitmap marquee upper left Y position.

 Related topics


EnvGetObjectName
numeric:=EnvGetObjectName

Syntax

()

Description

Return the name of the selected object.


EnvGetObjectText
numeric:=EnvGetObjectText

Syntax

()

Description

Return the text of the selected object.


EnvGetObjectHeight
numeric:=EnvGetObjectHeight

Syntax

()

Description

Return the height of the selected object.

 Related topics


EnvGetObjectWidth
numeric:=EnvGetObjectWidth

Syntax

()

Description

Return the width of the selected object.

 Related topics


EnvGetObjectXPos
numeric:=EnvGetObjectXPos

Syntax

()

Description

Return the selected object's left X position.

 Related topics


EnvGetObjectYPos
numeric:=EnvGetObjectYPos

Syntax

()

Description

Return the selected object's left Y position.

 Related topics


EnvGetPointerPositionX
numeric:=EnvGetPointerPositionX

Syntax

()

Description

Return the cursor x position.

 Related topics


EnvGetPointerPositionY
numeric:=EnvGetPointerPositionY

Syntax

()

Description

Return the cursor y position.

 Related topics


EnvGetSlideText
numeric:=EnvGetSlideText

Syntax

()

Description

Return the slide text of the current object.


EnvGetSlideObjectCount
numeric:=EnvGetSlideObjectCount

Syntax

()

Description

Return the slide object count.


EnvIrregularCap
numeric:=EnvIrregularCap

Syntax

()

Description

Return the current state of irregular capitalization corrections in QuickCorrect.

Return Value

0	Off

1	On

 Related topics


EnvIsCommandValid
numeric:=EnvIsCommandValid

Syntax

(Command: command name)

Description

Return the macro command name.

Return Value

0	Not valid

1	Valid

Parameters

Command: command name	The macro command name.
 Related topics


EnvIsSlideSkipped
numeric:=EnvIsSlideSkipped

Syntax

()

Description

Determine if a slide has been set to skip.


EnvLayoutTitle
string:=EnvLayoutTitle

Syntax

()

Description

Return the title of the current layout.

 Related topics


EnvLeftChar
string:=EnvLeftChar

Syntax

()

Description

Return the character to the left of the insertion point.

 Related topics


EnvNextFontFace
any:=EnvNextFontFace

Syntax

(Initialize: enumeration)

Description

Return the name of the next font on the font list.

 Related topics


EnvNumberOfBackgrounds
numeric:=EnvNumberOfBackgrounds

Syntax

()

Description

Return the total number of backgrounds.

 Related topics


EnvNumberOfDocuments
numeric:=EnvNumberOfDocuments

Syntax

()

Description

Return the number of open documents.

 Related topics


EnvNumberOfLayouts
numeric:=EnvNumberOfLayouts

Syntax

()

Description

Return the total number of layouts.

 Related topics


EnvNumberOfSlides
numeric:=EnvNumberOfSlides

Syntax

()

Description

Return the number of slides in the current slide show.


EnvOpenDocuments
string:=EnvOpenDocuments

Syntax

()

Description

Return the path and filename of each open document.

 Related topics


EnvPaths
string:=EnvPaths

Syntax

(PathType: enumeration)

Description

Return the default path for the specified file type.

Return Value

Default path for the specified file type.

Parameters

PathType: enumeration	The file type. Backgrounds! Backup! ButtonBar! CurrentFile! ExpressShow! Figures! Filters! HelpFile! Macros! Masters! Movies! Palettes! Pictures! Presentations! Program! QuickGalleries! Shared! Sound! SpellMain! SpellSupp! Textures! Utilities!
 Related topics


EnvQuickCorrect
numeric:=EnvQuickCorrect

Syntax

()

Description

Return whether QuickCorrect is on or off.

Return Value

0	Off

1	On

 Related topics


EnvRightChar
string:=EnvRightChar

Syntax

()

Description

Return the character to the right of the insertion point.

 Related topics


EnvSelectedText
string:=EnvSelectedText

Syntax

()

Description

Return the selected text with all codes removed except hard returns.

 Related topics


EnvSingleSmartQuoteClose
string:=EnvSingleSmartQuoteClose

Syntax

()

Description

Return the current single close quote in QuickCorrect.

 Related topics


EnvSingleSmartQuoteOpen
string:=EnvSingleSmartQuoteOpen

Syntax

()

Description

Return the current single open quote in QuickCorrect.

 Related topics


EnvSingleSmartQuoteState
numeric:=EnvSingleSmartQuoteState

Syntax

()

Description

Return the current state of single SmartQuotes in QuickCorrect.

Return Value

0	Off

1	ON

 Related topics


EnvSingleSpaceInSentence
numeric:=EnvSingleSpaceInSentence

Syntax

()

Description

Return the current value of single space in a sentence in QuickCorrect.

Return Value

0	Off

1	On

 Related topics


EnvSlideStringData
string:=EnvSlideStringData

Syntax

(SpecifyData: enumeration)

Description

Return the name of the sound file associated with the slide.


EnvSlideTitle
string:=EnvSlideTitle

Syntax

()

Description

Return the title of the current slide.


EnvSpeakerNotes
string:=EnvSpeakerNotes

Syntax

()

Description

Return the speaker notes for the current slide in Corel WordPerfect word string format.


EnvTemplate
string:=EnvTemplate

Syntax

()

Description

Return the name of the current slide template.

 Related topics


EnvTextChartType
numeric:=EnvTextChartType

Syntax

()

Description

Return the default text chart element.

Return Value

2	Text Box

3	Title Chart

4	Subtitle

5	Bulleted List

 Related topics


EnvUseRegQuotesWithNumbers
numeric:=EnvUseRegQuotesWithNumbers

Syntax

()

Description

Return the current state of Use Regular Quotes with Numbers in QuickCorrect.

Return Value

0	Off

1	On

 Related topics


EraseMarquee

Syntax

()

Description

Delete a selected portion of a bitmap.

 Related topics


ExportBMP

Syntax

(Filename: string; WidthInPixels: numeric; HeightInPixels: numeric; BitsPerPixel: numeric; Compression: enumeration; DpiX: numeric; DpiY: numeric; SaveSelected: enumeration)

Description

Save the current drawing or slide in Windows Bitmap 3.0 format (.BMP).

Parameters

Filename: string	The BMP filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
Compression: enumeration	Compress the exported drawing. Compress4Bit! Compress8Bit! NoCompression!
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


ExportCAL

Syntax

(Filename: string; WidthInPixels: numeric; HeightInPixels: numeric; BitsPerPixel: numeric; DpiX: numeric; DpiY: numeric; SaveSelected: enumeration)

Description

Save the current drawing or slide in CALS Compressed Bitmap format (.CAL).

Parameters

Filename: string	The filename of the exported file.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


ExportCGM

Syntax

(Filename: string; SaveSelected: enumeration)

Description

Save the current drawing or slide in Computer Graphics Metafile file format (.CGM).

Parameters

Filename: string	The CGM filename.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


ExportCPT

Syntax

(Filename: string; WidthInPixels: numeric; HeightInPixels: numeric; BitsPerPixel: numeric; DpiX: numeric; DpiY: numeric; SaveSelected: enumeration)

Description

Save the current drawing or slide as a Corel PHOTO-PAINT bitmap image (.CPT).

Parameters

Filename: string	The filename of the exported file.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


ExportCPT7

Syntax

(Filename: string; WidthInPixels: numeric; HeightInPixels: numeric; BitsPerPixel: numeric; DpiX: numeric; DpiY: numeric; SaveSelected: enumeration)

Description

Save as a Corel PHOTO-PAINT version 7 bitmap.

Parameters

Filename: string	The name of the file to save.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of memory bits for each pixel.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. NO! YES!


ExportEMF

Syntax

(Filename: string; SaveSelected: enumeration)

Description

Save the current drawing or slide in Enhanced Metafile format (.EMF).

Parameters

Filename: string	The name of the file to save.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


ExportEPS

Syntax

(Filename: string; SaveSelected: enumeration)

Description

Save the current drawing or slide in Encapsulated PostScript file format (.EPS).

Parameters

Filename: string	The EPS filename.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


ExportGIF

Syntax

(Filename: string; WidthInPixels: numeric; HeightInPixels: numeric; BitsPerPixel: numeric; DpiX: numeric; DpiY: numeric; TransparencyIndex: numeric; SaveSelected: enumeration; Interlaced: enumeration)

Description

Save the current drawing or slide in CompuServe GIF format.

Parameters

Filename: string	The GIF filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
TransparencyIndex: numeric	The amount of shading.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
Interlaced: enumeration (optional)	No! Yes!
 Related topics


ExportIMG

Syntax

(Filename: string; WidthInPixels: numeric; HeightInPixels: numeric; BitsPerPixel: numeric; DpiX: numeric; DpiY: numeric; SaveSelected: enumeration)

Description

Save the current drawing or slide in GEM Paint File format (.IMG).

Parameters

Filename: string	The IMG filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


ExportJPG

Syntax

(Filename: string; WidthInPixels: numeric; HeightInPixels: numeric; BitsPerPixel: numeric; DpiX: numeric; DpiY: numeric; SaveSelected: enumeration)

Description

Save the current drawing or slide in JPEG Bitmap format (.JPG).

Parameters

Filename: string	The JPG filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


ExportMAC

Syntax

(Filename: string; WidthInPixels: numeric; HeightInPixels: numeric; BitsPerPixel: numeric; DpiX: numeric; DpiY: numeric; SaveSelected: enumeration)

Description

Save the current drawing or slide in MacPaint Bitmap format.

Parameters

Filename: string	The MAC filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


ExportPCX

Syntax

(Filename: string; WidthInPixels: numeric; HeightInPixels: numeric; BitsPerPixel: numeric; DpiX: numeric; DpiY: numeric; SaveSelected: enumeration)

Description

Save the current drawing or slide in PC Paintbrush file format.

Parameters

Filename: string	The PCX filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


ExportPNG

Syntax

(Filename: string; WidthInPixels: numeric; HeightInPixels: numeric; BitsPerPixel: numeric; DpiX: numeric; DpiY: numeric; SaveSelected: enumeration)

Description

Save file in PNG format.

Parameters

Filename: string	The PNG filename
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No! Yes!


ExportSCT

Syntax

(Filename: string; WidthInPixels: numeric; HeightInPixels: numeric; BitsPerPixel: numeric; DpiX: numeric; DpiY: numeric; SaveSelected: enumeration)

Description

Save the current drawing or slide to Scitex CT Bitmap format (.SCT).

Parameters

Filename: string	The SCT filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


ExportTGA

Syntax

(Filename: string; WidthInPixels: numeric; HeightInPixels: numeric; BitsPerPixel: numeric; DpiX: numeric; DpiY: numeric; SaveSelected: enumeration)

Description

Save the current drawing or slide in Targa Bitmap format (.TGA).

Parameters

Filename: string	The TGA filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


ExportTIFF

Syntax

(Filename: string; WidthInPixels: numeric; HeightInPixels: numeric; BitsPerPixel: numeric; DpiX: numeric; DpiY: numeric; SaveSelected: enumeration)

Description

Save the current drawing or slide in Tagged Image File Format (.TIFF).

Parameters

Filename: string	The TIFF filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


ExportWMF

Syntax

(MetafileType: enumeration; Filename: string; SaveSelected: enumeration)

Description

Save the current drawing or slide in Windows Metafile Format (.WNF).

Parameters

MetafileType: enumeration	Save the file in Microsoft or Aldus Placeable format. Aldus! Microsoft!
Filename: string	The name of the exported file.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


ExportWVL

Syntax

(Filename: string; WidthInPixels: numeric; HeightInPixels: numeric; BitsPerPixel: numeric; DpiX: numeric; DpiY: numeric; SaveSelected: enumeration)

Description

Save the current drawing or slide to Wavelet Compressed Bitmap format (.WVL).

Parameters

Filename: string	The WVL filename.
WidthInPixels: numeric	The width in pixels of the exported drawing.
HeightInPixels: numeric	The height in pixels of the exported drawing.
BitsPerPixel: numeric	The number of bits per pixel in the exported drawing.
DpiX: numeric	The number of horizontal dots per inch.
DpiY: numeric	The number of vertical dots per inch.
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


FigureReturn

Syntax

()

Description

Return to the previous figure in the Figure Editor. If the Figure Editor contains only one figure, this command closes the Figure Editor and returns the user to the current drawing.

 Related topics


FigureReturnAll

Syntax

()

Description

Close the Figure Editor and return to the current drawing.

 Related topics


File1Open

Syntax

()

Description

Open the first file on the list of previously opened files.

 Related topics


File2Open

Syntax

()

Description

Open the second file on the list of previously opened files.

 Related topics


File3Open

Syntax

()

Description

Open the third file on the list of previously opened files.

 Related topics


File4Open

Syntax

()

Description

Open the fourth file on the list of previously opened files.

 Related topics


File5Open

Syntax

()

Description

Open the fifth file on the list of previously opened files.

 Related topics


File6Open

Syntax

()

Description

Open the sixth file in the list of previously opened files.

 Related topics


File7Open

Syntax

()

Description

Open the seventh file in the list of previously opened files.

 Related topics


File8Open

Syntax

()

Description

Open the eighth file in the list of previously opened files.

 Related topics


File9Open

Syntax

()

Description

Open the ninth file in the list of previously opened files.

 Related topics


FileClose

Syntax

(Save: enumeration)

Description

Close the active window.

Parameters

Save: enumeration (optional)	If this parameter is not specified, the Save message box is displayed. No! Yes!
 Related topics


FileExit

Syntax

()

Description

Close Corel Presentations.

 Related topics


FileNewDlg

Syntax

()

Description

Open a new blank document or work on an existing document.

 Related topics


FileOpen

Syntax

(Filename: string; ReadOnly: enumeration)

Description

Open a file.

Parameters

Filename: string	The name of the file to retrieve.
ReadOnly: enumeration (optional)	Open the file in read-only format. No! Yes!
 Related topics


FileOpenDlg

Syntax

()

Description

Display the Open File dialog box, which is used to open a file into a new window.

 Related topics


FileRetrieve

Syntax

(Filename: string; Redraw: enumeration)

Description

Insert a specified graphics file into the current drawing, or insert a text file into an organization chart outline or the Slide Outliner.

Parameters

Filename: string	The name of the file to retrieve.
Redraw: enumeration (optional)	Redraw the current drawing to show changes. No! Yes!
 Related topics


FileSave

Syntax

()

Description

Save the current drawing or slide show.

 Related topics


FileSaveAs

Syntax

(Filename: string; SaveFormat: enumeration; Export: enumeration; SaveSelected: enumeration)

Description

Save the current drawing or slide show with a new name or file format.

Parameters

Filename: string	The name of the file to save.
SaveFormat: enumeration	The file format. WPAscii! WPGraphic_10! WPGraphic_20! WPGraphic_30! WPGraphic_70! WPMaster_20! WPMaster_30! WPMaster_70! WPPresentation_20! WPPresentation_30! WPPresentation_70! WPText_51!
Export: enumeration	Export the file. No! Yes!
SaveSelected: enumeration	Save the selected objects only. No! Yes!
 Related topics


FileSaveAsDlg

Syntax

()

Description

Display the Save As dialog box, which is used to save the current document with a new name or file format.

 Related topics


FillAttributes

Syntax

(DefaultAttr: enumeration; ApplyTo: enumeration; ObjectFramed: enumeration; ObjectClosed: enumeration; ObjectFilled: enumeration; FillMethod: enumeration; BrushPattern: enumeration; GradType: enumeration; UseGradSteps: enumeration; GradAngle: numeric; GradRefX: numeric; GradRefY: numeric; GradSteps: numeric; Grad1Red: numeric; Grad1Green: numeric; Grad1Blue: numeric; Grad2Red: numeric; Grad2Green: numeric; Grad2Blue: numeric; GradBRed: numeric; GradBGreen: numeric; GradBBlue: numeric; ForeTransparency: enumeration; BackTransparency: enumeration; TextureFilename: string; TextureFit: enumeration; TextureAnchor: enumeration; TextureStackCount: numeric; ChangedAttrs: enumeration)

Description

Specify fill colors, pattern, and method.

Parameters

DefaultAttr: enumeration	Set the default fill attributes. No! Yes!
ApplyTo: enumeration	Define the fill for graphics, text, or both. Both! Graphics! Text!
ObjectFramed: enumeration	No! Yes!
ObjectClosed: enumeration	No! Yes!
ObjectFilled: enumeration	No! Yes!
FillMethod: enumeration	Alternate or winding fills. Alternating! Winding!
BrushPattern: enumeration	The fill pattern. Arch! Balls! BigChecks! BigCrosshatch! BigSquares! Chainlink! Checks! Crosses! Crosshatch! FishScale! Gray12! Gray25! Gray50! Honeycomb! HorzBricks! HorzLines1! HorzLines2! Mesh! Patio! Plaid! Solid! Squares! TiltBricks! TiltLines1! TiltLines2! TiltLines3! TiltLines4! Triangles! VertLines1! VertLines2! Waves! Weave!
GradType: enumeration	The gradient type. ConcenCircles! ConcenEllipse! ConcenRects! ConcenSquares! ConverCircles! ConverEllipse! ConverRects! ConverSquares! Linear! None! Polygonal!
UseGradSteps: enumeration	Use gradient steps. No! Yes!
GradAngle: numeric	The rotation angle for a gradient fill. The top of the gradient is rotated counter-clockwise. For example, a 90-degree angle places the top of the gradient parallel to the left margin of the page.
GradRefX: numeric	The horizontal center of a circular or rectangular gradient relative to the page. Flush left is 0, center is 50, and flush right is 100.
GradRefY: numeric	The vertical center of a circular or rectangular gradient or the top of a linear gradient relative to the page. Top is 0, center is 50, and bottom is 100.
GradSteps: numeric	The number of steps between colors in a gradient fill. A value of 0 represents the greatest possible number of steps.
Grad1Red: numeric	The amount of red (0-255) in a solid fill, the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad1Green: numeric	The amount of green (0-255) in a solid fill, the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad1Blue: numeric	The amount of blue (0-255) in a solid fill, the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad2Red: numeric	The amount of red (0-255) in the bottom color of a linear gradient or the outer color of a circular or rectangular gradient.
Grad2Green: numeric	The amount of green (0-255) in the bottom color of a linear gradient or the outer color of a circular or rectangular gradient.
Grad2Blue: numeric	The amount of blue (0-255) in the bottom color of a linear gradient or the outer color of a circular or rectangular gradient.
GradBRed: numeric	The amount of red (0-255) in the background color of a pattern.
GradBGreen: numeric	The amount of green (0-255) in the background color of a pattern.
GradBBlue: numeric	The amount of blue (0-255) in the background color of a pattern.
ForeTransparency: enumeration	The pattern foreground color transparency. Opaque! Transparent!
BackTransparency: enumeration	The pattern background color transparency. Opaque! Transparent!
TextureFilename: string (optional)	The filename of texture bitmap.
TextureFit: enumeration	How the texture fills the object. BrickHorizontal! BrickVertical! ScaleToFit! StackHorizontal! StackVertical! StretchToFit! Tile!
TextureAnchor: enumeration	The type of texture anchoring. AnchorToObject! AnchorToPage!
TextureStackCount: numeric	How many times the texture bitmap is stacked.
ChangedAttrs: enumeration (optional)	BrushPattern! Close! Fill! Frame! GradAngle! GradBColor! GradFColor! GradRef! GradType! TextureAnchor! TextureFit! TexturesStackCount!
 Related topics


FillAttributesDlg

Syntax

()

Description

Display the Object Properties dialog box with the Fill tab displayed, which is used to specify attributes such as fill colors, patterns, methods.

 Related topics


FindReplaceTextDlg

Syntax

()

Description

Display the Find and Replace dialog box in the Text Editor, which is used to find and replace specified text.

 Related topics


FloodFill

Syntax

(X: numeric; Y: numeric)

Description

Use the Flood Fill painting tool to replace a color region in a bitmap area with another color or pattern.

Parameters

X: numeric	The horizontal coordinate of the pixel clicked when using the Flood Fill tool.
Y: numeric	The vertical coordinate of the pixel clicked when using the Flood Fill tool.
 Related topics


FontSizeDec

Syntax

()

Description

Decrease the font size of the current text. The amount the font is decreased depends on the current font size. If the current font size is less than 10, it is decreased by 1; if the current font size is 10 to 19, it is decreased by 2; if the current font size is 20 to 47, it is decreased by 4; if the current font size is 48 to 71, it is decreased by 6; if the current font size is 72 to 119, it is decreased by 8; if the current font size is 120 to 199, it is decreased by 10; if the current font size is 200 to 399, it is decreased by 20; if the current font size is 400 to 799, it is decreased by 40; and if the current font size is 800 or more, it is decreased by 100. The largest font size possible is 999.


FontSizeInc

Syntax

()

Description

Increase the font size of the current text. The amount the font is increased depends on the current font size. If the current font size is less than 10, it is increased by 1; if the current font size is 10 to 19, it is increased by 2; if the current font size is 20 to 47, it is increased by 4; if the current font size is 48 to 71, it is increased by 6; if the current font size is 72 to 119, it is increased by 8; if the current font size is 120 to 199, it is increased by 10; if the current font size is 200 to 399, it is increased by 20; if the current font size is 400 to 799, it is increased by 40; and if the current font size is 800 or more, it is increased by 100. The largest font size possible is 999.


GetAttrDlg

Syntax

()

Description

Display the Get Attributes dialog box, which is used to copy the attributes of the selected object.

 Related topics


GetAttributes

Syntax

(GetFrom: enumeration)

Description

Change the default object attributes to those of a selected object.

Parameters

GetFrom: enumeration (optional)	All! Graphic! Text!
 Related topics


GlyphEdit

Syntax

(WPercent: numeric; XPercent: numeric; YPercent: numeric; ZPercent: numeric; XCoord: numeric; YCoord: numeric)

Description

Lets you change the glyph of shape object.

Parameters

WPercent: numeric	Lets you specify the range offset for a glyph.
XPercent: numeric	Lets you specify the range offset for a glyph.
YPercent: numeric	Lets you specify the range offset for a glyph.
ZPercent: numeric	Lets you specify the range offset for a glyph.
XCoord: numeric	Lets you specify the x-coordinate of the call-out leader tip in WordPerfect units.
YCoord: numeric	Lets you specify the y-coordinate of the call-out leader tip in WordPerfect units.

Here are examples of the smart shapes of the category' and the recorded ranges for various glyphs:

Shape	Glyph	WPercent	XPercent	YPercent	ZPercent
Parallelogram	1		0-100
Cross	1		0-50
Folded Corner	1		0-100
Cube	1		0-50
Cylinder	1		0-100
QuadArrowCallout	1		0-50
	2			0-50
	2				0-50
	3	0-50
 Note

•	New command


GoToKeysDlg

Syntax

()

Description

Display the SpeedKeys tab in the Slide Properties dialog box, which is used to assign slide keystrokes that play back a sound, launch a file, or perform some other action.

 Related topics


GotoPositionDlg

Syntax

()

Description

Display the Go To Slide dialog box, which is used to go to a specified slide in the current slide show.

 Related topics


Grammatik

Syntax

()

Description

Open Grammatik, which checks text for grammatical errors.

 Related topics


GrayScale

Syntax

()

Description

Change the color attributes to shades of gray for the selected object(s).


GroupObjects

Syntax

()

Description

Group the selected objects so they are treated as one object.

 Related topics


HardReturn

Syntax

()

Description

Insert a hard return into the current text area at the insertion point.

 Related topics


HelpAssistant

Syntax

()

Description

Open the PerfectExpert in Corel Presentations.


HelpHowDoI

Syntax

()

Description

Open the Corel Presentations Help file.


HelpIndex

Syntax

(HelpID: numeric)

Description

Open the Contents page in the Corel Presentations Help file.

Parameters

HelpID: numeric (optional)	The ID of the help topic you want to display.


HelpKeyboard

Syntax

()

Description

Open the Corel Presentations Help file.

 Related topics


HelpMacros

Syntax

()

Description

Open the Corel Presentations Help file.


HelpPerfectExpertDlg

Syntax

()

Description

Open the Ask the PerfectExpert dialog in Corel Presentations.


HelpTransition

Syntax

()

Description

Open the Corel Presentations Help file.

 Related topics


HelpWhatIs

Syntax

()

Description

Provide access to Corel Presentations Help by using the mouse or keyboard to select the item you want help on.


ImportOrgOutline

Syntax

(Filename: string)

Description

Import an outline into the organization chart.

Parameters

Filename: string	The filename of the outline document to import.


InhibitInput

Syntax

(State: enumeration)

Description

Allow the keyboard and menus to be used while a macro is playing. This command must be used if playing a Coach macro.

Parameters

State: enumeration	Inhibit input is on or off. Off! On!


InsertClipartDlg

Syntax

()

Description

Put a clipart or graphic image in your document.


InsertEquation

Syntax

()

Description

Insert an equation.


InsertFileDlg

Syntax

()

Description

Display the Insert File dialog box, which is used to append a drawing file to the current drawing or slide show.

 Related topics


InsertMemoObject

Syntax

()

Description

Insert a comment.


InsertMovie

Syntax

(Filename: string)

Description

Insert a movie into a slide show.

Parameters

Filename: string	The filename of the movie (.avi, .mov, etc.) to insert.


InsertMovieObject

Syntax

()

Description

Insert a movie into a slide show.


InsertQuattroTable

Syntax

()

Description

Insert a spreadsheet.


InsertTextart

Syntax

()

Description

Create a design out of text.


InternetPublish

Syntax

()

Description

Select a method for publishing a document to the Internet.

 Note

•	This command is obsolete.


InternetPublisher

Syntax

()

Description

Select a method for publishing a document to the Internet.


InvertColors

Syntax

()

Description

Change the colors of the selected objects to their contrasting complementary colors.

 Related topics


IrregularCap

Syntax

(State: enumeration)

Description

Turn Correct TWo IRregular CApitals on or off in QuickCorrect.

Parameters

State: enumeration (optional)	Irregular capital correction is on or off. Off! On!
 Related topics


JustifyAuto

Syntax

()

Description

Automatically justify text in bullet charts using outline format.

 Related topics


JustifyCenter

Syntax

()

Description

Center text.

 Related topics


JustifyLeft

Syntax

()

Description

Align text at the left margin.

 Related topics


JustifyRight

Syntax

()

Description

Align text at the right margin.

 Related topics


KerningDlg

Syntax

()

Description

Display the Manual Kerning dialog box, which is used to expand and compress letterspacing.

 Related topics


KeyboardCopy

Syntax

(KeyboardName: string; DestName: string)

Description

Copy a keyboard.

Parameters

KeyboardName: string (optional)	The name of the keyboard to copy.
DestName: string (optional)	The new name for the copy.
 Related topics


KeyboardCreate

Syntax

(KeyboardName: string)

Description

Create a new keyboard.

Parameters

KeyboardName: string (optional)	The name for the new keyboard.
 Related topics


KeyboardEdit

Syntax

(KeyboardName: string)

Description

Open the Keyboard Editor.

Parameters

KeyboardName: string (optional)	The name of the keyboard to edit.
 Related topics


KeyboardRename

Syntax

(KeyboardName: string; NewName: string)

Description

Rename a specified keyboard.

Parameters

KeyboardName: string (optional)	The keyboard to rename.
NewName: string (optional)	The new name for the keyboard.
 Related topics


KeyboardSelect

Syntax

(Keyboard: string)

Description

Specify a keyboard to use, or specify the default keyboard if the parameter is not used.

Parameters

Keyboard: string (optional)	The name of a keyboard.
 Related topics


LanguageDlg

Syntax

()

Description

Display the Language Settings dialog box, which is used to specify the current language.

 Note

•	This command is obsolete.


LayoutGallery

Syntax

()

Description

Display or retrieve pre-designed slide show layouts.


LayoutGetNext

Syntax

()

Description

Specify the next layout in the Name dialog box in the Layout Editor.

 Related topics


LayoutGetPrevious

Syntax

()

Description

Specify the previous layout in the Name dialog box in the Layout Editor.

 Related topics


LayoutNext

Syntax

()

Description

Open the next layout in the Layout Editor.

 Related topics


LayoutPrevious

Syntax

()

Description

Open the previous layout in the Layout Editor.

 Related topics


LineAttributes

Syntax

(DefaultAttr: enumeration; ApplyTo: enumeration; ObjectFilled: enumeration; ObjectClosed: enumeration; ObjectFramed: enumeration; FillMethod: enumeration; LineEnd1: enumeration; LineEnd2: enumeration; LineJoin: enumeration; PenStyle: enumeration; PenPattern: enumeration; PenHorzWidth: numeric; PenVertWidth: numeric; PenFColorRed: numeric; PenFColorGreen: numeric; PenFColorBlue: numeric; PenBColorRed: numeric; PenBColorGreen: numeric; PenBColorBlue: numeric; ChangedAttrs: enumeration)

Description

Specify the color, style, pattern, width, and end style of a line.

Parameters

DefaultAttr: enumeration	Set the default line attributes, rather than use line attributes for a selected objects. No! Yes!
ApplyTo: enumeration	Define the line attributes for graphics, text, or both. Both! Graphics! Text!
ObjectFilled: enumeration	No! Yes!
ObjectClosed: enumeration	No! Yes!
ObjectFramed: enumeration	No! Yes!
FillMethod: enumeration	Alternate or winding fills. Alternating! Winding!
LineEnd1: enumeration	The line end style. Beginning and ending line end styles are the same unless either end is an arrowhead. Arrow! Flat! Round! Square!
LineEnd2: enumeration	The second line end style if LineEnd1 or LineEnd2 is Arrow!. Otherwise, LineEnd2 records with the same value as LineEnd1, and LineEnd1 specifies both line end styles even if a different value is entered for LineEnd2. Arrow! Flat! Round! Square!
LineJoin: enumeration	The style used to join lines. Bevel! Miter! None! Round!
PenStyle: enumeration	The pen style for lines. Alternate! Dash! Dash2Dot! Dash2Dot2! DashDot2! DotDash! DotDash2! Dots! Long2Short! Long2Short2! LongDash! LongShort! LongShort2! ShortDash! Solid! TinyDash!
PenPattern: enumeration	The pen pattern for lines. Arch! Balls! BigChecks! BigCrosshatch! BigSquares! Chainlink! Checks! Crosses! Crosshatch! Fishscale! Gray12! Gray25! Gray50! Honeycomb! HorzBricks! HorzLines1! HorzLines2! Mesh! Patio! Plaid! Solid! Squares! TiltBricks! TiltLines1! TiltLines2! TiltLines3! TiltLines4! Triangles! VertLines1! VertLines2! Waves! Weave!
PenHorzWidth: numeric	The horizontal line width, in WordPerfect units (1200ths of an inch).
PenVertWidth: numeric	The vertical line width, in WordPerfect units.
PenFColorRed: numeric	The amount of red (0-255) in the foreground pen color.
PenFColorGreen: numeric	The amount of green (0-255) in the foreground pen color.
PenFColorBlue: numeric	The amount of blue (0-255) in the foreground pen color.
PenBColorRed: numeric	The amount of red (0-255) in the pen background color.
PenBColorGreen: numeric	The amount of green (0-255) in the pen background color.
PenBColorBlue: numeric	The amount of blue (0-255) in the pen background color.
ChangedAttrs: enumeration (optional)	BColor! Close! End1! End2! FColor! Fill! Frame! HWidth! Join! Method! PenPattern! PenStyle! VWidth!
 Related topics


LineAttributesDlg

Syntax

()

Description

Display the Object Properties dialog box with the Line tab displayed, which is used to edit the color, style, pattern, width, and ends of lines.

 Related topics


LineSpacingDlg

Syntax

()

Description

Display the Line Spacing dialog box, which is used to set spacing between lines of text.

 Related topics


MacroFilePlay

Syntax

(Filename: string)

Description

Play a macro.

Parameters

Filename: string (optional)	The macro file to play.
 Related topics


MacroPause

Syntax

()

Description

Pause while recording or playing a macro.

 Related topics


MacroPlayDlg

Syntax

()

Description

Display the Play Macro dialog box, which is used to select and play a macro.

 Related topics


MacroRecord

Syntax

()

Description

Display the Record Macro dialog box, which is used to name and record a series of commands.

 Note

•	This command is obsolete.

 Related topics


MacroStop

Syntax

()

Description

Stop recording or playing a macro.

 Related topics


Mail

Syntax

()

Description

Display the Mail dialog box, which is used to send electronic mail. This command is only available if your computer has electronic mail capability.

 Related topics


MailSystem1

Syntax

()

Description

Send electronic mail. If multiple mail systems are installed, this command records with a number in the command name to indicate which mail system is active. When you play the command, the number directs the macro to the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MailSystem2

Syntax

()

Description

Send electronic mail. If multiple mail systems are installed, this command records with a number in the command name to indicate which mail system is active. When you play the command, the number directs the macro to the specified mail system, if it's available. If not, another mail system is used.

 Related topics


MailSystem3

Syntax

()

Description

Send electronic mail. If multiple mail systems are installed, this command records with a number in the command name to indicate which mail system is active. When you play the command, the number directs the macro to the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MailSystem4

Syntax

()

Description

Send electronic mail. If multiple mail systems are installed, this command records with a number in the command name to indicate which mail system is active. When you play the command, the number directs the macro to the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MailSystem5

Syntax

()

Description

Send electronic mail. If multiple mail systems are installed, this command records with a number in the command name to indicate which mail system is active. When you play the command, the number directs the macro to the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MailSystem6

Syntax

()

Description

Send electronic mail. If multiple mail systems are installed, this command records with a number in the command name to indicate which mail system is active. When you play the command, the number directs the macro to the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MailSystem7

Syntax

()

Description

Send electronic mail. If multiple mail systems are installed, this command records with a number in the command name to indicate which mail system is active. When you play the command, the number directs the macro the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MailSystem8

Syntax

()

Description

Send electronic mail. If multiple mail systems are installed, this command records with a number in the command name to indicate which mail system is active. When you play the command, the number directs the macro to the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MailSystem9

Syntax

()

Description

Send electronic mail. If multiple mail systems are installed, this command records with a number in the command name to indicate which mail system is active. When you play the command, the number directs the macro to the specified mail system, if it's available. If not, another available mail system is used.

 Related topics


MakeRuntime

Syntax

(Path: string; Version: enumeration; ColorFormat: enumeration; SizeFormat: enumeration; SendToEMail: enumeration; Loop: enumeration)

Description

Create a runtime slide show.

Parameters

Path: string	The file path for a new runtime slide show.
Version: enumeration	The version of Windows to use for a runtime slide show. Win31! Win95!
ColorFormat: enumeration (optional)	CurrentDevice! DeviceIndependent!
SizeFormat: enumeration (optional)	CurrentDeviceFullScreen! CurrentWindowSize! DeviceIndependentFullScreen!
SendToEMail: enumeration (optional)	No! Yes!
Loop: enumeration (optional)	No! Yes!
 Related topics


MakeRuntimeDlg

Syntax

()

Description

Displays the Make Runtime dialog box, which is used to create a runtime slide show.

 Related topics


MarkAsStaff

Syntax

()

Description

Add a staff-level position to an organization chart. Not recordable.

 Related topics


MasterGalleryDlg

Syntax

()

Description

Display the Master Gallery, which is used to view and select slide show masters.


MaximizeSpacing

Syntax

(Maximize: enumeration)

Description

Maximize the use of extra space in an organization chart.

Parameters

Maximize: enumeration (optional)	False! True!


MenuCopy

Syntax

(MenuName: string; DestName: string)

Description

Copy a menu bar.

Parameters

MenuName: string (optional)	The name of the menu bar to copy.
DestName: string (optional)	The new name for the copy.
 Related topics


MenuCreate

Syntax

(MenuName: string)

Description

Create a new menu bar.

Parameters

MenuName: string (optional)	The name for the new menu bar.
 Related topics


MenuEdit

Syntax

(MenuName: string)

Description

Open the Menu Bar Editor.

Parameters

MenuName: string (optional)	The name of the menu bar to edit.
 Related topics


MenuRename

Syntax

(MenuName: string; NewName: string)

Description

Rename a specified menu bar.

Parameters

MenuName: string (optional)	The new name for the menu bar.
NewName: string (optional)	The new name for the menu bar.
 Related topics


MenuSelect

Syntax

(MenuBarName: string)

Description

Display a specified menu bar, or the default menu bar if no parameter is used.

Parameters

MenuBarName: string (optional)	The menu bar to display.
 Related topics


MirrorObjectsHorizontally

Syntax

()

Description

Flip the selected objects on a vertical axis.

 Related topics


MirrorObjectsVertically

Syntax

()

Description

Flip the selected objects on a horizontal axis.

 Related topics


ModifyFigure

Syntax

()

Description

Open the Figure Editor to edit a selected figure. For a recordable command with a similar function, use ModifyObjects.

 Related topics


ModifyObjects

Syntax

()

Description

Allow changes to the selected objects.

 Related topics


MoveBackward

Syntax

()

Description

Move the selected objects back one layer in the current drawing.

 Related topics


MoveForward

Syntax

()

Description

Move the selected objects forward one layer in the current drawing.

 Related topics


MoveSelectedSlides

Syntax

(To: numeric)

Description

Move the selected slides to the position following the slide specified in the To parameter.

Parameters

To: numeric	The number of the slide for selected slides to follow.
 Related topics


MoveToBack

Syntax

()

Description

Position the selected objects behind all other objects in a drawing.

 Related topics


MoveToFront

Syntax

()

Description

Position the selected objects in front of all other objects in a drawing.

 Related topics


MovieSettings

Syntax

()

Description

Set the activation and timing for movie objects.


NameLayoutDlg

Syntax

()

Description

Display the Layout Name dialog box, which is used to assign a new name to an existing layout.


NewDocument

Syntax

()

Description

Create a new document.


NewDocumentDlg

Syntax

()

Description

Display the New Document dialog box, which is used to create a new slide show or drawing.

 Note

•	This command is obsolete.


NewDrawingCreate

Syntax

()

Description

Open a new drawing window.


NewPresentationCreate

Syntax

(MasterName: string; TemplateName: string)

Description

Create a new slide show.

Parameters

MasterName: string (optional)	Specify a master for the new slide show.
TemplateName: string (optional)	The name of slide template to use.


NewPresentationDlg

Syntax

()

Description

Display the New Slide Show dialog box, which is used to specify a master and a template for a new slide show.


NormalText

Syntax

()

Description

Turn off all text attributes.


ObjectAnimationDlg

Syntax

()

Description

Display the Animations dialog box, which defines transition or animation effects for the selected objects.


ObjectAreaSelect

Syntax

(Left: measurement; Bottom: measurement; Right: measurement; Top: measurement; AddToCurrent: enumeration)

Description

Select objects within a specified rectangular area.

Parameters

Left: measurement	The left edge of the rectangular area, in WordPerfect units (1200ths of an inch).
Bottom: measurement	The bottom edge of the rectangular area, in WordPerfect units.
Right: measurement	The right edge of the rectangular area, in WordPerfect units.
Top: measurement	The top edge of the rectangular area, in WordPerfect units.
AddToCurrent: enumeration	The currently selected objects remain selected, so objects within the rectangular area are added to the current selection. No! Yes!


ObjectMove

Syntax

(XLocation: measurement; YLocation: measurement; DeltaX: measurement; DeltaY: measurement; AddToSelection: enumeration; Copy: enumeration)

Description

Move the selected objects.

Parameters

XLocation: measurement	The horizontal position of the center point of objects to move, in WordPerfect units (1200ths of an inch) from the top left corner of the page.
YLocation: measurement	The vertical position of the center point of objects to move, in WordPerfect units from the top left corner of the page.
DeltaX: measurement	The amount to move selected objects horizontally, in WordPerfect units. Positive values move objects right, and negative values move them left.
DeltaY: measurement	The amount to move selected objects vertically, in WordPerfect units. Positive values move objects up, and negative values move them down.
AddToSelection: enumeration	Add the specified object to the current selection of objects for moving. No! Yes!
Copy: enumeration	Copy the selected objects before moving them. No! Yes!


ObjectPointSelect

Syntax

(XLocation: measurement; YLocation: measurement; AddToSelection: enumeration)

Description

Select an object at a specified location.

Parameters

XLocation: measurement	The horizontal position of the center point of an object, in WordPerfect units (1200ths of an inch) from the top left corner of the page.
YLocation: measurement	The vertical position of the center point of an object, in WordPerfect units from the top left corner of the page.
AddToSelection: enumeration	Add the specified object to the current selection. No! Yes!


ObjectScale

Syntax

(InitialLeft: measurement; InitialBottom: measurement; InitialRight: measurement; InitialTop: measurement; FinalLeft: measurement; FinalBottom: measurement; FinalRight: measurement; FinalTop: measurement; Copy: enumeration)

Description

Change the selected objects from the size specified by the first four parameters to the size specified by the last four parameters.

Parameters

InitialLeft: measurement	The left edge of the rectangular selection area, in WordPerfect units (1200ths of an inch).
InitialBottom: measurement	The bottom edge of the rectangular selection area, in WordPerfect units.
InitialRight: measurement	The right edge of the rectangular selection area, in WordPerfect units
InitialTop: measurement	The top edge of the rectangular selection area, in WordPerfect units.
FinalLeft: measurement	The left edge of the new object area, in WordPerfect units.
FinalBottom: measurement	The bottom edge of the new object area, in WordPerfect units.
FinalRight: measurement	The right edge of the new object area, in WordPerfect units.
FinalTop: measurement	The top edge of the new object area, in WordPerfect units.
Copy: enumeration	Copy the selected objects before resizing. No! Yes!


ObjectSetFillBackground

Syntax

(Red: numeric; Green: numeric; Blue: numeric; Transparent: numeric)

Description

Specify the background fill color of the selected objects, or the default background color if no object is selected.

Parameters

Red: numeric	The amount of red (0-255) in the background fill color.
Green: numeric	The amount of green (0-255) in the background fill color.
Blue: numeric	The amount of blue (0-255) in the background fill color.
Transparent: numeric	The background fill transparency. Use 1 to specify transparency and 0 to specify no transparency.
 Related topics


ObjectSetFillForeground

Syntax

(Red: numeric; Green: numeric; Blue: numeric; Transparent: numeric)

Description

Specify the foreground fill color of the selected objects, or the default foreground color if no object is selected.

Parameters

Red: numeric	The amount of red (0-255) in the foreground fill color.
Green: numeric	The amount of green (0-255) in the foreground fill color.
Blue: numeric	The amount of blue (0-255) in the foreground fill color.
Transparent: numeric	The foreground fill transparency. Use 1 to specify transparency and 0 to specify no transparency.
 Related topics


ObjectSetFillPattern

Syntax

(Pattern: enumeration)

Description

Specify a fill pattern or gradient fill for the selected objects, or a default pattern if no object is selected.

Parameters

Pattern: enumeration	Specify a fill pattern or gradient fill. Arch! Balls! BigChecks! BigCrossHatch! BigSquares! ChainLink! Checks! Crosses! CrossHatch! EighthGray! FishScale! FourthGray! GradCircBottom! GradCircCenter! GradCircLeftBottom! GradCircLeftTop! GradCircRight! GradCircRightBottom! GradCircRightTop! GradCircTop! GradHorzAll! GradHorzHalf! GradHorzMost! GradHorzPart! GradRectBottom! GradRectCenter! GradRectLeftBottom! GradRectLeftTop! GradRectRight! GradRectRightBottom! GradRectRightTop! GradRectTop! GradTilt1All! GradTilt1Half! GradTilt1Most! GradTilt1Part! GradTilt2All! GradTilt2Half! GradTilt2Most! GradTilt2Part! GradVertAll! GradVertHalf! GradVertMost! GradVertPart! HalfGray! HoneyComb! HorzBricks! HorzLines1! HorzLines2! Mesh! Patio! Plaid! Solid! Squares! TiltBricks! TiltLines1! TiltLines2! TiltLines3! TiltLines4! Triangles! VertLines1! VertLines2! Waves! Weave!
 Related topics


ObjectSetFillState

Syntax

(FillState: enumeration)

Description

Specify whether the selected objects are filled or not filled, or set the default fill state if no object is selected.

Parameters

FillState: enumeration	The state of object fill. Filled! Hollow!
 Related topics


ObjectSetFrameState

Syntax

(FrameState: enumeration)

Description

Specify whether the object outline is on or off for selected objects, or set the default state if no object is selected.

Parameters

FrameState: enumeration	The state of the frame. FrameOff! FrameOn!


ObjectSetLineBackground

Syntax

(Red: numeric; Green: numeric; Blue: numeric; Transparent: numeric)

Description

Specify the background line color for the selected objects, or the default background line color if no object is selected.

Parameters

Red: numeric	The amount of red (0-255) in the line background color.
Green: numeric	The amount of green (0-255) in the line background color.
Blue: numeric	The amount of blue (0-255) in the line background color.
Transparent: numeric	The line background transparency. Use 1 to specify transparency and 0 to specify no transparency.
 Related topics


ObjectSetLineForeground

Syntax

(Red: numeric; Green: numeric; Blue: numeric; Transparent: numeric)

Description

Specify the foreground line color of the selected objects, or the default foreground line color if no object is selected.

Parameters

Red: numeric	The amount of red (0-255) in the line foreground color.
Green: numeric	The amount of green (0-255) in the line foreground color.
Blue: numeric	The amount of blue (0-255) in the line foreground color.
Transparent: numeric	The line foreground transparency. Use 1 to specify transparency and 0 to specify no transparency.
 Related topics


ObjectSetLinePattern

Syntax

(Pattern: enumeration)

Description

Specify a line pattern or gradient for the selected objects, or a default pattern if no object is selected.

Parameters

Pattern: enumeration	The line pattern. Arch! Balls! BigChecks! BigCrossHatch! BigSquares! ChainLink! Checks! Crosses! CrossHatch! EighthGray! FishScale! FourthGray! HalfGray! HoneyComb! HorzBricks! HorzLines1! HorzLines2! Mesh! Patio! Plaid! Solid! Squares! TiltBricks! TiltLines1! TiltLines2! TiltLines3! TiltLines4! Triangles! VertLines1! VertLines2! Waves! Weave!
 Related topics


ObjectSetLineStyle

Syntax

(Style: enumeration)

Description

Specify a line style for the selected objects, or a default line style if no object is selected.

Parameters

Style: enumeration	The line style. Alternate! Dash! DashDashDot! DashDashDotDot! DashDot! DashDotDot! DotDotDash! Dots! LongDash! LongLongShort! LongLongShortShort! LongShort! LongShortShort! ShortDash! Solid! TinyDash!
 Related topics


ObjectSetLineWidth

Syntax

(LineWidth: measurement)

Description

Specify a line width for the selected objects, or a default line width if no object is selected.

Parameters

LineWidth: measurement	The line width in WordPerfect units (1200ths of an inch), with 0 specifying a width of one pixel.
 Related topics


Ole20InsertObjectDlg

Syntax

()

Description

Display the Insert Object dialog box, which is used to insert an OLE object into the current drawing.


OleBrowseLinksDlg

Syntax

()

Description

Display the Links dialog box, which is used to edit OLE links.


OleChartCloseFile

Syntax

()

Close a data chart and return to an OLE client document when Corel Presentations is the OLE server.

 Related topics


OleChartExit

Syntax

()

Description

Exit Corel Presentations and return to an OLE client application when Corel Presentations is the OLE server.

 Related topics


OleChartUpdateFile

Syntax

()

Description

Update a data chart in an OLE client document when Corel Presentations is the OLE server.

 Related topics


OleCloseFile

Syntax

()

Description

Close a drawing and return to an OLE client application when Corel Presentations is the OLE server.


OleExit

Syntax

()

Description

Exit Corel Presentations and return to an OLE client document when Corel Presentations is the OLE server.


OleInsertFromFile

Syntax

(Filename: string; IsLink: enumeration; IsIconic: enumeration)

Description

Create an OLE object from a specified file.

Parameters

Filename: string	The filename of the object to link.
IsLink: enumeration	Link the file rather than embed the file. No! Yes!
IsIconic: enumeration	Display the object as an icon. No! Yes!
 Related topics


OleInsertObject

Syntax

(Description: string; UseIcon: enumeration)

Description

Insert an OLE object into the current drawing.

Parameters

Description: string	The description that appears in the list box for the OLE item type.
UseIcon: enumeration	Display the inserted object as an icon. No! Yes!
 Related topics


OlePlayInformation

Syntax

(Verb: numeric; IsHidden: enumeration; PlayOnClick: enumeration; PlayOnTransition: enumeration; DelayTime: numeric)

Description

Set activation options and timing for OLE objects.

Parameters

Verb: numeric	Specify an action to perform on an object. See the Windows registration database for possible values.
IsHidden: enumeration	Hide an object when not playing. No! Yes!
PlayOnClick: enumeration	The object plays when clicked during slide show play. No! Yes!
PlayOnTransition: enumeration	The object plays as soon as the transition from the previous slide has finished. No! Yes!
DelayTime: numeric	The amount of time after the transition to delay before playing the object. In tenths of a second.
 Related topics


OlePlaySettings

Syntax

()

Description

Display the Play Settings dialog box, which is used to specify activation settings for OLE objects.

 Related topics


OleSaveAsDlg

Syntax

()

Description

Display the Save As dialog box for OLE objects, which is used to save a copy of an OLE drawing with a new name or file format.


OleUpdateFile

Syntax

()

Description

Update a Corel Presentations OLE object in a client application.


OnlineService

Syntax

(CommandLine: string; Address: string)

Description

Launch your commercial online service. You must first have configured the service in Help Online.

Parameters

CommandLine: string	The command line.
Address: string	The web address of the online service to connect to.
 Related topics


OrgBoxOptionsDlg

Syntax

()

Description

Display the Box Properties dialog box for organization charts.

 Note

•	This command is obsolete.

 Related topics


OrgChartAlignmentDlg

Syntax

()

Description

Display the Branch Structure dialog box, which is used to define organization chart branch structure.

 Related topics


OrgChartBoxSize
numeric:=OrgChartBoxSize

Syntax

(VerticalSize: numeric; HorizontalSize: numeric; boxSizeOption: enumeration)

Description

Set the size of one or more boxes in an organization chart.

Parameters

VerticalSize: numeric	The vertical size of organization chart boxes.
HorizontalSize: numeric	The horizontal size of organization chart boxes.
boxSizeOption: enumeration (optional)	FitToText! LargestInBranch! LargestInChart! LargestInLevel!
 Related topics


OrgChartFontAttrsDlg

Syntax

()

Description

Display the Text Attributes dialog box for organization charts, which is used to specify the appearance of text.

 Related topics


OrgChartFontDlg

Syntax

()

Description

Display the Font dialog box for organization charts, which is used to specify a font.

 Related topics


OrgChartImportOutline

Syntax

()

Description

Import an outline into an organization chart.

 Related topics


OrgChartLayoutDlg

Syntax

()

Description

Display the Layout dialog box for organization charts.


OrgChartOrientationDlg

Syntax

()

Description

Display the Orientation dialog box, which sets orientation for an organization chart.

 Related topics


OrgChartUndelete

Syntax

()

Description

Restore the last deleted object in an organization chart.

 Related topics


OrgChartViewAllBranches

Syntax

()

Description

View all branches in an organization chart.

 Related topics


OrgChartViewSelectedBranch

Syntax

()

Description

View the selected branch in an organization chart.

 Related topics


OrgTextEditExit

Syntax

()

Description

Return from the text editor to the organization chart editor.

 Related topics


OutlineNextLevel

Syntax

()

Description

Demote the outline to the next level.


OutlineObject

Syntax

()

Description

Display the selected objects as line drawings.

 Related topics


OutlinePreviousLevel

Syntax

()

Description

Promote outline to the previous level.


OutlineRevealCodes

Syntax

()

Description

Display text codes for the current text chart.


OverrideSlideDlg

Syntax

()

Description

Display the Override dialog box, which is used to override slide options.

 Related topics


PageColorDlg

Syntax

()

Description

Display the Page Setup dialog box, which is used to specify a document page color.

 Related topics


PageFormatDlg

Syntax

()

Description

Display the Page Setup dialog box, which is used to specify page size, margins, page colors, and save options.

 Related topics


PageMode

Syntax

()

Description

Display all objects in the drawing or slide.

 Related topics


PageSizeInfo

Syntax

()

Description

Display the Page Size dialog box, which is used to set page size, margins, page color, and save options.

 Related topics


PaintBrush

Syntax

({X: numeric; Y: numeric})

Description

Activate the Paint Brush tool to create a bitmap object in the Bitmap Editor.

Parameters

X: numeric (optional)	The horizontal position of pixels clicked when painting. Repeat the X and Y parameters for each pixel covered, and enclose repeated parameters in braces {}.
Y: numeric (optional)	The vertical position of pixels clicked when painting.
 Related topics


PaintDropMarquee

Syntax

(EndMarquee: enumeration)

Description

Copy a selected portion of a bitmap area. Precede with PaintMoveMarquee.

Parameters

EndMarquee: enumeration (optional)	Turn off select mode for the copied portion. No! Yes!
 Related topics


PaintDropper

Syntax

(X: numeric; Y: numeric; Color: enumeration)

Description

Activate the Pickup Color painting tool to select a background or foreground color in the Bitmap Editor.

Parameters

X: numeric	The horizontal position of pixels clicked when choosing a color.
Y: numeric	The vertical position of pixels clicked when choosing a color.
Color: enumeration (optional)	The color the paint dropper uses. Background! Foreground!
 Related topics


PaintEraser

Syntax

({X: numeric; Y: numeric})

Description

Activate the Eraser painting tool to erase portions of a bitmap object in the Bitmap Editor.

Parameters

X: numeric (optional)	The horizontal position of pixels covered when erasing. Repeat the X and Y parameters for each pixel covered, and enclose repeated parameters in braces {}.
Y: numeric (optional)	The vertical position of pixels covered when erasing.
 Related topics


PaintEscapeUndo

Syntax

()

Description

Remove the effects of the most recent editing change in the Bitmap Editor. To add this function to a macro, use BitmapUndo.

 Related topics


PaintMoveMarquee

Syntax

(DeltaX: numeric; DeltaY: numeric; EraseUnder: enumeration)

Description

Move a selected bitmap area. Follow with PaintDropMarquee.

Parameters

DeltaX: numeric (optional)	The amount of horizontal movement, in pixels.
DeltaY: numeric (optional)	The amount of vertical movement, in pixels.
EraseUnder: enumeration (optional)	Erase the area beneath the new selection location. No! Yes!
 Related topics


PasteMarquee

Syntax

()

Description

Retrieve a bitmap object from the Clipboard and insert it into the current drawing.

 Related topics


PasteObject

Syntax

(FormatName: string; Format: numeric; OleFormat: enumeration; InsertLink: enumeration; InsertIcon: enumeration)

Description

Insert an OLE object from the Clipboard into the current drawing.

Parameters

FormatName: string (optional)	The name of the Clipboard format (such as Metafile).
Format: numeric (optional)	The Clipboard format ID number. Use only if FormatName is not specified.
OleFormat: enumeration (optional)	Insert the Clipboard contents as an OLE object. No! Yes!
InsertLink: enumeration (optional)	Insert object as a link. Use only if the Clipboard format is an OLE type. No! Yes!
InsertIcon: enumeration (optional)	Display an OLE object as an icon. Use only if the Clipboard format is an OLE type. No! Yes!


PasteSpecialOle20Dlg

Syntax

()

Description

Display the Paste Special dialog box, which is used to paste OLE objects from the Clipboard into the current drawing.


PlaySlideShow

Syntax

(PlayType: enumeration; PenSize: numeric; PenRedValue: numeric; PenGreenValue: numeric; PenBlueValue: numeric; SlideNumberStart: numeric; RepeatShow: enumeration; ShowFormat: enumeration; ColorFormat: enumeration; SizeFormat: enumeration)

Description

Play a slide show and specify play options.

Parameters

PlayType: enumeration	The type of slide show to play. CreateQuickFile! CreateWin31Runtime! CreateWin95Runtime! NormalPlay! UseQuickFile!
PenSize: numeric	The size of the highlighter, in WordPerfect units (1200ths of an inch).
PenRedValue: numeric	The highlighter color. Value (0-255).
PenGreenValue: numeric	The highlighter color. Value (0-255).
PenBlueValue: numeric	The highlighter color. Value (0-255).
SlideNumberStart: numeric	The first slide in a slide show.
RepeatShow: enumeration	Play the slide show again. No! Yes!
ShowFormat: enumeration (optional)	The format for a slide show. DeviceFormat! GenericFormat!
ColorFormat: enumeration (optional)	CurrentDevice! DeviceIndependent!
SizeFormat: enumeration (optional)	CurrentDeviceFullScreen! CurrentWindowSize! DeviceIndependentFullScreen!
 Related topics


PlaySlideShowDlg

Syntax

()

Description

Display the Play Slide Show dialog box, which is used to select play options and to play the current slide show.

 Related topics


PlaySlideShowFirst

Syntax

()

Description

Play the current slide show, starting with the first slide.


PointerPosition

Syntax

(State: enumeration)

Description

Toggle the display of the pointer position in the status bar.

Parameters

State: enumeration (optional)	Pointer position display is on or off. Off! On!


PosterDlg

Syntax

()

Description

Create a poster by enlarging the drawing to print on multiple pages.


PRActivate

Syntax

()

Description

Activate the Corel Presentations window.


PrefCustomDlg

Syntax

()

Description

Display the Customize dialog box.


PrefEnvironmentDlg

Syntax

()

Description

Display the Environment dialog box.


PreferenceBackupDlg

Syntax

()

Description

Display the Backup dialog box, which is used to specify document backup preferences.

 Note

•	This command is obsolete.


PreferenceDateTime

Syntax

(DateTimeString: string)

Description

Specify date and time format.

Parameters

DateTimeString: string	The date and time format.


PreferenceDateTimeDlg

Syntax

()

Description

Display the Date/Time Format dialog box, which is used to specify date and time format preferences.

 Related topics


PreferenceEnvGenDlg

Syntax

()

Description

Display the General Environment dialog box.


PreferenceEnvironmentDlg

Syntax

()

Description

Display the Environment dialog box, which is used to specify environment preferences.


PreferenceEnvLangDlg

Syntax

()

Description

Display the Language Environment dialog box.


PreferenceFormSettings

Syntax

(FormWidth: measurement; FormHeight: measurement; MarginLeft: measurement; MarginBottom: measurement; MarginRight: measurement; MarginTop: measurement; Orientation: enumeration)

Description

Specify default page and margin sizes.

Parameters

FormWidth: measurement	The page width, in WordPerfect units (1200ths of an inch).
FormHeight: measurement	The page height, in WordPerfect units.
MarginLeft: measurement	The size of the left margin, in WordPerfect units.
MarginBottom: measurement	The size of the bottom margin, in WordPerfect units.
MarginRight: measurement	The size of the right margin, in WordPerfect units.
MarginTop: measurement	The size of the top margin, in WordPerfect units.
Orientation: enumeration	The page orientation. Landscape! Portrait!
 Related topics


PreferenceKeyboardDlg

Syntax

()

Description

Display the Keyboard Preferences dialog box, which is used to specify a keyboard file.

 Related topics


PreferenceLOF2Dlg

Syntax

()

Description

Display the Multimedia Location of Files dialog box.

 Note

•	This command is obsolete.


PreferenceLOFDlg

Syntax

()

Description

Display the Location of Files dialog box.


PreferenceMenuDlg

Syntax

()

Description

Display the Menu Bar Preferences dialog box, which is used to create and modify menu options.

 Related topics


PreferencePageColor

Syntax

(GradientFlag: enumeration; SolidColorRed: numeric; SolidColorGreen: numeric; SolidColorBlue: numeric; GradientColorRed: numeric; GradientColorGreen: numeric; GradientColorBlue: numeric; GradientType: enumeration; GradientAngle: numeric; GradientSteps: numeric; GradientRefX: numeric; GradientRefY: numeric)

Description

Specify page color preferences.

Parameters

GradientFlag: enumeration	The gradient, rather than solid color. No! Yes!
SolidColorRed: numeric	The amount of red (0-255) in a solid page color, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
SolidColorGreen: numeric	The amount of green (0-255) in a solid page color, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
SolidColorBlue: numeric	The amount of blue (0-255) in a solid page color, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
GradientColorRed: numeric (optional)	The amount of red (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
GradientColorGreen: numeric (optional)	The amount of green (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
GradientColorBlue: numeric (optional)	The amount of blue (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
GradientType: enumeration (optional)	The linear, circular, or rectangular gradient. Grad_CCircles! Grad_Linear! Grad_None! Grad_Vrects!
GradientAngle: numeric (optional)	The rotation angle for a gradient page color. The top of the gradient is rotated counter-clockwise. For example, a 90-degree angle places the top of the gradient along the left margin of the page.
GradientSteps: numeric (optional)	The number of steps between colors in a gradient page color. A value of 0 represents the greatest possible number of steps.
GradientRefX: numeric (optional)	The horizontal center of a circular or rectangular gradient relative to the page. Flush left is 0, center is 50, and flush right is 100.
GradientRefY: numeric (optional)	The vertical center of a circular or rectangular gradient or the top of a linear gradient relative to the page. Top is 0, center is 50, and bottom is 100.
 Related topics


PreferencePrintDlg

Syntax

()

Description

Display the Print dialog box, which is used to specify printing preferences.

 Note

•	This command is obsolete.


PreferencePropertyBarDlg

Syntax

()

Description

Display the Property Bar dialog box.


PreferencesDlg

Syntax

()

Description

Display the Preferences dialog box, which is used to set system default options.


PreferenceToolbarDlg

Syntax

()

Description

Display the Toolbar Preferences dialog box, which is used to select and customize toolbars.

 Related topics


PreferenceToolPaletteDlg

Syntax

()

Description

Display the Tool Palette dialog box.


PrefLOFDlg

Syntax

()

Description

Display the Location of Files dialog box.


PrintBlackWhite
numeric:=PrintBlackWhite

Syntax

(State: enumeration)

Description

Set the print black and white option.

Parameters

State: enumeration (optional)	False! True!


PrintCopies
numeric:=PrintCopies

Syntax

(NumberOfCopies: numeric)

Description

Set the number of copies you want to print.

Parameters

NumberOfCopies: numeric (optional)	The number of copies to print.
 Related topics


PrintDestination
any:=PrintDestination

Syntax

(Destination: any)

Description

Set the destination for the current print job.

Parameters

Destination: any (optional)	The destination for print jobs. DriverPort!
 Related topics


PrintDialog

Syntax

()

Description

Display the Print dialog.

 Related topics


PrintDlg

Syntax

()

Description

Display the Print dialog box.

 Note

•	This command is obsolete.

 Related topics


PrintDocTkn

Syntax

()

Description

Print the current document.

 Related topics


PrintDocument

Syntax

(CurrentPage: numeric; TotalPages: numeric; NumberOfCopies: numeric; Units: enumeration; BlackWhite: enumeration; CopiesPrintedBy: enumeration; PrintBinding: enumeration; PrintSource: enumeration; SelectedObjects: numeric; DocOnDisk: numeric; WhichPage: numeric; PrintOffset: enumeration; TopAdjust: numeric; SideAdjust: numeric; FileFormat: enumeration; PrinterLongName: numeric; PrinterDriverName: numeric; DeviceName: numeric; FormWidth: numeric; FormHeight: numeric; LeftMargin: numeric; BottomMargin: numeric; RightMargin: numeric; TopMargin: numeric; Mode: enumeration; HandoutsPerPage: numeric; NotesPerPage: numeric; FirstSlide: numeric; LastSlide: numeric; ViewPrintJob: enumeration; NoBackground: enumeration; SlideTitle: enumeration; SlideNumber: enumeration; PrintSlideRange: enumeration; BindingOffset: numeric)

Description

Print the current document.

Parameters

CurrentPage: numeric	The page to print.
TotalPages: numeric	The total number of pages to print.
NumberOfCopies: numeric	The number of copies to print.
Units: enumeration	The unit of measurement IDU_CM! IDU_Inches! IDU_InchesI! IDU_MM! IDU_Points! IDU_WP42! IDU_WPU!
BlackWhite: enumeration	Print in black-and-white mode. No! Yes!
CopiesPrintedBy: enumeration	Generate copies with the printer or the application. Application! Printer!
PrintBinding: enumeration	The binding offset. Left! Top!
PrintSource: enumeration	The print source. CurrentPage! DocumentOnDisk! FullDoc! PageRange! PrintHandouts! PrintList! PrintNotes! PrintPreview! PrintSlides! SelectedObjects!
SelectedObjects: numeric	The number of selected objects.
DocOnDisk: numeric	Print a file from a disk.
WhichPage: numeric	The pages to print.
PrintOffset: enumeration	The binding edge. BindLeft! BindTop! SideLeft! SideRight! TopDown! TopUp!
TopAdjust: numeric	The top margin offset.
SideAdjust: numeric	The side margin offset.
FileFormat: enumeration	The format of the file. WPG10! WPG20!
PrinterLongName: numeric	The name of printer.
PrinterDriverName: numeric	The name of printer driver.
DeviceName: numeric	The name of the printer device.
FormWidth: numeric	The paper width in WordPerfect units (1200ths of an inch).
FormHeight: numeric	The paper height in WordPerfect units.
LeftMargin: numeric	The left margin size in WordPerfect units.
BottomMargin: numeric	The bottom margin size in WordPerfect units.
RightMargin: numeric	The right margin size in WordPerfect units.
TopMargin: numeric	The top margin size in WordPerfect units.
Mode: enumeration	The part of the document to print. Disk! Drawing! Handouts! List! Notes! Slides!
HandoutsPerPage: numeric	The number of slides to print per page.
NotesPerPage: numeric	The number of speaker notes to print per page.
FirstSlide: numeric	The number of the first slide to print.
LastSlide: numeric	The number of the last slide to print.
ViewPrintJob: enumeration	No! Yes!
NoBackground: enumeration	Print the slide background. No! Yes!
SlideTitle: enumeration	Print the slide title. No! Yes!
SlideNumber: enumeration	Print the slide number. No! Yes!
PrintSlideRange: enumeration	Print a range of slides. No! Yes!
BindingOffset: numeric	The print binding offset.
 Related topics


PrintImageBinding
numeric:=PrintImageBinding

Syntax

(Edge: enumeration)

Description

Set the print binding for the current print job.

Parameters

Edge: enumeration (optional)	The binding edge. BottomEdge! InsideEdge! LeftEdge! OutsideEdge! RightEdge! TopEdge!
 Related topics


PrintImageOffset
numeric:=PrintImageOffset

Syntax

(Offset: numeric)

Description

Set the printing offset for the current print job.

Parameters

Offset: numeric (optional)	The offset for printing.
 Related topics


PrintInColor
numeric:=PrintInColor

Syntax

(State: enumeration)

Description

Print the current document in color.

Parameters

State: enumeration (optional)	Color printing is on or off. False! True!
 Related topics


PrintInReverseOrder
numeric:=PrintInReverseOrder

Syntax

(State: enumeration)

Description

Print the current document in reverse order, starting with the last page.

Parameters

State: enumeration (optional)	Reverse-order printing is on or off. False! True!
 Related topics


PrintMode
numeric:=PrintMode

Syntax

(Mode: enumeration)

Description

Set the print mode.

Parameters

Mode: enumeration (optional)	The print mode. AudienceNotes! CurrentView! DocOnDisk! FullDoc! Handouts! SelectedObjects! Slides! SpeakerNotes!
 Note

•	This command has been modified in version 9.

 Related topics


PrintNoBackground
numeric:=PrintNoBackground

Syntax

(State: enumeration)

Description

Print the contents of the slide or drawing without the background.

Parameters

State: enumeration (optional)	Printing background is on or off. False! True!
 Related topics


PrintRangeFrom
numeric:=PrintRangeFrom

Syntax

(Page: numeric)

Description

Set the first page of a multiple-slide print job.

Parameters

Page: numeric (optional)	The beginning page of the print job.
 Related topics


PrintRangeTo
numeric:=PrintRangeTo

Syntax

(Page: numeric)

Description

Specify the last page in a multiple-slide print job.

Parameters

Page: numeric (optional)	The ending page of the print job.
 Related topics


PrintResolution
any:=PrintResolution

Syntax

(Quality: enumeration)

Description

Set the resolution for the print job. This will depend on your printer.

Parameters

Quality: enumeration (optional)	Low! Medium! High!
 Note

•	This command has been modified in version 9.

 Related topics


PrintSelectByName
any:=PrintSelectByName

Syntax

(PrinterName: enumeration)

Description

Select a printer by name.

Parameters

PrinterName: enumeration (optional)	The name of printer. Default!
 Related topics


PrintSettings

Syntax

(Action: enumeration; SettingsName: any)

Description

Add, delete, update, and use a named print settings macro.

Parameters

Action: enumeration	Add! Delete! Update! Use!
SettingsName: any (optional)	The name of print settings. Default! DriverSettings!
 Related topics


PrintSlideNumber
numeric:=PrintSlideNumber

Syntax

(State: enumeration)

Description

Print the slide number on your slide.

Parameters

State: enumeration (optional)	Printing slide numbers is on or off. False! True!
 Related topics


PrintSlidesPerPage
numeric:=PrintSlidesPerPage

Syntax

(Slides: numeric)

Description

Set the number of slides to print on a page.

Parameters

Slides: numeric (optional)	The number of slides to print per page.
 Related topics


PrintSlideTitle
numeric:=PrintSlideTitle

Syntax

(State: enumeration)

Description

Print the slide title on the page.

Parameters

State: enumeration (optional)	Printing slide titles is on or off. False! True!
 Related topics


PrintSortOrder
numeric:=PrintSortOrder

Syntax

(Order: enumeration)

Description

Set the printing sort order.

Parameters

Order: enumeration (optional)	The order in which to print the pages. Collate! Group!
 Related topics


PrintSourceFilename
string:=PrintSourceFilename

Syntax

(Filename: string)

Description

Return the filename source for printing.

Parameters

Filename: string (optional)	The filename of the source.
 Related topics


PrintTextAsGraphics
enumeration:=PrintTextAsGraphics

Syntax

(State: enumeration)

Description

Print text as graphics.

Parameters

State: enumeration (optional)	Printing text as graphics is on or off. False! True!
 Related topics


PrintTwoSided
numeric:=PrintTwoSided

Syntax

(Option: enumeration)

Description

Set the two-sided values for printing more than one page.

Parameters

Option: enumeration (optional)	Add! Delete! Update! Use!
 Related topics


PropertyBarEdit

Syntax

(PropertyBarName: string)

Description

Display the Property Bar editor dialog box.

Parameters

PropertyBarName: string (optional)	The name of the property bar to edit.


PublishToActiveX

Syntax

()

Description

Publish your slide show to the Internet with Show It!

 Note

•	This command is obsolete.


PublishToBarista

Syntax

()

Description

Publish drawings and slide shows in JAVA format, using Corel Barista, so you can use them on the Internet.

 Note

•	This command is obsolete.

 Related topics


PublishToInternet

Syntax

()

Description

Publish a document in HTML format so you can post it on an Internet server.

 Note

•	This command is obsolete.

 Related topics


PublishToPDF

Syntax

()

Description

Publish a document in the .PDF file format.

 Note

•	New command


PutAttributes

Syntax

()

Description

Apply the current default attributes to selected objects.

 Related topics


Quick3D

Syntax

(Type: enumeration; Depth: numeric; X_Rotation: numeric; Y_Rotation: numeric; Z_Rotation: numeric; SideRelativeColorValue: numeric)

Description

Add the appearance of depth to selected objects using Quick3-D.

Parameters

Type: enumeration	The perspective. Inverse! Linear! Parallel!
Depth: numeric	The object depth expressed as a percentage.
X_Rotation: numeric	The degree of rotation around the X axis.
Y_Rotation: numeric	The degree of rotation around the Y axis.
Z_Rotation: numeric	The degree of rotation around the Z axis.
SideRelativeColorValue: numeric	The percentage by which to lighten or darken a side relative to the front. Values range from 1 to 100 to lighten a side, and from -1 to -100 to darken a side.
 Related topics


Quick3DDlg

Syntax

()

Description

Display the Quick3-D dialog box, which is used to change the apparent depth of selected objects.

 Related topics


QuickCorrect

Syntax

(State: enumeration)

Description

Turn QuickCorrect on or off.

Parameters

State: enumeration (optional)	QuickCorrect is on or off. Off! On!
 Related topics


QuickCorrectAddItem

Syntax

(StringTyped: string; ReplaceString: string)

Description

Add a word/correction pair to QuickCorrect.

Parameters

StringTyped: string	The misspelled or abbreviated word to add.
ReplaceString: string	The correction or expansion to add.
 Related topics


QuickCorrectDeleteItem

Syntax

(StringTyped: string)

Description

Delete a word/correction pair from QuickCorrect.

Parameters

StringTyped: string	The word to delete.
 Related topics


QuickCorrectDlg

Syntax

()

Description

Display the QuickCorrect dialog box, which displays the current list of word/correction pairs.

 Related topics


QuickCorrectOptions

Syntax

()

Description

Open the QuickCorrect options dialog box, which is used to specify QuickCorrect default settings.

 Related topics


SpeedLinkAttributeDlg

Syntax

()

Description

Display the SpeedLink attribute dialog box.


QuickWarp

Syntax

(Envelope: numeric)

Description

Apply a QuickWarp effect to the selected objects.

Parameters

Envelope: numeric (optional)	Specify a predefined envelope to apply to selected objects. Values range from 0 to 48, with 0 indicating the top left envelope on the palette and 48 indicating the bottom right envelope.
 Related topics


QuickWarpDlg

Syntax

()

Description

Display the QuickWarp dialog box, which is used to apply a QuickWarp effect to selected objects.

 Related topics


RealizeFontChanges

Syntax

(SaveTo: enumeration)

Description

Implement font changes. Precede with SetFontFace.

Parameters

SaveTo: enumeration (optional)	Save changes as default values, for the selected object, or both. Both! Default! Selected!
 Related topics


Redo

Syntax

()

Description

Reverse the action of Undo.

 Related topics


RedrawChart

Syntax

()

Description

Update the current chart to reflect changes in the Datasheet.


RefreshScreen

Syntax

()

Description

Redraw the current drawing.


ReplaceMasters

Syntax

(Filename: string)

Description

Retrieve a new slide show master file, replacing the current slide show master.

Parameters

Filename: string	The master file.


ReplaceWithClipart

Syntax

()

Description

Replace selected object with Clipart.


ResampleBitmapCmd

Syntax

()

Description

Resample the selected bitmap object.


ResetColorTable

Syntax

()

Description

Reset the color table in the Define Color Palettes dialog box to the default values.


RetrieveChartStyle

Syntax

(Filename: string; Type: enumeration)

Description

Open a specified chart style.

Parameters

Filename: string	The chart style to retrieve.
Type: enumeration	The type of chart. Data! Org! Text!
 Related topics


RetrieveFigure

Syntax

(Left: numeric; Top: numeric; Right: numeric; Bottom: numeric; Filename: string; FigureIndex: numeric; RemoveGradient: enumeration)

Description

Insert a graphic from the clipart gallery into the current drawing at the location specified in the first four parameters. Without these parameters, the command retrieves a full-page figure. With no parameters, the command displays the QuickArt Gallery.

Parameters

Left: numeric (optional)	The top horizontal coordinate of the figure area, in WordPerfect units (1200ths of an inch.)
Top: numeric (optional)	The top vertical coordinate of the figure area, in WordPerfect units.
Right: numeric (optional)	The bottom horizontal coordinate of the figure area, in WordPerfect units.
Bottom: numeric (optional)	The bottom vertical coordinate of the figure area, in WordPerfect units.
Filename: string (optional)	The graphics file to retrieve. When you use this parameter, no dialog box is displayed before the specified file is retrieved.
FigureIndex: numeric (optional)	The figure to retrieve. The value of this parameter is 0 if the file specified in the Filename parameter is a single file. If the file is a Slide Show (.SHW) file, FigureIndex is required to indicate the WPG index for the figure to retrieve.
RemoveGradient: enumeration (optional)	Remove the gradients from Clipart images for faster display. No! Yes!
 Related topics


RetrieveFigureDlg

Syntax

()

Description

Display the Insert Figure dialog box, which is used to import a figure from another file into the current document.

 Related topics


RetrieveOutline

Syntax

()

Description

Insert a text outline into the Outliner in the current slide show.


RetrieveStyleDlg

Syntax

()

Description

Retrieve a specified chart style and apply it to the current chart.

 Related topics


RevealCodes

Syntax

()

Description

Turn on or turn off the display of text codes at the bottom of the screen in the Text Editor.


RotateObject

Syntax

(RotationAngle: numeric; RotationPointX: numeric; RotationPointY: numeric; OffsetX: numeric; OffsetY: numeric; Pretranslate: enumeration; CopyObject: enumeration)

Description

Rotate the selected objects. Precede with RotateObjects.

Parameters

RotationAngle: numeric	The angle of rotation.
RotationPointX: numeric	The horizontal position of rotation point, in WordPerfect units (1200ths of an inch).
RotationPointY: numeric	The vertical position of rotation point, in WordPerfect units.
OffsetX: numeric	The horizontal offset, in WordPerfect units.
OffsetY: numeric	The vertical offset, in WordPerfect units.
Pretranslate: enumeration	No! Yes!
CopyObject: enumeration	Rotate a copy of the object. No! Yes!
 Related topics


RotateObjects

Syntax

()

Description

Place rotation handles around the selected objects. The handles allow you to rotate objects around the center axis. Follow with RotateObject.

 Related topics


RotateObjectsAroundAnchor

Syntax

(Angle: numeric; Copy: enumeration)

Description

Rotate the selected objects around the center point.

Parameters

Angle: numeric	The rotation angle in degrees. Values range from -360 to 360.
Copy: enumeration	Copy the selected objects before rotating. No! Yes!
 Related topics


RotateObjectsDlg

Syntax

()

Description

Display the Rotate Objects dialog box, which is used to specify a rotation angle.

 Related topics


RulerGridOptionsDlg

Syntax

()

Description

Display the Grid/Snap Options dialog box.


SaveChartStyle

Syntax

(Filename: string; Type: enumeration)

Description

Name and save a chart style.

Parameters

Filename: string	The filename of the chart style to save.
Type: enumeration	The type of chart to which the style applies. Data! Org! Text!
 Related topics


SaveStyleDlg

Syntax

()

Description

Display the Save Chart Style dialog box, which is used to save the current chart style.


SaveWithEvenBorders

Syntax

(UseAsDefault: enumeration; UseEvenBorders: enumeration; BorderSize: numeric)

Description

Specify whether a document is saved with even borders.

Parameters

UseAsDefault: enumeration	Use the specified even border as the default setting. No! Yes!
UseEvenBorders: enumeration	Use even borders when the file is saved. No! Yes!
BorderSize: numeric (optional)	Specify the border size as a percentage of the size of the graphic.


ScreenDown

Syntax

()

Description

Move the insertion point to the bottom of the screen in a text area.


SelectAllObjects

Syntax

()

Description

Select all objects in the current drawing window.

 Related topics


SelectBegOfLine

Syntax

()

Description

Select text from the insertion point to the beginning of the line.

 Related topics


SelectBox

Syntax

(Select: enumeration; {BoxLocation: numeric})

Description

Select a box in an organization chart.

Parameters

Select: enumeration	Select or deselect the box. Off! On!
BoxLocation: numeric	The numbers define a path down to the box to be selected. Each number represents a box location below its manager. For now, the first number is always 1, since there is only one box on the top level.
 Related topics


SelectCurrentLevel

Syntax

()

Description

Select the current organization chart level.

 Related topics


SelectDocBottom

Syntax

()

Description

Select text from the insertion point to the end of the text.

 Related topics


SelectDocTop

Syntax

()

Description

Select text from the insertion point to the beginning of the text.

 Related topics


SelectDown

Syntax

()

Description

Select text from the insertion point to the corresponding position on the next line.

 Related topics


SelectEndOfLine

Syntax

()

Description

Select text from the insertion point to the end of the line.

 Related topics


SelectiveReplace

Syntax

({X: numeric; Y: numeric})

Description

Replace foreground color pixels with background color pixels in the Bitmap Editor.

Parameters

X: numeric (optional)	The horizontal coordinate of a pixel to replace. Repeat sets of X and Y parameters to indicate multiple pixels, and enclose repeated parameters in braces {}.
Y: numeric (optional)	The vertical coordinate of a pixel to replace.
 Related topics


SelectLeft

Syntax

()

Description

Select the character to the left of the insertion point.

 Related topics


SelectLikeObjects

Syntax

()

Description

Select all objects of the same type as the currently selected object.


SelectOnlineServiceDlg

Syntax

()

Description

Displays the dialog that lets you select the service Help Online will connect to.

 Related topics


SelectPrinter

Syntax

(PrinterName: string)

Description

Select a specific printer.

Parameters

PrinterName: string	The name of printer to be selected.


SelectRight

Syntax

()

Description

Select the character to the right of the insertion point.

 Related topics


SelectScreenDown

Syntax

()

Description

Select the area from the insertion point to the bottom of the current text window.

 Related topics


SelectScreenUp

Syntax

()

Description

Select the area from the insertion point to the top of the current text window.

 Related topics


SelectTextChart

Syntax

(Chart: enumeration)

Description

Select the title, subtitle, or bullets in a slide which uses the Bullet Chart template.

Parameters

Chart: enumeration	Select a title, a subtitle, or bullets. Bullets! Subtitle! Title!


SelectUp

Syntax

()

Description

Select text from the insertion point to the corresponding position on the previous line.

 Related topics


SelectWordLeft

Syntax

()

Description

Select the word to the left of the insertion point.

 Related topics


SelectWordRight

Syntax

()

Description

Select the word to the right of the insertion point.

 Related topics


SendtoEnvoy

Syntax

()

Description

Publish the document as an Envoy (.EVY) file.

 Note

•	This command is obsolete.


SendtoGraphicsland

Syntax

()

Description

Send the document to Graphicsland.


SendToWP

Syntax

()

Description

Send the document to Corel WordPerfect.


SeparateObject

Syntax

()

Description

Break up combined objects, grouped objects, or contoured text so the parts are treated as separate objects.

 Related topics


SetAirbrushDensity

Syntax

(AirbrushDensity: numeric)

Description

Specify the number of pixels the Air Brush painting tool covers. The maximum number is 100.

Parameters

AirbrushDensity: numeric (optional)	The number of pixels that change color with each stroke of the airbrush.
 Related topics


SetAxisOptions

Syntax

(AxisNum: numeric; NumMinInc: numeric; LabelScaleFactor: numeric; Maximum: numeric; Minimum: numeric; MajorInc: numeric; AutoMax: enumeration; AutoMin: enumeration; AutoGradMaj: enumeration; Log: enumeration; SameScale: enumeration)

Description

Specify the scale and values of chart Y axes.

Parameters

AxisNum: numeric	The axis to modify. Axes 1, 2 and 3 correspond to the X axis, the Y1 axis, and the Y2 axis.
NumMinInc: numeric (optional)	The number of minor increments between major increments.
LabelScaleFactor: numeric (optional)	The number by which to divide axis labels.
Maximum: numeric (optional)	The maximum value to display for the specified axis.
Minimum: numeric (optional)	The minimum value to display for the specified axis.
MajorInc: numeric (optional)	The distance between major increments.
AutoMax: enumeration (optional)	Determine the maximum axis value automatically. Off! On!
AutoMin: enumeration (optional)	Determine the minimum axis value automatically. Off! On!
AutoGradMaj: enumeration (optional)	Determine the major grid increment value automatically. Off! On!
Log: enumeration (optional)	The axis is logarithmic rather than linear. Off! On!
SameScale: enumeration (optional)	Radar chart axes use the same scale. Off! On!
 Related topics


SetBackgroundName

Syntax

(BackgroundName: string)

Description

Name the current background.

Parameters

BackgroundName: string	The background name.
 Related topics


SetBackgroundNameDlg

Syntax

()

Description

Display the Background Name dialog box, which is used to name a background.

 Related topics


SetBarStyle

Syntax

(Style: enumeration)

Description

Specify a style for a bar, line, or area chart.

Parameters

Style: enumeration	The bar style. Cluster! Overlap! Stack100! Stacked!


SetBitmapTransparency

Syntax

(TransparencyOn: enumeration; TransColorRed: numeric; TransColorGreen: numeric; TransColorBlue: numeric)

Description

Turn transparency on or off for a specified color in the Bitmap Editor.

Parameters

TransparencyOn: enumeration	Transparency is on for a specified color. No! Yes!
TransColorRed: numeric (optional)	The amount of red (0-255) in a transparent color.
TransColorGreen: numeric (optional)	The amount of green (0-255) in a transparent color.
TransColorBlue: numeric (optional)	The amount of blue (0-255) in a transparent color.


SetBorder

Syntax

(TitleType: enumeration; BoxShape: enumeration; BoxBorder: enumeration; Red: numeric; Green: numeric; Blue: numeric)

Description

Specify border options for chart titles, labels, and legends.

Parameters

TitleType: enumeration	The box border type for data chart titles or labels. BoxDataLabels! BoxLegend! BoxPieLabels! BoxPieTitles! BoxSubtitle! BoxTitle! OrgChart! TextChart!
BoxShape: enumeration (optional)	The box shape. None! Octagon! Rectangle! RndRect!
BoxBorder: enumeration (optional)	The border type. Bevel! Dash! Dot! Double! None! Shadow! Single! Thick!
Red: numeric (optional)	The amount of red (0-255) in a box border.
Green: numeric (optional)	The amount of green (0-255) in a box border.
Blue: numeric (optional)	The amount of blue (0-255) in a box border.
 Related topics


SetBrushShape

Syntax

(BrushShape: enumeration)

Description

Specify the shape of the Paint Brush painting tool.

Parameters

BrushShape: enumeration (optional)	The shape of the Paint Brush painting tool. BackwardSlash! Circle! Diamond! ForwardSlash! HorizontalLine! Square! VerticalLine!
 Related topics


SetBrushWidth

Syntax

(BrushWidth: numeric)

Description

Specify the width of the Paint Brush painting tool. If no parameter is specified, the Paint Brush is set to the default width.

Parameters

BrushWidth: numeric (optional)	The width in pixels (0-100).
 Related topics


SetBubbleAnchors

Syntax

(AnchorHorizontal: enumeration; AnchorVertical: enumeration)

Description

Specify anchors.

Parameters

AnchorHorizontal: enumeration	Indicate whether the horizontal anchor should be set. False! False!! True! True!!
AnchorVertical: enumeration	Indicate whether the vertical anchor should be set. False! False!! True! True!!


SetBulletAttributes

Syntax

(Level: numeric; GradType: enumeration; Grad1Red: numeric; Grad1Green: numeric; Color1Blue: numeric; Grad2Red: numeric; Grad2Green: numeric; Grad2Blue: numeric; GradBRed: numeric; GradBGreen: numeric; GradBBlue: numeric; BrushPattern: enumeration; UseGradSteps: enumeration; GradAngle: numeric; GradRefX: numeric; GradRefY: numeric; GradSteps: numeric)

Description

Set bullet fill attributes.

Parameters

Level: numeric	The level of the bulleted list to be changed.
GradType: enumeration	The gradient type. ConcenCircles! ConcenEllipse! ConcenRects! ConcenSquares! ConverCircles! ConverEllipse! ConverRects! ConverSquares! Linear! None! Polygonal!
Grad1Red: numeric	The amount of red (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad1Green: numeric	The amount of green (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Color1Blue: numeric	The amount of blue (0-255).
Grad2Red: numeric (optional)	The amount of red (0-255) in a solid fill, the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Grad2Green: numeric (optional)	The amount of green (0-255) in a solid fill, the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Grad2Blue: numeric (optional)	The amount of blue (0-255) in a solid fill, the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
GradBRed: numeric (optional)	The amount of red (0-255) in the background color.
GradBGreen: numeric (optional)	The amount of green (0-255) in the background color.
GradBBlue: numeric (optional)	The amount of blue (0-255) in the background color.
BrushPattern: enumeration (optional)	The fill pattern. Arches! Balls! BigChecks! BigCrosshatch! BigSquares! Chainlink! Checks! Crosses! Crosshatch! FishScale! Gray12! Gray25! Gray50! Honeycomb! HorzBricks! HorzLines1! HorzLines2! Mesh! Patio! Plaid! Solid! Squares! TiltBricks! TiltLines1! TiltLines2! TiltLines3! TiltLines4! Triangles! VertLines1! VertLines2! Waves! Weave!
UseGradSteps: enumeration (optional)	Use gradient steps. No! Yes!
GradAngle: numeric (optional)	The rotation angle for a gradient fill. The top of the gradient is rotated counter-clockwise. For example, a 90-degree rotation places the top of the gradient parallel to the left margin of the page.
GradRefX: numeric (optional)	The horizontal center of a circular or rectangular gradient relative to the page. Flush left is 0, center is 50, flush right is 100.
GradRefY: numeric (optional)	The vertical center of a circular or rectangular gradient or the top of a linear gradient relative to the page. Top is 0, center is 50, bottom is 100.
GradSteps: numeric (optional)	The number of steps between colors in a gradient fill. A value of 0 represents the greatest possible number of steps.


SetBulletColor

Syntax

(LevelNum: numeric; Red: numeric; Green: numeric; Blue: numeric)

Description

Specify colors for the bullets used in bullet charts. A different color may by specified for each level. Precede with BulletChartAttrStart and follow with BulletChartAttrEnd.

Parameters

LevelNum: numeric (optional)	The bulleted list level.
Red: numeric (optional)	The amount of red (0-255) in a bullet color.
Green: numeric (optional)	The amount of green (0-255) in a bullet color.
Blue: numeric (optional)	The amount of blue (0-255) in a bullet color.
 Related topics


SetBulletDefinition

Syntax

(BulletLevel: numeric; Bullet: string)

Description

Specify characters to use as bullets for a bullet chart. Precede with BulletChartAttrStart and follow with BulletChartAttrEnd.

Parameters

BulletLevel: numeric	The bullet chart level to modify.
Bullet: string	Up to twenty characters to use as bullets.
 Related topics


SetBulletEffect

Syntax

(Effect: enumeration; Direction: enumeration; Speed: enumeration; OneAtATime: enumeration; Highlight: enumeration; ReverseOrder: enumeration; ApplyToAll: enumeration)

Description

Set the transition and cascade effects for a bulleted list.

Parameters

Effect: enumeration	The transition type. AnimateBounceIn! AnimateCurveIn! AnimateFlyIn! AnimateFlyInAndBounce! AnimateFlyInFromCorner! AnimateFlyInFromCornerAndBounce! Blinds! Blocks! Circles! CirclesRandom! CircuitBoard! Clock! Close! Diamonds! DiamondsRandom! DiamondsSmall! Dissolve! Explode! Fade! Focus! FocusDissolve! FourPointStars! HappyFaces! Hatch! Lines! Mosaic! MosaicDissolve! MosaicWave! NoEffect! Normal! Octagons! Open! PhotoLens! Polygons! PushAway! Puzzle! Raindrops! Rectangles! RollIn! RollOut! SkipLines! SlideAway! SlideIn! SlideToCorner! Sparkles! Spiral! SpiralAway! StackBlocks! Starburst! Stars! Stretch! StretchClose! StretchFromCenter! StretchFromCorner! StretchOpen! Sweep! SweepLines! Triangles! Wave! Weave!
Direction: enumeration (optional)	The transition direction. Clockwise! CounterClockwise! Down! Horizontal! Left! LeftAndDown! LeftAndUp! NoDirection! Right! RightAndDown! RightAndUp! Up! Vertical!
Speed: enumeration	The transition speed. Fast! Medium! Slow!
OneAtATime: enumeration	Animate bullets one at a time. No! Yes!
Highlight: enumeration	Highlight the bulleted item. No! Yes!
ReverseOrder: enumeration	Cause the bottom bullet item to appear first. No! Yes!
ApplyToAll: enumeration	Apply transition effects to all bulleted lists in the current template. No! Yes!


SetBulletLayout

Syntax

(JustFlag: numeric; JustTypeTitle: enumeration; JustTypeTwo: enumeration; JustTypeThree: enumeration; JustTypeFour: enumeration; JustTypeFive: enumeration; JustTypeSix: enumeration)

Description

Specify bullet chart justification options. Precede with BulletChartAttrStart and follow with BulletChartAttrEnd.

Parameters

JustFlag: numeric (optional)	The level to modify. This parameters only accepts numbers, not text. Use one of the following numbers:
JustTypeTitle: enumeration (optional)	Specify the justification for the title level. Center! Full! Left!
JustTypeTwo: enumeration (optional)	The justification for level two. Center! Full! Left!
JustTypeThree: enumeration (optional)	The justification for level three. Center! Full! Left!
JustTypeFour: enumeration (optional)	The justification for level four. Center! Full! Left!
JustTypeFive: enumeration (optional)	The justification for level five. Center! Full! Left!
JustTypeSix: enumeration (optional)	The justification for level six. Center! Full! Left!
 Related topics


SetBulletLineSpacing

Syntax

()

Description

Set the line spacing options for bullet charts.

 Related topics


SetBulletSize

Syntax

(Level: numeric; RelativeSize: numeric)

Description

Specify the size of the bullets.

Parameters

Level: numeric	The bulleted list level.
RelativeSize: numeric	The size of the bullets relative to the font.


SetChartAttrsBold

Syntax

()

Description

Turn Bold on or off for selected chart text.

 Related topics


SetChartAttrsItalic

Syntax

()

Description

Turn Italics on or off for selected chart text.

 Related topics


SetChartAttrsUnderline

Syntax

()

Description

Turn Underline on or off for selected chart text.

 Related topics


SetChartFont

Syntax

(TitleType: enumeration; FontName: string; PointSize: numeric; Italic: enumeration; Underline: enumeration; Bold: enumeration)

Description

Specify a font for chart text.

Parameters

TitleType: enumeration	The title or label font to define. DataLabels! Legend! LegendTitle! MiniTable! OrgChart! PieLabels! PieTitles! Subtitle! TableCells! Title! XAxis! XNames! Y1Axis! Y1Labels! Y2Axis! Y2Labels!
FontName: string (optional)	The font name and style.
PointSize: numeric (optional)	The font point size.
Italic: enumeration (optional)	Off! On!
Underline: enumeration (optional)	Off! On!
Bold: enumeration (optional)	Off! On!
 Related topics


SetChartTitlePos

Syntax

(Title: enumeration; Subtitle: enumeration; Y1Axis: enumeration; Y2Axis: enumeration; XAxis: enumeration)

Description

Specify the position of chart titles and labels.

Parameters

Title: enumeration (optional)	The title position. Center! Left! Right!
Subtitle: enumeration (optional)	The subtitle position. Center! Left! Right!
Y1Axis: enumeration (optional)	The position of the Primary Y-axis label. Horz! Vert!
Y2Axis: enumeration (optional)	The position of the secondary Y-axis label. Horz! Vert!
XAxis: enumeration (optional)	The position of the X-axis label. Horz! Vert!
 Related topics


SetColorAttributes

Syntax

(LineForeRed: numeric; LineForeGreen: numeric; LineForeBlue: numeric; LineBackRed: numeric; LineBackGreen: numeric; LineBackBlue: numeric; FillForeRed: numeric; FillForeGreen: numeric; FillForeBlue: numeric; FillBackRed: numeric; FillBackGreen: numeric; FillBackBlue: numeric; TextForeRed: numeric; TextForeGreen: numeric; TextForeBlue: numeric; TextBackRed: numeric; TextBackGreen: numeric; TextBackBlue: numeric; TextPenRed: numeric; TextPenGreen: numeric; TextPenBlue: numeric)

Description

Specify line and fill color attributes for the current drawing.

Parameters

LineForeRed: numeric	The amount of red (0-255) in the foreground line color.
LineForeGreen: numeric	The amount of green (0-255) in the foreground line color.
LineForeBlue: numeric	The amount of blue (0-255) in the foreground line color.
LineBackRed: numeric	The amount of red (0-255) in the background line color.
LineBackGreen: numeric	The amount of green (0-255) in the background line color.
LineBackBlue: numeric	The amount of blue (0-255) in the background line color.
FillForeRed: numeric	The amount of red (0-255) in the foreground fill color.
FillForeGreen: numeric	The amount of green (0-255) in the foreground fill color.
FillForeBlue: numeric	The amount of blue (0-255) in the foreground fill color.
FillBackRed: numeric	The amount of red (0-255) in the background fill color.
FillBackGreen: numeric	The amount of green (0-255) in the background fill color.
FillBackBlue: numeric	The amount of blue (0-255) in the background fill color.
TextForeRed: numeric	The amount of red (0-255) in the foreground text color.
TextForeGreen: numeric	The amount of green (0-255) in the foreground text color.
TextForeBlue: numeric	The amount of blue (0-255) in the foreground text color.
TextBackRed: numeric	The amount of red (0-255) in the background text color.
TextBackGreen: numeric	The amount of green (0-255) in the background text color.
TextBackBlue: numeric	The amount of blue (0-255) in the background text color.
TextPenRed: numeric	The amount of red (0-255) in the text outline color.
TextPenGreen: numeric	The amount of green (0-255) in the text outline color.
TextPenBlue: numeric	The amount of blue (0-255) in the text outline color.


SetConnector

Syntax

(ConnectorStyle: enumeration; StaffLineStyle: enumeration; ShowStaffArrow: numeric; ConnRed: numeric; ConnGreen: numeric; ConnBlue: numeric; LineStyle: enumeration; ConnectorWidth: numeric; ShowConnectors: enumeration; StaffConnectorWidth: numeric; ShowStaffConnectors: enumeration; StaffConnRed: numeric; StaffConnGreen: numeric; StaffConnBlue: numeric)

Description

Specify connector options for organization charts.

Parameters

ConnectorStyle: enumeration (optional)	The style for organization chart connectors. Direct! HorzVert! Indirect!
StaffLineStyle: enumeration (optional)	The style for staff connector lines. Alternate! Dash2Dot! Dash2Dot2! DashDot2! Dashed! DotDash! DotDash2! Dotted! Long2Short! Long2Short2! LongDash! LongShort! LongShort2! ShortDash! Solid! TinyDash!
ShowStaffArrow: numeric (optional)	Show or hide arrows and connectors. Use one of the following numbers:
ConnRed: numeric (optional)	The amount of red (0-255) in the connector color.
ConnGreen: numeric (optional)	The amount of green (0-255) in the connector color.
ConnBlue: numeric (optional)	The amount of blue (0-255) in the connector color.
LineStyle: enumeration (optional)	The style for connector lines. Alternate! Dash! Dash2Dot! Dash2Dot2! DashDot2! DotDash! DotDash2! Dots! Long2Short! Long2Short2! LongDash! LongShort! LongShort2! ShortDash! Solid! TinyDash!
ConnectorWidth: numeric (optional)	The width for organization chart connectors.
ShowConnectors: enumeration (optional)	Display the connectors. No! Yes!
StaffConnectorWidth: numeric (optional)	The width of staff connector lines.
ShowStaffConnectors: enumeration (optional)	Display the staff connectors. No! Yes!
StaffConnRed: numeric (optional)	The amount of red (0-255) in staff connector lines.
StaffConnGreen: numeric (optional)	The amount of green (0-255) in staff connector lines.
StaffConnBlue: numeric (optional)	The amount of blue (0-255) in staff connector lines.
 Related topics


SetExplodeDistance

Syntax

(PieNum: numeric; Slice: numeric; Distance: numeric)

Description

Specify the distance of a slice of a pie chart from the rest of the pie.

Parameters

PieNum: numeric	The pie number.
Slice: numeric	The slice number.
Distance: numeric	The distance between a slice and the rest of the pie chart. Values range from 0 to 200.
 Related topics


SetFontFace

Syntax

(FontName: string; PointSize: numeric; Bold: enumeration; Italic: enumeration; Underline: enumeration; Position: enumeration; RelSize: enumeration; FontType: enumeration; Weight: numeric; Attributes: numeric; PtSz3600: numeric)

Description

Specify a font. To implement specified changes, follow with RealizeFontChanges.

Parameters

FontName: string (optional)	The name of the font.
PointSize: numeric (optional)	The font point size.
Bold: enumeration (optional)	Off! On!
Italic: enumeration (optional)	Off! On!
Underline: enumeration (optional)	Off! On!
Position: enumeration (optional)	The font position. Normal! Subscript! Superscript!
RelSize: enumeration (optional)	The relative size of a font. ExtraLarge! Fine! Large! Normal! Small! VeryLarge!
FontType: enumeration (optional)	The font type. ATM! TT!
Weight: numeric (optional)	The relative weight of the font (condensed, heavy, light, and so on).
Attributes: numeric (optional)	The font attributes (bold, underline, italic, and so on).
PtSz3600: numeric (optional)
 Related topics


SetFontGradient

Syntax

(GradientType: enumeration; GradFlag: numeric; GradAngle: numeric; GradRefX: numeric; GradRefY: numeric; GradSteps: numeric; Grad1Red: numeric; Grad1Green: numeric; Grad1Blue: numeric; Grad2Red: numeric; Grad2Green: numeric; Grad2Blue: numeric; GradBRed: numeric; GradBGreen: numeric; GradBBlue: numeric; ForeTransparency: numeric; BackTransparency: numeric)

Description

Specify a gradient fill for a font. To implement specified changes, follow with RealizeFontChanges.

Parameters

GradientType: enumeration	The linear, circular, or rectangular gradient. ConcenCircles! ConcenEllipses! ConcenRects! ConcenSquares! ConverCircles! ConverEllipses! ConverRects! ConverSquares! Linear! None! Polygonal!
GradFlag: numeric	Specify the granularity and whether a gradient is anchored to a page.
GradAngle: numeric	The rotation angle for a gradient fill. The top of the gradient is rotated counter-clockwise. For example, a 90-degree angle places the top of the gradient parallel to the left margin of the page.
GradRefX: numeric	The horizontal center of a circular or rectangular gradient relative to the page. Flush left is 0, center is 50, and flush right is 100.
GradRefY: numeric	The vertical center of a circular or rectangular gradient or the top of a linear gradient relative to the page. Top is 0, center is 50, and bottom is 100.
GradSteps: numeric	The number of steps between colors in a gradient fill. A value of 0 represents the greatest possible number of steps.
Grad1Red: numeric	The amount of red (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad1Green: numeric	The amount of green (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad1Blue: numeric	The amount of blue (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad2Red: numeric	The amount of red (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Grad2Green: numeric	The amount of green (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Grad2Blue: numeric	The amount of blue (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
GradBRed: numeric	The amount of red (0-255) in the background color of a pattern.
GradBGreen: numeric	The amount of green (0-255) in the background color of a pattern.
GradBBlue: numeric	The amount of blue (0-255) in the background color of a pattern.
ForeTransparency: numeric	The foreground color transparency on (1) or off (0).
BackTransparency: numeric	Indicate whether the background color transparency is on (1) or off (0).
 Related topics


SetFontOutline

Syntax

(TitleType: enumeration; Width: numeric; Red: numeric; Green: numeric; Blue: numeric; Outline: enumeration)

Description

Specify font outline attributes for data chart text. To implement specified changes, follow with RealizeFontChanges.

Parameters

TitleType: enumeration	The data chart title type to modify. DataLabels! Legend! LegendTitle! MiniTable! OrgChart! PieLabels! PieTitles! Subtitle! TableCells! Title! XAxis! XNames! Y1Axis! Y1Labels! Y2Axis! Y2Labels!
Width: numeric (optional)	The outline width, in inches.
Red: numeric (optional)	The amount of red (0-255) in an outline color.
Green: numeric (optional)	The amount of green (0-255) in an outline color.
Blue: numeric (optional)	The amount of blue (0-255) in an outline color.
Outline: enumeration (optional)	The state of font outline. Off! On!
 Related topics


SetFontPattern

Syntax

(BrushPattern: enumeration; Grad1Red: numeric; Grad1Green: numeric; Grad1Blue: numeric; Grad2Red: numeric; Grad2Green: numeric; Grad2Blue: numeric; PenBRed: numeric; PenBGreen: numeric; PenBBlue: numeric; PenFRed: numeric; PenFGreen: numeric; PenFBlue: numeric; PenHorzWidth: numeric; PenVertWidth: numeric; eFlags: enumeration; PenStyle: numeric; PenPattern: numeric)

Description

Specify a fill pattern for a font. To implement specified changes, follow with RealizeFontChanges.

Parameters

BrushPattern: enumeration	The fill pattern. Arch! Balls! BigChecks! BigCrosshatch! BigSquares! ChainLink! Checks! Crosses! FishScale! Gray12! Gray25! Gray50! HoneyComb! HorzBricks! HorzLines1! HorzLines2! Mesh! Patio! Plaid! Solid! Squares! TiltBricks! TiltLines1! TiltLines2! TiltLines3! TiltLines4! Triangles! VertLines1! VertLines2! Waves! Weave!
Grad1Red: numeric	The amount of red (0-255) in the foreground pattern color.
Grad1Green: numeric	The amount of green (0-255) in the foreground pattern color.
Grad1Blue: numeric	The amount of blue (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad2Red: numeric	The amount of red (0-255) in the background pattern color.
Grad2Green: numeric	The amount of green (0-255) in the background pattern color
Grad2Blue: numeric	The amount of blue (0-255) in a solid fill, the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
PenBRed: numeric	The amount of red (0-255) in the background pen color.
PenBGreen: numeric	The amount of green (0-255) in the pen background color.
PenBBlue: numeric	The amount of blue (0-255) in the pen background color.
PenFRed: numeric	The amount of red (0-255) in the foreground outline color.
PenFGreen: numeric	The amount of green (0-255) in the foreground outline color.
PenFBlue: numeric	The amount of blue (0-255) in the pen foreground color.
PenHorzWidth: numeric	The horizontal outline width.
PenVertWidth: numeric	The vertical line width, in WordPerfect units (1200ths of an inch).
eFlags: enumeration (optional)	The state of fill and frame. Closed! ClosedFilled! Filled! Framed! FramedClosed! FramedClosedFilled! FramedFilled! None!
PenStyle: numeric (optional)	The pen style for lines.
PenPattern: numeric (optional)	The pen pattern for lines.
 Related topics


SetFrameOptions

Syntax

(Height: numeric; Front: enumeration; Back: enumeration; Left: enumeration; Right: enumeration; Top: enumeration; Bottom: enumeration)

Description

Specify chart base and frame options.

Parameters

Height: numeric (optional)	The base height of a chart. Values range from 0 to 100.
Front: enumeration (optional)	Display the front chart frame. Off! On!
Back: enumeration (optional)	Display the back chart frame. Off! On!
Left: enumeration (optional)	Display the left chart frame. Off! On!
Right: enumeration (optional)	Display the right chart frame. Off! On!
Top: enumeration (optional)	Display the top chart frame. Off! On!
Bottom: enumeration (optional)	Display the bottom chart frame. Off! On!
 Related topics


SetGradient

Syntax

(TitleType: enumeration; GradType: enumeration; Grad1Red: numeric; Grad1Green: numeric; Grad1Blue: numeric; Grad2Red: numeric; Grad2Green: numeric; Grad2Blue: numeric; Steps: numeric; Angle: numeric; RefX: numeric; RefY: numeric; Flag: enumeration; FillOn: enumeration)

Description

Define a gradient fill for chart boxes or titles.

Parameters

TitleType: enumeration	The type of chart box or title. BoxDataLabels! BoxLegend! BoxOrgChart! BoxPieLabels! BoxPieTitles! BoxSubtitle! BoxTitle! FontDataLabels! FontLegend! FontLegendTitle! FontMiniTable! FontOrgChart! FontPieLabels! FontPieTitles! FontSubtitle! FontTableCells! FontTitle! FontXAxis! FontXNames! FontY1Axis! FontY1Labels! FontY2Axis! FontY2Labels! Frame! Series1! Series10! Series11! Series12! Series13! Series14! Series15! Series16! Series17! Series18! Series19! Series2! Series20! Series21! Series22! Series23! Series24! Series3! Series4! Series5! Series6! Series7! Series8! Series9! TextChart!
GradType: enumeration (optional)	The gradient type. Circular! Linear! Rectangular!
Grad1Red: numeric (optional)	The amount of red (0-255) in the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad1Green: numeric (optional)	The amount of green (0-255) in the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad1Blue: numeric (optional)	The amount of blue (0-255) in the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad2Red: numeric (optional)	The amount of red (0-255) in the bottom color of a linear gradient or the outer color of a circular or rectangular gradient.
Grad2Green: numeric (optional)	The amount of green (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Grad2Blue: numeric (optional)	The amount of blue (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Steps: numeric (optional)	The number of steps between colors in a gradient. A value of 0 represents the greatest possible number of steps.
Angle: numeric (optional)	Specify a rotation angle for a gradient. The top of the gradient is rotated counter-clockwise. For example, a 90-degree angle places the top of the gradient along the left margin of the page.
RefX: numeric (optional)	The horizontal center of a circular or rectangular gradient relative to the page. Flush left is 0, center is 50, and flush right is 100.
RefY: numeric (optional)	Specify the vertical center of a circular or rectangular gradient or the top of a linear gradient relative to the page. Top is 0, center is 50, and bottom is 100.
Flag: enumeration (optional)	Blend steps automatically. AutoBlendOff! AutoBlendOn!
FillOn: enumeration (optional)	The state of gradient fill. Off! On!
 Related topics


SetGridSnapOptions

Syntax

(GridDisplay: enumeration; GridSnap: enumeration; HorizSpacing: measurement; VertSpacing: measurement; Interval: numeric; SnapZone: measurement)

Description

Set Grid/Snap options.

Parameters

GridDisplay: enumeration (optional)	Display the grid. No! Yes!
GridSnap: enumeration (optional)	Snap to grid. No! Yes!
HorizSpacing: measurement (optional)	The horizontal grid spacing, in WordPerfect units (1200ths of an inch).
VertSpacing: measurement (optional)	The vertical grid spacing, in WordPerfect units.
Interval: numeric (optional)	The point display interval.
SnapZone: measurement (optional)	The alignment guide snap zone, in WordPerfect units.
 Related topics


SetGridTickOptions

Syntax

(Axis: enumeration; MajRed: numeric; MajGreen: numeric; MajBlue: numeric; MinRed: numeric; MinGreen: numeric; MinBlue: numeric; MajGrid: enumeration; MinGrid: enumeration; MajTick: enumeration; MinTick: enumeration; SeparateGrid: enumeration)

Description

Specify grid and tick options for a data chart.

Parameters

Axis: enumeration	The axis to modify. X! Y1! Y2!
MajRed: numeric (optional)	The amount of red (0-255) in the major grid color.
MajGreen: numeric (optional)	The amount of green (0-255) in the major grid color.
MajBlue: numeric (optional)	The amount of blue (0-255) in the major grid color.
MinRed: numeric (optional)	The amount of red (0-255) in the minor grid color.
MinGreen: numeric (optional)	The amount of green (0-255) in the minor grid color.
MinBlue: numeric (optional)	The amount of blue (0-255) in the minor grid color.
MajGrid: enumeration (optional)	The appearance of the major grid. Dashed! Dotted! None! Solid!
MinGrid: enumeration (optional)	The appearance of the minor grid. Dashed! Dotted! None! Solid!
MajTick: enumeration (optional)	The appearance of the major ticks. Both! In! None! Out!
MinTick: enumeration (optional)	The appearance of the minor ticks. Both! In! None! Out!
SeparateGrid: enumeration (optional)	Use if a separate grid scale is used for each axis. Off! On!
 Related topics


SetHLOStyle

Syntax

(Style: enumeration)

Description

Specify the style of a high/low chart.

Parameters

Style: enumeration	The high/low chart style. Area! Bar! Error! Line!


SetLabelOptions

Syntax

(LabelType: enumeration; Hide: enumeration; Position: enumeration; Stagger: enumeration; DispTicks: enumeration; Interval: numeric; FirstAxis: enumeration)

Description

Specify options for chart labels.

Parameters

LabelType: enumeration	The type of label. DataLabels! TableCells! XNames! Y1Labels! Y2Labels!
Hide: enumeration (optional)	Hide the labels. Off! On!
Position: enumeration (optional)	The position of data labels. Above! Below!
Stagger: enumeration (optional)	Stagger the X labels. Off! On!
DispTicks: enumeration (optional)	Display label ticks. Off! On!
Interval: numeric (optional)	The interval between X labels.
FirstAxis: enumeration (optional)	Display Y-axis labels on the first axis or on all axes on a radar chart. The Hide parameter overrides this parameter. AllAxes! FirstAxis!
 Related topics


SetLayoutSizes

Syntax

(Width: numeric; Depth: numeric; Height: numeric; Overlap: numeric)

Description

Specify layout sizes for charts.

Parameters

Width: numeric (optional)	The bar width. Value (0-100).
Depth: numeric (optional)	The bar thickness. Value (0-100).
Height: numeric (optional)	The line height. Value (0-100).
Overlap: numeric (optional)	The amount of overlap. Value (0-100).


SetLayoutTitle

Syntax

(Title: string)

Description

Specify a title for the current layout.

Parameters

Title: string	The layout title.
 Related topics


SetLegendOptions

Syntax

(Display: enumeration; Vertical: enumeration; Inside: enumeration; Position: enumeration)

Description

Specify legend options for a data chart.

Parameters

Display: enumeration (optional)	Display a legend. Off! On!
Vertical: enumeration (optional)	The vertical legend display. Off! On!
Inside: enumeration (optional)	Display a legend inside a chart. Off! On!
Position: enumeration (optional)	The legend position. BottomCenter! BottomLeft! BottomRight! MiddleLeft! MiddleRight! TopCenter! TopLeft! TopRight!
 Related topics


SetLevelFont

Syntax

(ChartLevel: numeric; FontName: string; PointSize: numeric; Bold: enumeration; Italic: enumeration; Underline: enumeration; FontType: enumeration; Weight: numeric; Attributes: numeric; PtSz3600: numeric)

Description

Specify a font for a bullet chart level.

Parameters

ChartLevel: numeric	The bulleted list level to modify.
FontName: string (optional)	The font name and style.
PointSize: numeric (optional)	The font point size.
Bold: enumeration (optional)	Off! On!
Italic: enumeration (optional)	Off! On!
Underline: enumeration (optional)	Off! On!
FontType: enumeration (optional)	The font type. ATM! TT!
Weight: numeric (optional)	The relative weight of the font (heavy, condensed, light, and so on).
Attributes: numeric (optional)	The font attributes for the currently selected level (bold, italic, underline, and so on).
PtSz3600: numeric (optional)


SetLevelGradient

Syntax

(ChartLevel: numeric; GradientType: enumeration; GradFlag: numeric; GradAngle: numeric; GradRefX: numeric; GradRefY: numeric; GradSteps: numeric; Grad1Red: numeric; Grad1Green: numeric; Grad1Blue: numeric; Grad2Red: numeric; Grad2Green: numeric; Grad2Blue: numeric; GradBRed: numeric; GradBGreen: numeric; GradBBlue: numeric; ForeTransparency: numeric; BackTransparency: numeric)

Description

Specify a gradient text fill for a bullet chart level.

Parameters

ChartLevel: numeric	The bulleted list level to modify.
GradientType: enumeration	The linear, circular, or rectangular gradient. ConcenCircles! ConcenEllipses! ConcenRects! ConcenSquares! ConverCircles! ConverEllipses! ConverRects! ConverSquares! Linear! None! Polygonal!
GradFlag: numeric	Specify the granularity and anchor to page.
GradAngle: numeric	The rotation angle for a gradient fill. The top of the gradient is rotated counter-clockwise. For example, a 90-degree angle places the top of the gradient parallel to the left margin of the page.
GradRefX: numeric	The horizontal center of a circular or rectangular gradient relative to the page. Flush left is 0, center is 50, and flush right is 100.
GradRefY: numeric	The vertical center of a circular or rectangular gradient or the top of a linear gradient relative to the page. Top is 0, center is 50, and bottom is 100.
GradSteps: numeric	The number of steps between colors in a gradient fill. A value of 0 represents the greatest possible number of steps.
Grad1Red: numeric	The amount of red (0-255) in the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad1Green: numeric	The amount of green (0-255) in the top color of a linear gradient or the center color of a circular or rectangular gradient.
Grad1Blue: numeric	The amount of blue (0-255) in the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad2Red: numeric	The amount of red (0-255) in the bottom color of a linear gradient or the outer color of a circular or rectangular gradient.
Grad2Green: numeric	The amount of green (0-255) in the bottom color of a linear gradient or the outer color of a circular or rectangular gradient.
Grad2Blue: numeric	The amount of blue (0-255) in the bottom color of a linear gradient or the outer color of a circular or rectangular gradient.
GradBRed: numeric	The amount of red (0-255) in the background gradient color.
GradBGreen: numeric	The amount of green (0-255) in the background gradient color.
GradBBlue: numeric	The amount of blue (0-255) in the background gradient color.
ForeTransparency: numeric	The foreground color transparency, with 0 specifying opaque and 255 specifying transparent.
BackTransparency: numeric	The background color transparency, with 0 specifying opaque and 255 specifying transparent.


SetLevelPattern

Syntax

(ChartLevel: numeric; BrushPattern: enumeration; Grad1Red: numeric; Grad1Green: numeric; Grad1Blue: numeric; Grad2Red: numeric; Grad2Green: numeric; Grad2Blue: numeric; PenBRed: numeric; PenBGreen: numeric; PenBBlue: numeric; PenFRed: numeric; PenFGreen: numeric; PenFBlue: numeric; PenHorzWidth: numeric; PenVertWidth: numeric; eFlags: enumeration; PenStyle: numeric)

Description

Specify a text fill pattern for a bullet chart level.

Parameters

ChartLevel: numeric	The bulleted list level to modify.
BrushPattern: enumeration	The fill pattern. Arch! Balls! BigChecks! BigCrosshatch! BigSquares! Chainlink! Checks! Crosses! Crosshatch! FishScale! Gray12! Gray25! Gray50! HoneyComb! HorzBricks! HorzLines1! HorzLines2! Mesh! Patio! Plaid! Solid! Squares! TiltBricks! TiltLines1! TiltLines2! TiltLines3! TiltLines4! Triangles! VertLines1! VertLines2! Waves! Weave!
Grad1Red: numeric	The amount of red (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad1Green: numeric	The amount of green (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad1Blue: numeric	The amount of blue (0-255) in a solid fill, the top color of a linear gradient, or the center color of a circular or rectangular gradient.
Grad2Red: numeric	The amount of red (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Grad2Green: numeric	The amount of green (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
Grad2Blue: numeric	The amount of blue (0-255) in the bottom color of a linear gradient, or the outer color of a circular or rectangular gradient.
PenBRed: numeric	The amount of red (0-255) in the background pen color.
PenBGreen: numeric	The amount of green (0-255) in the pen background color.
PenBBlue: numeric	The amount of blue (0-255) in the pen background color.
PenFRed: numeric	The amount of red (0-255) in the foreground pen color.
PenFGreen: numeric	The amount of green (0-255) in the pen foreground color.
PenFBlue: numeric	The amount of blue (0-255) in the pen foreground color.
PenHorzWidth: numeric	The horizontal outline width.
PenVertWidth: numeric	The vertical line width, in WordPerfect units.
eFlags: enumeration (optional)	The state of fill and frame. Closed! ClosedFilled! Filled! Framed! FramedClosed! FramedClosedFilled! FramedFilled! None!
PenStyle: numeric (optional)	The pen style for lines.


SetLineAttributes

Syntax

(AttrType: enumeration; LineOn: enumeration; Width: numeric; LineJoin: enumeration; LineEnd1: enumeration; LineEnd2: enumeration; PenPattern: enumeration; PenStyle: enumeration; ForeRed: numeric; ForeGreen: numeric; ForeBlue: numeric; BackRed: numeric; BackGreen: numeric; BackBlue: numeric)

Description

Specify line attributes in charts.

Parameters

AttrType: enumeration	The line type to modify. Frame! Series1! Series10! Series11! Series12! Series13! Series14! Series15! Series16! Series17! Series18! Series19! Series2! Series20! Series21! Series22! Series23! Series24! Series3! Series4! Series5! Series6! Series7! Series8! Series9!
LineOn: enumeration (optional)	The chart frame display. Off! On!
Width: numeric (optional)	The line width, in inches.
LineJoin: enumeration (optional)	The line joints. Bevel! Miter! None! Round!
LineEnd1: enumeration (optional)	The end type for the beginning of a line. Arrow! Flat! Round! Square!
LineEnd2: enumeration (optional)	The end type for the end of a line. Arrow! Flat! Round! Square!
PenPattern: enumeration (optional)	The pen pattern used when drawing lines. Arch! Balls! BigChecks! BigCrosshatch! BigSquares! ChainLink! Checks! Crosses! Crosshatch! Fishscale! Gray12! Gray25! Gray50! Honeycomb! HorzBricks! HorzLines1! HorzLines2! Mesh! Patio! Plaid! Solid! Squares! TiltBricks! TiltLines1! TiltLines2! TiltLines3! TiltLines4! Triangles! VertLines1! VertLines2! Waves! Weave!
PenStyle: enumeration (optional)	The pen style used when drawing lines. Alternate! Dash! DashDot! DashTwoDot! Dots! LongDash! LongShort! LongTwoShort! ShortDash! Solid! TinyDash! TwoDashDot! TwoDashTwoDot! TwoDotsDash! TwoLongShort! TwoLongTwoShort!
ForeRed: numeric (optional)	The amount of red (0-255) in the line foreground color.
ForeGreen: numeric (optional)	The amount of green (0-255) in the line foreground color.
ForeBlue: numeric (optional)	The amount of blue (0-255) in the line foreground color.
BackRed: numeric (optional)	The amount of red (0-255) in the line background color.
BackGreen: numeric (optional)	The amount of green (0-255) in the line background color.
BackBlue: numeric (optional)	The amount of blue (0-255) in the line background color.
 Related topics


SetLineSpacing

Syntax

(Spacing: numeric)

Description

Set the amount of space between lines of text.

Parameters

Spacing: numeric	The spacing between lines of text.
 Related topics


SetObjectTransition

Syntax

(Effect: enumeration; Direction: enumeration; Speed: enumeration; DisplaySequence: numeric)

Description

Set object transition and animation options.

Parameters

Effect: enumeration	The transition or animation type. AnimateBounceIn! AnimateCurveIn! AnimateFlyIn! AnimateFlyInAndBounce! AnimateFlyInFromCorner! AnimateFlyInFromCornerAndBounce! Blinds! Blocks! Circles! CirclesRandom! CircuitBoard! Clock! Close! Diamonds! DiamondsRandom! DiamondsSmall! Dissolve! Explode! Fade! Focus! FocusDissolve! FourPointStars! HappyFaces! Hatch! Lines! Mosaic! MosaicDissolve! MosaicWave! NoEffect! Normal! Octagon! Open! PhotoLens! Polygons! PushAway! Puzzle! Raindrops! Rectangles! RollIn! RollOut! SkipLines! SlideAway! SlideIn! SlideToCorner! Sparkles! Spiral! SpiralAway! StackBlocks! Starburst! Stars! Stretch! StretchClose! StretchFromCenter! StretchFromCorner! StretchOpen! Sweep! SweepLines! Triangles! Wave! Weave!
Direction: enumeration	The transition or animation direction. Clockwise! CounterClockwise! Down! Horizontal! Left! LeftAndDown! LeftAndUp! NoDirection! Right! RightAndUp! Up! Vertical!
Speed: enumeration	The transition or animation speed. Fast! Medium! Slow!
DisplaySequence: numeric (optional)	The order in which objects transition.


SetOrgAlignment

Syntax

(Alignment: numeric; NumberOfColumns: numeric)

Description

Specify how boxes in an organization chart are aligned.

Parameters

Alignment: numeric (optional)	The branch structure for the organization chart.
NumberOfColumns: numeric (optional)	The number of columns in a multiple-column organization chart.
 Related topics


SetOrgChartBox

Syntax

(WidthSize: enumeration; HeightSize: enumeration; TextJust: enumeration; BoxDisplay: enumeration)

Description

Specify box options for organization charts.

Parameters

WidthSize: enumeration (optional)	The box width. FitToText! Large2Small! SameSize!
HeightSize: enumeration (optional)	The box height. FitToText! Large2Small! SameSize!
TextJust: enumeration (optional)	The text justification within boxes. Center! Left! Right!
BoxDisplay: enumeration (optional)	The level of boxes to display. AllBox! NoBox! TMBox! TopBox!
 Related topics


SetOrgChartLayout

Syntax

(FirstPlacement: enumeration; MiddlePlacement: enumeration; LastPlacement: enumeration; NumberOfLevels: numeric; Orientation: enumeration)

Description

Specify layout options for organization charts.

Parameters

FirstPlacement: enumeration (optional)	The placement of first-level items. DoubleColumn! DoubleRow! LeftColumn! RightColumn! SingleRow!
MiddlePlacement: enumeration (optional)	The placement of middle items. DoubleColumn! DoubleRow! LeftColumn! RightColumn! SingleRow!
LastPlacement: enumeration (optional)	The placement of last-level items. DoubleColumn! DoubleRow! LeftColumn! RightColumn! SingleRow!
NumberOfLevels: numeric (optional)	The number of levels to display.
Orientation: enumeration (optional)	The orientation of the organization chart. Bottom2Top! Left2Right! Right2Left! Top2Bottom!
 Related topics


SetOrgChartTop

Syntax

SetOrgChartTop()

Description

Moves the organization chart entry containing the insertion point to the top of the chart. This command focuses on a particular area of a chart, selected by the user, and zooms into that area of the tree. It is similar to the command OrgChartViewSelectedBranch, which appears in the macro when this functionality is recorded. This command only works if a box from the center of the org chart is selected.

//* Create orgchart and select box from center

Application (Presentations; "Presentations"; Default!; "EN")

UnselectAllObjects ()

BeginOrgChart ()

ChartSetCreateSize (Left: 1350; Bottom: 7425; Right: 3450; Top: 3600)

ChartCreateOrg (GalleryStyle: Button1!)

SelectBox (Select: Off!; BoxLocation: 0)

SelectBox (Select: Off!; BoxLocation: 0)

SelectBox (Select: On!; {BoxLocation: 1; BoxLocation: 1; BoxLocation: 0})

SetOrgChartTop ()

 Related topics


SetOrgOrientation

Syntax

(Orientation: enumeration)

Description

Specify the orientation of an organization chart.

Parameters

Orientation: enumeration (optional)	The orientation for the selected branch. Bottom2Top! Left2Right! Right2Left! Top2Bottom!
 Related topics


SetPaintMarquee

Syntax

(X1: numeric; Y1: numeric; X2: numeric; Y2: numeric)

Description

Select a portion of a bitmap area. If no parameters are specified, the whole bitmap area is selected.

Parameters

X1: numeric (optional)	The horizontal coordinate of the pixel in the upper left corner of the selected area. Coordinates are numbered from the upper left pixel of the bitmap area, pixel 0,0.
Y1: numeric (optional)	The lower-left vertical coordinate of the selected area.
X2: numeric (optional)	The upper-right horizontal coordinate of the selected area.
Y2: numeric (optional)	The upper-right vertical coordinate of the selected area.


SetPaletteColor

Syntax

(Index: numeric; Red: numeric; Green: numeric; Blue: numeric)

Description

Create a color on a color palette.

Parameters

Index: numeric	The index number of the color on the palette.
Red: numeric	The amount of red (0-255) in a color.
Green: numeric	The amount of green (0-255) in a color.
Blue: numeric	The blue value (0-255).
 Related topics


SetPattern

Syntax

(TitleType: enumeration; BrushPattern: enumeration; ForeRed: numeric; ForeGreen: numeric; ForeBlue: numeric; BackRed: numeric; BackGreen: numeric; BackBlue: numeric; Transparency: enumeration; FillOn: enumeration)

Description

Specify fill colors and patterns for parts of a chart.

Parameters

TitleType: enumeration	The type of title. BoxDataLabels! BoxLegend! BoxOrgChart! BoxPieLabels! BoxPieTitles! BoxSubtitle! BoxTitle! FontDataLabels! FontLegend! FontLegendTitle! FontMiniTable! FontOrgChart! FontPieLabels! FontPieTitles! FontSubtitle! FontTableCells! FontTitle! FontXAxis! FontXNames! FontY1Axis! FontY1Labels! FontY2Axis! FontY2Labels! Frame! Series1! Series10! Series11! Series12! Series13! Series14! Series15! Series16! Series17! Series18! Series19! Series2! Series20! Series21! Series22! Series23! Series24! Series3! Series4! Series5! Series6! Series7! Series8! Series9! TextChart!
BrushPattern: enumeration (optional)	The fill pattern. Arch! Balls! BigChecks! BigCrosshatch! BigSquares! Chainlink! Checks! Crosses! Crosshatch! Fishscale! Gray12! Gray25! Gray50! Honeycomb! HorzBricks! HorzLines1! HorzLines2! Mesh! Patio! Plaid! Solid! Squares! TiltBricks! TiltLines1! TiltLines2! TiltLines3! TiltLines4! Triangles! VertLines1! VertLines2! Waves! Weave!
ForeRed: numeric (optional)	The amount of red (0-255) in the foreground fill color.
ForeGreen: numeric (optional)	The amount of green (0-255) in the foreground fill color.
ForeBlue: numeric (optional)	The amount of blue (0-255) in the foreground fill color.
BackRed: numeric (optional)	The amount of red (0-255) in the background fill color.
BackGreen: numeric (optional)	The amount of green (0-255) in the background fill color.
BackBlue: numeric (optional)	The amount of blue (0-255) in the background fill color.
Transparency: enumeration (optional)	The transparency of a foreground or background color. Background! Foreground! None!
FillOn: enumeration (optional)	The state of pattern fill. Off! On!
 Related topics


SetPerspectiveOptions

Syntax

(RightAngle: enumeration; Horizontal: numeric; Vertical: numeric)

Description

Specify perspective options for chart display.

Parameters

RightAngle: enumeration (optional)	Constrain chart axes to right angles. Off! On!
Horizontal: numeric (optional)	The angle from which the X axis is viewed. Values range from 0 to 100 for right angle axes, and from 0 to 90 for other axes.
Vertical: numeric (optional)	The angle from which the Y axis is viewed. Values range from 0 to 100 for right angle axes, and from 0 to 90 for other axes.


SetPieLabelOptions

Syntax

(Value: enumeration; Percentage: enumeration; Label: enumeration; Pointer: enumeration; Stacked: enumeration; Digits: numeric)

Description

Specify label options for pie charts.

Parameters

Value: enumeration (optional)	The value label display in relation to the chart. In! None! Out!
Percentage: enumeration (optional)	The percentage label display in relation to the chart. In! None! Out!
Label: enumeration (optional)	The data label display in relation to the chart. In! None! Out!
Pointer: enumeration (optional)	The pointer length. Long! Medium! None! Short!
Stacked: enumeration (optional)	Stack labels. Off! On!
Digits: numeric (optional)	The number of digits when values are displayed as percentages.
 Related topics


SetPieStyle

Syntax

(PieNum: numeric; Angle: numeric; Tilt: numeric; Depth: numeric; Size: numeric; LinkSlice: numeric; Column: enumeration; Linked: enumeration; Sort: enumeration)

Description

Specify pie chart layout options.

Parameters

PieNum: numeric	The pie number.
Angle: numeric (optional)	The rotation angle of a pie. Values range from 0 to 359.
Tilt: numeric (optional)	The tilt angle of a pie.
Depth: numeric (optional)	The thickness of a 3-D pie. Values range from 0 to 100.
Size: numeric (optional)	The size of a pie. Values range from 0 to 100.
LinkSlice: numeric (optional)	In a two-pie chart, specify a slice of one pie to link to the entire second pie.
Column: enumeration (optional)	Display a pie as a stacked bar. Off! On!
Linked: enumeration (optional)	Link a pie. Off! On!
Sort: enumeration (optional)	Arrange the pie slices by size. Off! On!
 Related topics


SetProportionalPies

Syntax

(Flag: enumeration)

Description

Turn the proportional pies option on or off when editing a pie chart.

Parameters

Flag: enumeration	Toggle proportional pies. Off! On!
 Related topics


SetPointerPosition

Syntax

()

Description

Move the cursor position to the specified location.

Parameters

Position:  numeric	PointX PointY


SetRadarView

Syntax

(RadialGrid: enumeration; RadarLine: enumeration)

Description

Specify layout options for radar charts.

Parameters

RadialGrid: enumeration (optional)	The radar grid is radial, rather than linear. Off! On!
RadarLine: enumeration (optional)	The radar chart is displayed as lines, rather than areas. Off! On!


SetRangeHighlight

Syntax

(HighlightOn: enumeration; ColorToSet: enumeration; Red: numeric; Green: numeric; Blue: numeric)

Description

Specify the spreadsheet range highlight colors.

Parameters

HighlightOn: enumeration	Indicate whether highlight is on or off. False! True!
ColorToSet: enumeration	Determine which highlight color to set. Close! Data! High! Labels! Legend! Low! Open! PieData! PieLabels! PieTitles! ScatterData!
Red: numeric	The amount of red (0-255) in a color.
Green: numeric	The amount of green (0-255) in a color.
Blue: numeric	The amount of blue in a color (0-255).


SetSeriesOptions

Syntax

(SeriesNum: numeric; ItemType: enumeration; BarStyle: enumeration; MarkerType: enumeration; MarkerSize: numeric; LineWidth: numeric; LineStyle: enumeration; LineRed: numeric; LineGreen: numeric; LineBlue: numeric; AxisType: enumeration; Radar: enumeration; ScatterLine: enumeration; ScatterMarker: enumeration; LinLines: enumeration; LinMarkers: enumeration)

Description

Specify options for a chart series.

Parameters

SeriesNum: numeric	The series to modify. Values range from 1 to 24.
ItemType: enumeration (optional)	The series type. Valid only for bar, area, line, or mixed charts. Area! Bar! Line!
BarStyle: enumeration (optional)	The shape of a bar series. Conical! Cylinder! Diamond! Hexagon! Octagon! Pentagon! Pyramid! Pyramid3! Rectangle!
MarkerType: enumeration (optional)	The shape of a marker. Asterisk! Box! Circle! Cross! Diamond! Star5! Star6! Sun! Triangle! Wedge! X!
MarkerSize: numeric (optional)	Used when the ScatterMarker, LinMarker, or Radar parameter value On!. Values range from 1 to 10.
LineWidth: numeric (optional)	The line width in the current unit of measure.
LineStyle: enumeration (optional)	The style for series lines. Alternate! Dash! DashDot! DashTwoDot! Dots! LongDash! LongShort! LongTwoShort! ShortDash! Solid! TinyDash! TwoDashDot! TwoDashTwoDot! TwoDotsDash! TwoLongShort! TwoLongTwoShort!
LineRed: numeric (optional)	The amount of red (0-255) in a line color.
LineGreen: numeric (optional)	The amount of green (0-255) in a line color.
LineBlue: numeric (optional)	The amount of blue (0-255) in a line color.
AxisType: enumeration (optional)	Specify which axis a series is on. Valid only for charts with a Y1 axis (left) and a Y2 axis (right). Left! Right!
Radar: enumeration (optional)	Display the radar markers. Off! On!
ScatterLine: enumeration (optional)	Display a series as a line. Valid only for scatter charts. Off! On!
ScatterMarker: enumeration (optional)	Display a series as markers. Off! On!
LinLines: enumeration (optional)	Display a series as a line. Valid only for line, bar, area, or mixed charts. Off! On!
LinMarkers: enumeration (optional)	Display a series as markers. Valid only for line, bar, area, or mixed charts. Off! On!
 Related topics


SetSlideLinkFile

Syntax

(GalleryName: string; SlideNumber: numeric; Filename: string)

Description

Link a slide show file to a gallery or .MST file.

Parameters

GalleryName: string	The gallery or .MST to edit.
SlideNumber: numeric	The number of the slide.
Filename: string	The slide show file to link.


SetSlideNotes

Syntax

(Notes: string)

Description

Create speaker notes for the current slide.

Parameters

Notes: string	The speaker notes for the current slide.


SetSlideOptions

Syntax

(TransitionType: enumeration; Direction: enumeration; Size: enumeration; Overlay: enumeration; CascadeBullets: enumeration; TransitionBullets: enumeration; ManualDelay: enumeration; DelayTime: numeric; SkipCurrent: enumeration)

Description

Specify transition options for the current slide. Use SlideGetNext or SlideGetLast to specify a slide other than the current slide.

Parameters

TransitionType: enumeration	The type of transition between slides. Blinds! Box! Close! Diagonal! Jigsaw! Normal! Open! Overwrite! Snake! Spot! Wipe!
Direction: enumeration	The direction for the transition action. Down! Horizontal! In! Left! LeftDown! LeftUp! None! Out! Right! RightDown! RightUp! Up! Vertical!
Size: enumeration	The pattern size for the Spots or Jigsaw transitions. For other transition types, the value of this parameter is 255. Fine! Large! Medium! None! Small! Xlarge!
Overlay: enumeration	Indicate whether the Overlay option is active. No! Yes!
CascadeBullets: enumeration	Cascade bullets option is active. No! Yes!
TransitionBullets: enumeration	Transition Bullets Only option is active. No! Yes!
ManualDelay: enumeration	Advance slides manually. No! Yes!
DelayTime: numeric	The number of seconds before the next slide appears when the timed advance option is active.
SkipCurrent: enumeration	Skip the current slide when the show plays. No! Yes!
 Related topics


SetSlideOverride

Syntax

(OverrideTransition: enumeration; TransitionType: enumeration; Direction: enumeration; Size: enumeration; CascadeBullets: enumeration; TransitionBullets: enumeration; OverrideAdvance: enumeration; ManualDelay: enumeration; DelayTime: numeric)

Description

Specify slide show override options.

Parameters

OverrideTransition: enumeration	Override slide transitions. No! Yes!
TransitionType: enumeration	The transition type. Blinds! Box! Close! Diagonal! Jigsaw! Normal! Open! Overwrite! Snake! Spot! Wipe!
Direction: enumeration	The transition direction. Down! Horizontal! In! Left! LeftDown! LeftUp! None! Out! Right! RightDown! RightUp! Up! Vertical!
Size: enumeration	The pattern size for the Spots or Jigsaw transitions. Fine! Large! Medium! None! Small! Xlarge!
CascadeBullets: enumeration	Cascade bullets option is active. No! Yes!
TransitionBullets: enumeration	Transition bullets option is active. No! Yes!
OverrideAdvance: enumeration	No! Yes!
ManualDelay: enumeration	Advance slides manually. No! Yes!
DelayTime: numeric	The number of seconds before the next slide appears when the timed advance option is active.
 Related topics


SetSlideSound

Syntax

(MidiFilename: string; MidiOnDisk: enumeration; MidiLoop: enumeration; MidiMT32: enumeration; MidiVolume: numeric; DigiFilename: string; DigiOnDisk: enumeration; DigiLoop: enumeration; DigiVolume: numeric; CDTrackName: string; CDLoop: enumeration; CDVolume: numeric; CDBeginTrack: numeric; CDBeginMinute: numeric; CDBeginSecond: numeric; CDBeginFrame: numeric; CDEndTrack: numeric; CDEndMinute: numeric; CDEndSecond: numeric; CDEndFrame: numeric; ApplyToAll: enumeration)

Description

Specify sound options for each slide.

Parameters

MidiFilename: string	The MIDI filename.
MidiOnDisk: enumeration	Store the current MIDI file on disk, rather than in the slide show file. No! Yes!
MidiLoop: enumeration	Play the current MIDI file continuously during a slide show until another file begins. No! Yes!
MidiMT32: enumeration	Ensure consistency among MIDI files written according to the MT32 standard. No! Yes!
MidiVolume: numeric	The MIDI volume.
DigiFilename: string	The WAV filename.
DigiOnDisk: enumeration	Indicate whether the WAV file is on disk. No! Yes!
DigiLoop: enumeration	Loop the WAV. No! Yes!
DigiVolume: numeric	The WAV volume.
CDTrackName: string	The CD track name.
CDLoop: enumeration	The loop CD track. No! Yes!
CDVolume: numeric	The CD volume.
CDBeginTrack: numeric	Where to begin the CD track.
CDBeginMinute: numeric	Where to begin the CD track.
CDBeginSecond: numeric	Where to begin the CD track.
CDBeginFrame: numeric	Where to begin the CD track.
CDEndTrack: numeric	Where to end the CD track.
CDEndMinute: numeric	Where to end the CD track.
CDEndSecond: numeric	Where to end the CD track.
CDEndFrame: numeric	Where to end the CD track.
ApplyToAll: enumeration (optional)	No! Yes!
 Related topics


SetSlideTransition

Syntax

(SkipSlide: enumeration; Effect: enumeration; Direction: enumeration; Speed: enumeration; ApplyEffectToAll: enumeration; IsManualDelay: enumeration; Delay: numeric; ApplyAdvanceToAll: enumeration; AnimateWaitForAdvance: enumeration; AnimateOneAtATime: enumeration; AnimateAfterBullets: enumeration)

Description

Specify transition options for the current slide.

Parameters

SkipSlide: enumeration	Skip playing the current slide. DontChange! No! Yes!
Effect: enumeration	The transition effect. Blinds! Blocks! Circles! CirclesRandom! CircuitBoard! Clock! Close! Diamonds! DiamondsRandom! DiamondsSmall! Dissolve! Explode! Fade! Focus! FocusDissolve! FourPointStars! HappyFaces! Hatch! Lines! Mosaic! MosaicDissolve! MosaicWave! Normal! NotSpecified! Octagons! Open! PhotoLens! Polygons! PushAway! Puzzle! Raindrops! Rectangles! RollIn! RollOut! SkipLines! SlideAway! SlideIn! SlideToCorner! Sparkles! Spiral! SpiralAway! StackBlocks! Starburst! Stars! Stretch! StretchClose! StretchFromCenter! StretchFromCorner! StretchOpen! Sweep! SweepLines! Triangles! Wave! Weave!
Direction: enumeration	The transition direction. Clockwise! CounterClockwise! Down! Horizontal! Left! LeftAndDown! LeftAndUp! NoDirection! NotSpecified! Right! RightAndDown! RightAndUp! Up! Vertical!
Speed: enumeration	The transition speed. Fast! Medium! NotSpecified! Slow!
ApplyEffectToAll: enumeration	Apply the specified effect to all slides in the current slide show. No! Yes!
IsManualDelay: enumeration	Slide advance is manual. No! Yes!
Delay: numeric	The number of seconds of delay before the slide advances.
ApplyAdvanceToAll: enumeration	Apply the specified advance options to all slides in the current slide show. No! Yes!
AnimateWaitForAdvance: enumeration	Animate at advance, not before. No! Yes!
AnimateOneAtATime: enumeration	Animate bullets one at a time. No! Yes!
AnimateAfterBullets: enumeration	Animate an object after a bulleted list display. No! Yes!


SetSlideTransitionDirectionOnly

Syntax

(Direction: enumeration)

Description

Set the direction of the slide transition.

Parameters

Direction: enumeration	The direction in which the transition moves. Clockwise! CounterClockwise! Down! Horizontal! Left! LeftAndDown! LeftAndUp! NoDirection! Right! RightAndDown! RightAndUp! Up! Vertical!


SetSlideTransitionOnly

Syntax

(Effect: enumeration)

Description

Set the slide transition type.

Parameters

Effect: enumeration	The transition to use for a slide. Blinds! Blocks! Circles! CirclesRandom! CircuitBoard! Clock! Close! Diamonds! DiamondsRandom! DiamondsSmall! Dissolve! Explode! Fade! Focus! FocusDissolve! FourPointStars! HappyFaces! Hatch! Lines! Mosaic! MosaicDissolve! MosaicWave! Normal! NotSpecified! Octagons! Open! PhotoLens! Polygons! PushAway! Puzzle! Raindrops! Rectangles! RollIn! RollOut! SkipLines! SlideAway! SlideIn! SlideToCorner! Sparkles! Spiral! SpiralAway! StackBlocks! Starburst! Stars! Stretch! StretchClose! StretchFromCenter! StretchFromCorner! StretchOpen! Sweep! SweepLines! Triangles! Wave! Weave!


SetSlideTransitionSpeedOnly

Syntax

(Speed: enumeration)

Description

Set the speed of the transition between slides.

Parameters

Speed: enumeration	The speed of the transition. Fast! Normal! NotSpecified! Slow!


SetTableBlend

Syntax

()

Description

Blend a range of colors in the current table.


SetTableSurfaceColor

Syntax

(ColorType: enumeration; Red: numeric; Green: numeric; Blue: numeric)

Description

Specify table and surface colors.

Parameters

ColorType: enumeration	The table or surface color to change. ColorTable1! ColorTable10! ColorTable2! ColorTable3! ColorTable4! ColorTable5! ColorTable6! ColorTable7! ColorTable8! ColorTable9! GridFillColor! GridLineColor! SurfaceOutlineColor!
Red: numeric	The amount of red (0-255) in a color.
Green: numeric	The amount of green (0-255) in a color.
Blue: numeric	The amount of blue (0-255) in a color.


SetTableSurfaceOptions

Syntax

(SingleGrid: enumeration; FullGrid: enumeration; TableColor: enumeration; OutlinePatch: enumeration)

Description

Specify table layout options.

Parameters

SingleGrid: enumeration (optional)	Display a single grid. Off! On!
FullGrid: enumeration (optional)	Display a full grid. Off! On!
TableColor: enumeration (optional)	Display the table colors. Off! On!
OutlinePatch: enumeration (optional)	Display the surface outlines. Off! On!


SetTemplateAll

Syntax

(Template: string; Background: string)

Description

Specify a template for all slides in a slide show.

Parameters

Template: string	The template name.
Background: string (optional)	The background name. Overrides the default background.
 Related topics


SetTemplateCurrent

Syntax

(Template: string; Background: string)

Description

Specify a template for the current slide.

Parameters

Template: string	The template name.
Background: string (optional)	The background name. Overrides the default background.
 Related topics


SetTemplateRange

Syntax

(Start: numeric; End: numeric; Template: string; Background: string)

Description

Specify a template for a range of slides.

Parameters

Start: numeric	The first slide in a range.
End: numeric	The last slide in a range.
Template: string	The template name.
Background: string (optional)	The background name. Overrides the default background.
 Related topics


SetTextChartBox

Syntax

(ShowBox: enumeration; BoxPosition: enumeration)

Description

Specify box options for bullet charts.

Parameters

ShowBox: enumeration (optional)	The box types to display. All! Body! None! Title!
BoxPosition: enumeration (optional)	The box position in relation to chart text. Above! AboveBelow! Behind! Below!


SetTextFillAttributes

Syntax

(Style: enumeration; FColorRed: numeric; FColorGreen: numeric; FColorBlue: numeric; BColorRed: numeric; BColorGreen: numeric; BColorBlue: numeric; BrushPattern: enumeration; GradType: enumeration; GradRefX: numeric; GradRefY: numeric; GradAngle: numeric; GradSteps: numeric)

Description

Specify fill attributes for text.

Parameters

Style: enumeration	The fill style. Gradient! None! Pattern!
FColorRed: numeric (optional)	The amount of red (0-255) in the foreground fill color.
FColorGreen: numeric (optional)	The amount of green (0-255) in the foreground fill color.
FColorBlue: numeric (optional)	The amount of blue (0-255) in the foreground fill color.
BColorRed: numeric (optional)	The amount of red (0-255) in the background fill color.
BColorGreen: numeric (optional)	The amount of green (0-255) in the background fill color.
BColorBlue: numeric (optional)	The amount of green (0-255) in the background fill color.
BrushPattern: enumeration (optional)	The fill pattern. Arch! Balls! BigChecks! BigCrosshatch! BigSquares! ChainLink! Checks! Crosses! Crosshatch! FishScale! Gray12! Gray25! Gray50! HoneyComb! HorzBricks! HorzLines1! HorzLines2! Mesh! Patio! Plaid! Solid! Squares! TiltBricks! TiltLines1! TiltLines2! TiltLines3! TiltLines4! Triangles! VertLines1! VertLines2! Waves! Weave!
GradType: enumeration (optional)	The gradient type. ConcenCircles! ConcenEllipses! ConcenRects! ConcenSquares! ConverCircles! ConverEllipses! ConverRects! ConverSquares! Linear! None! Polygonal!
GradRefX: numeric (optional)	The horizontal center of a circular or rectangular gradient fill. Flush left is 0, center is 50, and flush right is 100.
GradRefY: numeric (optional)	The vertical center of a circular or rectangular gradient fill or the top of a linear gradient. Top is 0, center is 50, and bottom is 100.
GradAngle: numeric (optional)	The rotation angle for a gradient fill. The top of the gradient is rotated counter-clockwise. For example, a 90-degree angle places the top of the gradient parallel to the left margin of the page.
GradSteps: numeric (optional)	The number of steps between colors in a gradient fill. A value of 0 represents the greatest possible number of steps.
 Related topics


SetTextLineAttributes

Syntax

(State: enumeration; Red: numeric; Green: numeric; Blue: numeric; Width: measurement)

Description

Specify line attributes for text.

Parameters

State: enumeration	Text outline is on or off. Off! On!
Red: numeric (optional)	The amount of red (0-255) in the text outline.
Green: numeric (optional)	The amount of green (0-255) in the text outline.
Blue: numeric (optional)	The amount of blue (0-255) in the text outline.
Width: measurement (optional)	The line width in WordPerfect units (1200ths of an inch).
 Related topics


SetTexture2

Syntax

(ObjectType: enumeration; PictureOrTexture: enumeration; Filename: string; Anchor: enumeration; Fit: enumeration; StackCount: numeric; EntityFlags: numeric; Color: numeric)

Description

Add texture to a chart object.

Parameters

ObjectType: enumeration	BoxDataLabels! BoxLegend! BoxOrgChart! BoxPieLabels! BoxPieTitles! BoxSubtitle! BoxTitle! FontDataLabels! FontLegend! FontLegendTitle! FontMiniTable! FontOrgChart! FontPieLabels! FontPieTitles! FontSubtitle! FontTableCells! FontTitle! FontXAxis! FontXNames! FontY1Axis! FontY1Labels! FontY2Axis! FontY2Labels! Frame! Series1! Series10! Series11! Series12! Series13! Series14! Series15! Series16! Series17! Series18! Series19! Series2! Series20! Series21! Series22! Series23! Series24! Series3! Series4! Series5! Series6! Series7! Series8! Series9! TextChart!
PictureOrTexture: enumeration	Picture! Texture!
Filename: string	The texture file path and filename.
Anchor: enumeration	The texture anchor point. BottomCenter! BottomLeft! BottomRight! CenterCenter! CenterLeft! CenterRight! Page! TopCenter! TopLeft! TopRight!
Fit: enumeration	The fill type. HBrick! HScale! HStretch! Scale! Stretch! TfmScale! TfmStretch! Tile! VBrick! VScale! VStretch!
StackCount: numeric	The number of images to stack, with 0 indicating no stacking. Valid only with some fill types.
EntityFlags: numeric
Color: numeric (optional)


SetTitleString

Syntax

(TitleType: enumeration; TitleString: string)

Description

Specify a data chart title, subtitle, or axis title.

Parameters

TitleType: enumeration	The title string. LegendTitle! Subtitle! Title! XAxis! Y1Axis! Y2Axis!
TitleString: string (optional)	The data chart title.
 Related topics


SetViewOptions

Syntax

(View3D: enumeration; Horizontal: enumeration; ShowData: enumeration)

Description

Specify view options for data charts.

Parameters

View3D: enumeration (optional)	Display the chart in three dimensions. Off! On!
Horizontal: enumeration (optional)	Display a chart horizontally. Off! On!
ShowData: enumeration (optional)	Display a table of data with a chart. Off! On!


ShadowAttributes

Syntax

(XOffSet: numeric; YOffSet: numeric; ShadowColorR: numeric; ShadowColorG: numeric; ShadowColorB: numeric; Transparency: enumeration; ChangedAttrs: enumeration)

Description

Specify the color, offset, and transparency of shadows.

Parameters

XOffSet: numeric	The shadow's horizontal offset, in WordPerfect units (1200ths of an inch). Values range from -600 to 600 (0.5 left to 0.5 right).
YOffSet: numeric	The shadow's vertical offset in WordPerfect units. Values range from -600 to 600 (0.5 down to 0.5 up).
ShadowColorR: numeric	The amount of red (0-255) in a shadow.
ShadowColorG: numeric	The amount of green (0-255) in a shadow.
ShadowColorB: numeric	The amount of blue (0-255) in a shadow.
Transparency: enumeration	The shadow transparency. No! Yes!
ChangedAttrs: enumeration (optional)	Color! Transparency! XOffset! YOffset!


ShadowAttributesDlg

Syntax

()

Description

Display the Shadow Attributes dialog box, which is used to modify the color, offset, and transparency of shadows.

 Related topics


ShellFileOpen

Syntax

(Filename: string; OpenAsCopy: enumeration)

Description

Open a shell file.

Parameters

Filename: string	The path and name of the file to open.
OpenAsCopy: enumeration (optional)	No! Yes!


ShellPlayShow

Syntax

(Filename: string)

Description

Open a slide show file, play it, then close it.

Parameters

Filename: string	The filename of the slide show file.
 Related topics


ShowBackground

Syntax

(BackgroundIndex: numeric)

Description

Display a specified background in the Background Editor.

Parameters

BackgroundIndex: numeric (optional)	The background number.


ShowGrid

Syntax

(State: enumeration)

Description

Display or hide the grid. If no parameter is used, this command toggles the grid display.

Parameters

State: enumeration (optional)	Grid display is on or off. Off! On!
 Related topics


ShowGuides

Syntax

(State: enumeration)

Description

Turn the alignment guides on and off.

Parameters

State: enumeration (optional)	Specify On to view the guides. Specify Off to remove the guides. If no parameter is specified, the guide display will toggle. Off! On!


ShowHideSubordinates

Syntax

(ShowHide: enumeration)

Description

Collapse or expand the subordinates of the selection.

Parameters

ShowHide: enumeration (optional)	Off! On!


ShowLayout

Syntax

(TemplateIndex: numeric)

Description

Display a specified layout. This command is available only in the Layout Editor.

Parameters

TemplateIndex: numeric (optional)	Specify a layout to display. Layouts are numbered according to their order in the Layout drop-down list in the Slide Editor.


ShowPropertyBar

Syntax

(State: enumeration)

Description

Select the property bars to display or hide.

Parameters

State: enumeration (optional)	Off! On!


ShowRuler

Syntax

(State: enumeration)

Description

Display or hide the Ruler. If no parameter is used, this command toggles the ruler display.

Parameters

State: enumeration (optional)	Ruler display is on or off. Off! On!
 Related topics


ShowSlide

Syntax

(Slide: numeric)

Description

Display a specified slide in the Slide Editor.

Parameters

Slide: numeric (optional)	The slide to display.


ShowToolbar

Syntax

(State: enumeration)

Description

Display or hide the toolbar.

Parameters

State: enumeration (optional)	Toolbar display is on or off. Off! On!
 Related topics


ShowToolPalette

Syntax

(State: enumeration)

Description

Select the bars to display or hide.

Parameters

State: enumeration (optional)	Off! On!


SilhouetteObject

Syntax

()

Description

Change the selected objects to silhouettes.

 Related topics


SingleSmartQuote

Syntax

(State: enumeration; OpenQuote: string; CloseQuote: string)

Description

Turn single smart quotes on or off and specify quote characters in QuickCorrect.

Parameters

State: enumeration (optional)	Single smart quotes are on or off. Off! On!
OpenQuote: string (optional)	The character to use for single open quote.
CloseQuote: string (optional)	The character to use for single close quote.
 Related topics


SingleSpaceInSentence

Syntax

(State: enumeration)

Description

Change two spaces to one space between words on or off in QuickCorrect.

Parameters

State: enumeration (optional)	Sentence spacing correction is on or off. Off! On!
 Related topics


SizeObjectsAroundAnchor

Syntax

(Multiplier: numeric; AnchorPoint: enumeration; Copy: enumeration)

Description

Size the selected objects around a point.

Parameters

Multiplier: numeric	The percentage by which to increase or decrease the size of objects.
AnchorPoint: enumeration	The center point for sizing. Center! LeftBottom! LeftTop! RightBottom! RightTop!
Copy: enumeration	Copy the selected objects before sizing. No! Yes!
 Related topics


SizeObjectsByLeftBottomDlg

Syntax

Syntax

Description

()

Description

Display the Size dialog box, which is used to specify how far to move the left bottom edge when sizing an object.

 Related topics


SizeObjectsByLeftTopDlg

Syntax

()

Description

Display the Size dialog box, which is used to specify how far to move the left top edge when sizing an object.

 Related topics


SizeObjectsByRightBottomDlg

Syntax

()

Description

Display the Size dialog box, which is used to specify how far to move the right bottom edge when sizing an object.

 Related topics


SizeObjectsByRightTopDlg

Syntax

()

Description

Display the Size dialog box, which is used to specify how far to move the right top edge when sizing an object.

 Related topics


SkewObject

Syntax

(DeltaX: numeric; DeltaY: numeric; XOffset: numeric; YOffset: numeric; SkewPtX: numeric; SkewPtY: numeric; SkewX: enumeration; NoSkew: enumeration; CopyObject: enumeration)

Description

Skew the selected object(s).

Parameters

DeltaX: numeric	The horizontal movement, in WordPerfect units (1200ths of an inch).
DeltaY: numeric	The vertical movement, in WordPerfect units.
XOffset: numeric	The horizontal offset, in WordPerfect units.
YOffset: numeric	The vertical offset, in WordPerfect units.
SkewPtX: numeric
SkewPtY: numeric
SkewX: enumeration	No! Yes!
NoSkew: enumeration	No skew. No! Yes!
CopyObject: enumeration	Skew a copy of the object. No! Yes!
 Related topics


SkewObjectsAroundAnchor

Syntax

(Percent: numeric; AnchorPoint: enumeration; Copy: enumeration)

Description

Skew the selected object(s) around a point.

Parameters

Percent: numeric	The percentage of the size of the selected objects by which to skew objects. Values range from -100 to 100.
AnchorPoint: enumeration	The anchor point around which to skew the selected objects. Bottom! HorizontalCenter! Left! Right! Top! VerticalCenter!
Copy: enumeration	Copy the selected objects before skewing. No! Yes!
 Related topics


SkewObjectsAtBottomDlg

Syntax

()

Description

Display the Skew dialog box, which is used to skew the bottom edge of the selected objects by a specified amount.

 Related topics


SkewObjectsAtLeftDlg

Syntax

()

Description

Display the Skew dialog box, which is used to skew the left edge of the selected objects by a specified amount.

 Related topics


SkewObjectsAtRightDlg

Syntax

()

Description

Display the Skew dialog box, which is used to skew the right edge of the selected objects by a specified amount.

 Related topics


SkewObjectsAtTopDlg

Syntax

()

Description

Display the Skew dialog box, which is used to skew the top edge of the selected objects by a specified amount.

 Related topics


SkipSelectedSlide

Syntax

(SkipState: enumeration)

Description

Skip or include the selected slide(s).

Parameters

SkipState: enumeration	The value to set the skip state to. Include! Skip!


SlideAppearanceBackground

Syntax

()

Description

Display or retrieve pre-designed slide show layouts and backgrounds.


SlideAppearanceLayout

Syntax

()

Description

Display or retrieve pre-designed slide show layouts and backgrounds.


SlideAudienceManager

Syntax

()

Description

Create and manage custom audiences.


SlideDisplaySequence

Syntax

()

Description

Define delays and methods for slides to transition and methods for objects to display on the screen.


SlideFirst

Syntax

()

Description

Display the first slide in the current slide show.

 Related topics


SlideGetLast

Syntax

()

Description

Specify the previous slide in a dialog box used to set slide options, such as the Sound dialog box.

 Related topics


SlideGetNext

Syntax

()

Description

Specify the next slide in a dialog box used to set slide options, such as the Slide Transition dialog box.

 Related topics


SlideLast

Syntax

()

Description

Display the last slide in the current slide show.

 Related topics


SlideLayoutReApply

Syntax

(OverrideChartStyle: enumeration; OverrideChartPosition: enumeration)

Description

Re-apply a layout to selected slides.

Parameters

OverrideChartStyle: enumeration (optional)	Override the current chart style with the chart style defined in the layout. No! Yes!
OverrideChartPosition: enumeration (optional)	Override the current chart position with the chart position defined in the layout. No! Yes!


SlideNext

Syntax

()

Description

Display the next slide in the current slide show.

 Related topics


SlidePageDown

Syntax

()

Description

Page down in the slide.

 Related topics


SlidePageUp

Syntax

()

Description

Page up in the slide.

 Related topics


SlidePrevious

Syntax

()

Description

Display the previous slide in the current slide show.

 Related topics


SlidePropertiesDlg

Syntax

()

Description

Define the slide layout, background, and other properties.


SlideQuickPlay

Syntax

()

Description

Play the slide show, starting with the current slide.


SlideSelect

Syntax

(Additive: enumeration; Select: enumeration; {SlideIndex: numeric})

Description

Select or deselect one or more slides.

Parameters

Additive: enumeration	Select specified slides in addition to the current slide selection. No! Yes!
Select: enumeration	Use No! to deselect slides, Yes! to select slides. No! Yes!
SlideIndex: numeric	The index number for a slide.


SlideSetCurrent

Syntax

(Additive: enumeration; Select: enumeration; SlideIndex: numeric)

Description

Select slides and specify which slide is the current slide.

Parameters

Additive: enumeration	Select specified slides in addition to the current slide selection. No! Yes!
Select: enumeration	Use No! to deselect slides, Yes! to select slides. No! Yes!
SlideIndex: numeric	The index number for a slide.


SlideShowOutline

Syntax

()

Description

Display the Outliner view of the current slide show.

 Related topics


SlideShowSlide

Syntax

()

Description

Display the Slide Editor view of the current slide.

 Related topics


SlideShowSort

Syntax

()

Description

Display the Slide Sorter view of the current slide show.

 Related topics


SlideTransitionDirection

Syntax

()

Description

Select the direction for the slide transition.

 Note

•	This command is obsolete.


SlideTransitionDlg

Syntax

()

Description

Display the Slide Transition and Sound Properties dialog box, which is used to set transition, sound, and advance properties for a slide show.

 Related topics


SlideTransitionsDlg

Syntax

()

Description

Display the Slide Transition dialog box, which is used to specify transition and advance options.

 Related topics


SlideTransitionSpeed

Syntax

()

Description

Select the speed for the slide transition.

 Note

•	This command is obsolete.


SnapToAlignment

Syntax

(State: enumeration)

Description

Snap objects to the alignment guides.

Parameters

State: enumeration (optional)	Off! On!


SnapToGrid

Syntax

(State: enumeration)

Description

Toggle Snap to Grid, which aligns objects with the grid.

Parameters

State: enumeration (optional)	Snap to grid is on or off. Off! On!
 Related topics


SortSpreadsheetData

Syntax

(SortBy: enumeration; SortDirection: enumeration; SortKey: numeric)

Description

Sort data in a chart's Datasheet.

Parameters

SortBy: enumeration	Sort by rows or columns. Cols! Rows!
SortDirection: enumeration	Sort in ascending or descending order. Ascending! Descending!
SortKey: numeric	Specify a column or row to sort by.


SoundControlDlg

Syntax

()

Description

Display the Sound dialog box, which is used to add sound to a slide.


SpaceObjectsHorizontally

Syntax

()

Description

Evenly space three or more selected objects horizontally.

 Related topics


SpaceObjectsVertically

Syntax

()

Description

Evenly space three or more selected objects vertically.

 Related topics


SpeakerNotesDlg

Syntax

()

Description

Display the Speaker Notes dialog box, which is used to select and edit notes.

 Related topics


SpeedKeyDelete

Syntax

(Key: numeric; Default: enumeration)

Description

Delete a SpeedKey.

Parameters

Key: numeric	A key on the keyboard. The ASCII numeric equivalent is required.
Default: enumeration	Specify whether the key is a default key. No! Yes!
 Related topics


SpeedKeyDlg

Syntax

()

Description

Display the Slide Properties dialog box with the SpeedKeys tab displayed, which is used to create and edit SpeedKeys.

 Related topics


SpeedKeyProperties

Syntax

(Key: numeric; Default: enumeration; Type: enumeration; Data: any; MidiOnDisk: enumeration; MidiLoop: enumeration; MidiMT32: enumeration; MIDIVolume: numeric; DigiFilename: string; DigiOnDisk: enumeration; DigiLoop: enumeration; DigiVolume: numeric; CDTrackName: string; CDLoop: enumeration; CDVolume: numeric; CDBeginTrack: numeric; CDBeginMinute: numeric; CDBeginSecond: numeric; CDBeginFrame: numeric; CDEndTrack: numeric; CDEndMinute: numeric; CDEndSecond: numeric; CDEndFrame: numeric)

Description

Specify the action a SpeedKey performs.

Parameters

Key: numeric	A key on the keyboard.
Default: enumeration	Add the SpeedKey to the default list. No! Yes!
Type: enumeration	The type of action the key performs. FirstSlide! LastSlide! LaunchFile! NextSlide! PreviousSlide! QuitShow! SpecificSlide! StopSound!
Data: any (optional)	The data associated with the action. Can be a slide number, filename, or file location.
MidiOnDisk: enumeration (optional)	Store the current MIDI file on disk, rather than in the slide show file. No! Yes!
MidiLoop: enumeration (optional)	Play the current MIDI file continuously during a slide show until another file begins. No! Yes!
MidiMT32: enumeration (optional)	Ensure consistency among MIDI files written according to the MT32 standard. No! Yes!
MIDIVolume: numeric (optional)	The MIDI volume.
DigiFilename: string (optional)	The WAV filename.
DigiOnDisk: enumeration (optional)	Indicate whether the WAV file is on disk. No! Yes!
DigiLoop: enumeration (optional)	The Loop WAV. No! Yes!
DigiVolume: numeric (optional)	The WAV volume.
CDTrackName: string (optional)	The CD track name.
CDLoop: enumeration (optional)	The loop CD track. No! Yes!
CDVolume: numeric (optional)	The CD volume.
CDBeginTrack: numeric (optional)	Where to begin the CD track.
CDBeginMinute: numeric (optional)	Where to begin the CD track.
CDBeginSecond: numeric (optional)	Where to begin the CD track.
CDBeginFrame: numeric (optional)	Where to begin the CD track.
CDEndTrack: numeric (optional)	Where to end the CD track.
CDEndMinute: numeric (optional)	Where to end the CD track.
CDEndSecond: numeric (optional)	Where to end the CD track.
CDEndFrame: numeric (optional)	Where to end the CD track.
  Related topics


SpeedLinkDelete

Syntax

 (objectNumber: numeric)

Description

Delete a SpeedLink.

Parameters

ObjectNumber: numeric (optional)	Specify a SpeedLink to delete.
 Related topics


SpeedLinkListDlg
SpeedLinkListDlg()

Syntax

()

Description

Display the SpeedLink List dialog box, which is used to view and edit SpeedLinks.

 Related topics


SpeedLinkProperties

Syntax

 (objectNumber: numeric; ButtonName: string; Key: numeric; Hidden: enumeration; Type: enumeration; Data: any; MidiOnDisk: enumeration; MidiLoop: enumeration; MidiMT32: enumeration; MidiVolume: numeric; DigiFilename: string; DigiOnDisk: enumeration; DigiLoop: enumeration; DigiVolume: numeric; CDTrackName: string; CDLoop: enumeration; CDVolume: numeric; CDBeginTrack: numeric; CDBeginMinute: numeric; CDBeginSecond: numeric; CDBeginFrame: numeric; CDEndTrack: numeric; CDEndMinute: numeric; CDEndSecond: numeric; CDEndFrame: numeric)

Description

Set SpeedLink properties.

Parameters

ObjectNumber: numeric	The SpeedLink number.
ButtonName: string	The name of the SpeedLink.
Key: numeric	The keystroke associated with the SpeedLink. The ASCII numeric equivalent is required.
Hidden: enumeration	Specify whether the SpeedLink is hidden. The default is No!. No! Yes!
Type: enumeration	The type of action. FirstSlide! LaunchFile! LastSlide! NextSlide! PreviousSlide! SpecificSlide! StopSound! QuitShow!
Data: any (optional)	The slide number (numeric), or filename or location (string).
MidiOnDisk: enumeration (optional)	Store the current MIDI file on disk, rather than in the slide show file. No! Yes!
MidiLoop: enumeration (optional)	Play the current MIDI file continuously during a slide show until another file begins. No! Yes!
MidiMT32: enumeration (optional)	Ensure consistency among MIDI files written according to the MT32 standard.
MidiVolume: numeric (optional)	The MIDI volume.
DigiFilename: string (optional)	The WAV filename. No! Yes!
DigiOnDisk: enumeration (optional)	Indicate whether the WAV file is on disk. No! Yes!
DigiLoop: enumeration (optional)	The Loop WAV. No! Yes!
DigiVolume: numeric (optional)	The WAV volume.
CDTrackName: string (optional)	The CD track name.
CDLoop: enumeration (optional)	The loop CD track. No! Yes!
CDVolume: numeric (optional)	The CD volume.
CDBeginTrack: numeric (optional)	Where to begin the CD track.
CDBeginMinute: numeric (optional)	Where to begin the CD track.
CDBeginSecond: numeric (optional)	Where to begin the CD track.
CDBeginFrame: numeric (optional)	Where to begin the CD track.
CDEndTrack: numeric (optional)	Where to end the CD track.
CDEndMinute: numeric (optional)	Where to end the CD track.
CDEndSecond: numeric (optional)	Where to end the CD track.
CDEndFrame: numeric (optional)	Where to end the CD track.
 Related topics


Speller

Syntax

()

Description

Open Spell Check, which checks text for misspelled words, double words and letters, and irregular capitalization.

 Related topics


StretchObjectsAroundAnchor

Syntax

(Multiplier: numeric; AnchorPoint: enumeration; Copy: enumeration)

Description

Stretch the selected objects horizontally or vertically from an anchor point.

Parameters

Multiplier: numeric	The percentage of the selected objects' size by which to stretch selected objects.
AnchorPoint: enumeration	The point around which to center stretching. Bottom! CenterHorizontally! CenterVertically! Left! Right! Top!
Copy: enumeration	Copy the selected objects before stretching. No! Yes!
 Related topics


StretchObjectsByBottomDlg

Syntax

()

Description

Display the Stretch dialog box, which is used to stretch the bottom edge of selected objects.

 Related topics


StretchObjectsByLeftDlg

Syntax

()

Description

Display the Stretch dialog box, which is used to stretch the left edge of selected objects.

 Related topics


StretchObjectsByRightDlg

Syntax

()

Description

Display the Stretch dialog box, which is used to stretch the right edge of selected objects.

 Related topics


StretchObjectsByTopDlg

Syntax

()

Description

Display the Stretch dialog box, which is used to stretch the top edge of selected objects.

 Related topics


SummaryInfoDlg

Syntax

()

Description

Display the Document Summary dialog box, which shows document creation and revision information.


SwapFillColors

Syntax

()

Description

Reverse the fill foreground and background colors of the selected object(s).


SwitchDocument

Syntax

(DocumentNumber: numeric)

Description

Switch to another document. This command exists for OS/2 integration and is only recordable from the OS/2 WorkPlace Shell.

Parameters

DocumentNumber: numeric	The document to switch to.


TableLayoutDlg

Syntax

()

Description

Display the Table Layout dialog.

 Related topics


TemplateChartCreateDlg

Syntax

()

Description

Display the Create Chart Template dialog box.


TextAttributesDlg

Syntax

()

Description

Display the Text Attributes dialog box, which is used to specify colors, pattern, and outline width for text.

 Related topics


TextBlock

Syntax

()

Description

Toggle the text tool between select and insert mode. Not recordable.

 Related topics


TextBold

Syntax

(Set: enumeration)

Description

Turn Bold on or off in the Text Editor.

Parameters

Set: enumeration (optional)	Off! On! Toggle!
 Related topics


TextBoxCreate

Syntax

()

Description

Create a new text area.

 Related topics


TextChartNext

Syntax

()

Description

Move the insertion point down one level in a bulleted list.

 Related topics


TextChartPrevious

Syntax

()

Description

Move the insertion point up one level in a bulleted list.

 Related topics


TextDown

Syntax

()

Description

Move the insertion point down one line in a text area.

 Related topics


TextEditExit

Syntax

()

Description

Close the Text Editor.

 Related topics


TextFontDlg

Syntax

()

Description

Display the Font dialog box, which is used to change the current font.

 Related topics


TextInsertMode

Syntax

()

Description

Toggle the text tool between typeover mode and insert mode.

 Related topics


TextItalic

Syntax

(Set: enumeration)

Description

Turn italics on or off.

Parameters

Set: enumeration (optional)	Off! On! Toggle!
 Related topics


TextKerning

Syntax

(Distance: measurement)

Description

Specify how far to advance text to the right or left.

Parameters

Distance: measurement	The distance to advance text, in WordPerfect units (1200ths of an inch). Use positive values for right advance, negative values for left advance.
 Related topics


TextLayoutBackTab

Syntax

()

Description

Move the selected text or the current line of text one tab stop to the left.


TextLayoutCenter

Syntax

()

Description

Center the selected text or the current line of text.

 Related topics


TextLayoutDoubleIndent

Syntax

()

Description

Move the left and right margins of the current paragraph inward one tab stop.

 Related topics


TextLayoutFlushRight

Syntax

()

Description

Align the selected text or the current line of text at the right margin.

 Related topics


TextLayoutHangingIndent

Syntax

()

Description

Move all but the first line of the current paragraph one tab stop to the right.

 Related topics


TextLayoutIndent

Syntax

()

Description

Move the left margin of the current paragraph one tab stop to the right.

 Related topics


TextLeft

Syntax

()

Description

Move the insertion point one character to the left.

 Related topics


TextLineCreate

Syntax

()

Description

Create a new text line.

 Related topics


TextReplace

Syntax

(SearchString: string; SearchDirection: enumeration; SearchBeep: enumeration; ReplaceString: string; ReplaceType: enumeration)

Description

Search for and replace specified text.

Parameters

SearchString: string (optional)	The text to search for.
SearchDirection: enumeration (optional)	Search forward or backward. Backward! Forward!
SearchBeep: enumeration (optional)	Beep when a word is not found. When recording this parameter, the Search Failure setting in the Environment dialog box determines the value. Off! On!
ReplaceString: string (optional)	The text to replace the text in the SearchString parameter.
ReplaceType: enumeration (optional)	Replace all occurrences or one occurrence of the character string specified in the SearchString parameter. Global! ReplaceOne!
 Related topics


TextRight

Syntax

()

Description

Move the insertion point one character to the right.

 Related topics


TextScreenTop

Syntax

()

Description

Move the insertion point to the top of the current text window.

 Related topics


TextSearch

Syntax

(SearchString: string; SearchDirection: enumeration; SearchBeep: enumeration)

Description

Locate the specified text in the current text area.

Parameters

SearchString: string (optional)	The text string to search for.
SearchDirection: enumeration (optional)	Search forward or backward through the text. Backward! Forward!
SearchBeep: enumeration (optional)	Beep when a word is not found. When recording this parameter, the Search Failure setting in the Environment dialog box determines the value. Off! On!
 Related topics


TextTab

Syntax

()

Description

Insert a tab at the insertion point in a text area.

 Related topics


TextToCurvesCmd

Syntax

()

Description

Explode the selected text into lines and curves, so the text becomes a graphic object.


TextUnderline

Syntax

(Set: enumeration)

Description

Turn underlining on or off.

Parameters

Set: enumeration (optional)	Off! On! Toggle!
 Related topics


TextUp

Syntax

()

Description

Move the insertion point up one line in a text area.

 Related topics


Thesaurus

Syntax

()

Description

Open the Thesaurus, which displays synonyms and antonyms for a specified word. You must call this product command when you have focus on text you want to edit. If there is no text in focus, then a run time error will result.

Note - When you are working in Corel Presentation's interface, the Thesaurus menu option is disabled, until you select 'Edit Text'. You should only call this command when the 'Thesaurus' menu option is enabled.

 Related topics


ToolbarCopy

Syntax

(ToolbarName: string; DestName: string)

Description

Copy a selected toolbar.

Parameters

ToolbarName: string (optional)	The name of the toolbar to copy.
DestName: string (optional)	The new name for the copy.
 Related topics


ToolbarCreate

Syntax

(ToolbarName: string)

Description

Create a new toolbar.

Parameters

ToolbarName: string (optional)	The name for the new toolbar.
 Related topics


ToolbarDelete

Syntax

(ToolbarName: string)

Description

Delete a specified toolbar.

Parameters

ToolbarName: string (optional)	The name of the toolbar to delete.
 Related topics


ToolbarEdit

Syntax

(ToolbarName: string)

Description

Display the Toolbar Editor dialog box, which is used to add, move, or delete buttons on the current toolbar.

Parameters

ToolbarName: string (optional)	The name of the toolbar to edit.
 Related topics


ToolbarRename

Syntax

(ToolbarName: string; NewName: string)

Description

Rename a specified toolbar.

Parameters

ToolbarName: string (optional)	The original name of the toolbar.
NewName: string (optional)	The new name for the toolbar.
 Related topics


ToolbarSelect

Syntax

(ToolbarName: string)

Description

Specify a toolbar to display. If no parameter is specified, the default toolbar is displayed.

Parameters

ToolbarName: string (optional)	The name of the toolbar to display.
 Related topics


ToolPaletteEdit

Syntax

(ToolPaletteName: string)

Description

Display the Tool Palette editor dialog box.

Parameters

ToolPaletteName: string (optional)	The name of the tool palette to edit.


TransparentColorDlg

Syntax

()

Description

Specify a transparent color for bitmaps.

 Related topics


Type

Syntax

(Text: string)

Description

Specify text to insert into a text area.

Parameters

Text: string	The text to insert.
 Related topics


UndeleteDlg

Syntax

()

Description

Display the Undelete dialog box, which is used to restore deleted text.

 Related topics


Undo

Syntax

()

Description

Reverse the most recent editing change.

 Related topics


UnselectAllObjects

Syntax

()

Description

Deselect all selected objects.

 Related topics


UseMasterPageColor

Syntax

(UseMaster: enumeration)

Description

Use the current master's page color in the slide.

Parameters

UseMaster: enumeration	Use the page color associated with the master. No! Yes!
 Related topics


UseRegQuotesWithNumbers

Syntax

(State: enumeration)

Description

Turn Use Regular Quotes with Numbers on or off in QuickCorrect.

Parameters

State: enumeration(optional)	Regular quotes with numbers are on or off. Off! On!
 Related topics


VersionControlDocument

Syntax

()

Description

Specify the version of a document to retrieve.


VersionControlRetrieve

Syntax

()

Description

Retrieve the current version of a document.


VersionControlSave

Syntax

()

Description

Save the current version of a document.


ViewAutoSelect

Syntax

(State: enumeration)

Description

Turn Auto Select on and off.

Parameters

State: enumeration (optional)	Automatic selection is on or off. Off! On!
 Related topics


ViewPrevious

Syntax

()

Description

Switch to the previous view of the drawing area.


ViewSelectedItems

Syntax

(State: enumeration)

Description

Toggle the Selected Objects Viewer on and off.

Parameters

State: enumeration (optional)	Selected object viewer is on or off. Off! On!
 Related topics


ViewToolBarsDlg

Syntax

()

Description

Display the Tool Bars dialog box.


WebBrowse

Syntax

(URLAddress: string)

Description

Launch your web browser. It will open at the URL you specify.

Parameters

URLAddress: string	The web address that your browser will open to.
 Related topics


WebBrowserLaunch

Syntax

()

Description

Launch a web browser, if one exists.


WindowsCascade

Syntax

()

Description

Arrange the drawing windows so they overlap and all the title bars are displayed.

 Related topics


WindowsTile

Syntax

()

Description

Arrange the drawing windows so all open windows are visible at once.

 Related topics


WindowsTileHorizontal

Syntax

()

Description

Tile windows in a horizontal row.

 Related topics


WordLeft

Syntax

()

Description

Move the insertion point one word to the left in the Text Editor.

 Related topics


WordPerfectCharactersDlg

Syntax

()

Description

Display the WordPerfect Characters dialog box, which is used to insert WordPerfect characters into a text area.

 Related topics


WordRight

Syntax

()

Description

Move the insertion point one word to the right in the Text Editor.

 Related topics


WorkInProgressDlg

Syntax

()

Description

Display the documents that are currently marked as "In Progress."


ZoomArea

Syntax

()

Description

Enlarge the view of an area in the drawing window. Follow with ZoomToBox to specify the area to enlarge.

 Related topics


ZoomDlg

Syntax

()

Description

Change the view magnification of the drawing.


ZoomIn

Syntax

()

Description

Enlarge the view of the current drawing by 20%.

 Related topics


ZoomOther

Syntax

()

Description

Display the current document at a user-defined percentage of the printed size.


ZoomOut

Syntax

()

Description

Reduce the view of the current drawing by 20%.

 Related topics


ZoomPercent100

Syntax

()

Description

Display the current document at printed size.

 Related topics


ZoomPercent150

Syntax

()

Description

Display the current document at 150% printed size.

 Related topics


ZoomPercent200

Syntax

()

Description

Display the current document at 200% printed size.

 Related topics


ZoomPercent50

Syntax

()

Description

Display the current document at 50% printed size.

 Related topics


ZoomPercent75

Syntax

()

Description

Display the current document at 75% printed size.

 Related topics


ZoomToBox

Syntax

(Left: numeric; Bottom: numeric; Right: numeric; Top: numeric)

Description

Size the view of the current drawing to a specified area. Precede with ZoomArea.

Parameters

Left: numeric	The left coordinate of an area, in WordPerfect units (1200ths of an inch).
Bottom: numeric	The bottom coordinate of an area, in WordPerfect units.
Right: numeric	The right coordinate of an area, in WordPerfect units.
Top: numeric	The top coordinate of an area, in WordPerfect units.
 Related topics


ZoomToDrawingArea

Syntax

()

Description

Return to the default view of the current drawing.

 Related topics


ZoomToObjects

Syntax

()

Description

Enlarge the view of the selected object(s).

 Related topics


ZoomToPage

Syntax

()

Description

Display a full-page view of the current drawing.

 Related topics


ZoomToSlideShowSize

Syntax

()

Description

Size the current view to match the display size in a slide show.

 Related topics


WordPerfectGlobalMacros
Global Macros

Global macros can be executed in all Corel Presentations documents. Global macros are stored in a special file called Presentations11.GMS. All objects that are used by a Global macro are also stored in the Presentations11.GMS. For example, if a macro uses a form, then the form is stored in the Presentations11.GMS.

To create a VBA global macro

1.	Click Tools, Visual Basic, Visual Basic Editor.

2.	Double-click on Global Macros in the Project view.

3.	Click Insert, User Form.

4.	Change the form so that it resembles the following diagram:

5.	Change the name of the TextBox control to NameBox as illustrated in the following list:

Command Button - CommandButton1

TextBox - NameBox

You can change all of the control's attributes, including the name of the control, in the Property dialog box located in the Visual Basic Editor.

6.	Double-click the CommandButton1 control to create a new method for the UserForm1 class, then type the following lines of code in the CommandButton1_Click method:

Private Sub CommandButton1_Click()

  Dim myname, Msg As String

    myname = NameBox

    Msg = "Hello " & myname

    MsgBox Msg

  End

End Sub

This code responds to the event that occurs when the command button is clicked.

7.	Double-click the Presentations Objects folder that appears under the Global Macros project in the Project view.

8.	Double-click ThisSlideShow that appears under the Global Macros project, then type the following lines of code in the Editor window:

Public Sub ShowForm()

End Sub

This code will add a new method to the ThisSlideShow class. If you declare ShowForm as a Private method, you will not be able to run it from Corel Presentations.

9.	Type the following line of code in the ShowForm method:

Public Sub ShowForm()

  UserForm1.Show

End Sub

 Note

•	The name of this macro is ShowForm. The name of the form is UserForm1, which is the default name. UserForm1, along with this macro would be stored in Presentations11.GMS.


PresentationsVBAEvents
Corel Presentations VBA Events

Visual Basic for Applications (VBA) is an event-driven programming language. Most of the code you create is written to respond to an event. An event is an action that is recognized by VBA; for example, clicking a button or choosing an option from a list box. Unlike traditional procedural programming, in which the program starts at line 1 and executes line by line, event-driven programming executes code in response to events.

Corel Presentations slideshow events can be broken down into two categories: Global and Project events. A Global event is an event which is recognized by all Corel Presentations 11 slide shows. Suppose you create a VBA macro in the AfterOpen Event. This macro would be valid for any Corel Presentations 11 slideshow. In contrast to Global events there are Project events. A Project event is recognized only by the local slideshow.

All events in Corel Presentations 11 are code placeholders. It is up to you to code the response. All events are called in response to a specific action. When an action occurs, the appropriate event will be called and the code located within the event is executed. You can create simple or complex events. You can code a single line that displays a Message Box or write an entire procedure that interacts with a database.

All Global events are members of the GlobalMacros class. The name of the object is the same as the class. All Project events are members of the Document class. The name of the object is the same as the class.

Global Events

BeforeSwitchDocument()

AfterSwitchDocument()

BeforeNew()

AfterNew()

BeforeOpen()

AfterOpen()

BeforePrint()

AfterPrint()

BeforeClose()

BeforeSave()

AfterSave()

AfterStartup()

Document Events

BeforeOpen()

AfterOpen()

BeforePrint()

AfterPrint()

BeforeSave()

AfterSave()


GlobalMacros.BeforeClose
GlobalMacros.BeforeClose()

Syntax

Private Sub GlobalMacros_BeforeClose()

Description

This event is called before you close the slideshow.

Example

In the following code fragment, a MessageBox informs the user that the slideshow will be closed.

Private Sub GlobalMacros_BeforeClose()

'******* Declare all variables

Dim Msg as String

Msg = "You are about to close Presentations?" ' Define message.

'****** Display the MessageBox

MsgBox Msg

End Sub


BeforeSwitchDocument
GlobalMacros.BeforeSwitchDocument()

Syntax

Private Sub GlobalMacros_BeforeSwitchDocument()

Description

This event is called when you switch slideshows. The code is executed before the new slideshow appears.

Example

In the following code fragment, a Message Box appears with the time and date. This data can be stored to a database which keeps track of file activities.

Private Sub GlobalMacros_BeforeSwitchDocument()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the MessageBox

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub


GlobalMacrosAfterSwitchDocument
GlobalMacros.AfterSwitchDocument()

Syntax

Private Sub GlobalMacros_AfterSwitchDocument()

Description

This event is called after you have switched to a new slideshow. In contrast to BeforeSwitchDocument(), this event is executed after the new slideshow appears.

Example

In the following code fragment, a Message Box appears with the time and date. This data can be stored to a database which keeps track of file activities.

Private Sub GlobalMacros_AfterSwitchDocument()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the MessageBox

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub


GlobalMacrosBeforeNew
GlobalMacros.BeforeNew()

Description

This event is called when you select a new slideshow; however, this code is executed before the new slideshow appears.

Example

In the following example, a form which displays an image appears. The important concept to note is that the form will be appear before the new slideshow appears.

Private Sub GlobalMacros_BeforeNew()

  FallsForm.Show

End Sub


GlobalMacrosAfterNew
GlobalMacros.AfterNew()

Syntax

Private Sub GlobalMacros_AfterNew()

Description

This event is called when you select a new slideshow; however, this code is executed after the new slideshow appears.

Example

In the following example, a textbox is inserted into the first slide.

Private Sub Document_AfterOpen()

  With PerfectScript

    .AddTextBox 3000,3000,11000,4000

    .KeyType "Added by AfterOpen event"

    .TextEditExit

  End With

End Sub


GlobalMacrosBeforeOpen
GlobalMacros.BeforeOpen()

Syntax

Private Sub GlobalMacros_BeforeOpen()

Description

This event is called when you open an existing slideshow; however, this code is executed before the slideshow appears.

Example

In the following code fragment, a form is called which displays the time at which the slideshow is opened.

Private Sub GlobalMacros_BeforeOpen()

  TimeForm.Show

End Sub


GlobalMacrosAfterOpen
GlobalMacros.AfterOpen()

Syntax

Private Sub GlobalMacros_AfterOpen()

Description

This event is called when you open an existing slideshow. This code is executed after the slideshow has been loaded internally.

Example

In the following example, a textbox is inserted into the first slide.

Private Sub GlobalMacros_AfterOpen()

  With PerfectScript

    .AddTextBox 3000,3000,10000,4000

    .KeyType "Added by AfterOpen event"

    .TextEditExit

  End With

End Sub


GlobalMacrosBeforePrint
GlobalMacros.BeforePrint()

Syntax

Private Sub GlobalMacros_BeforePrint()

Description

This event is called when you print the slideshow. The code is executed after the "Print to" dialog box is closed, but before the slideshow is sent to the printer.


GlobalMacrosAfterPrint
GlobalMacros.AfterPrint()

Syntax

Private Sub GlobalMacros_AfterPrint()

Description

This event is called when you print the slideshow. The code is executed after the slideshow is sent to the printer.


GlobalMacrosBeforeSave
GlobalMacros.BeforeSave()

Syntax

Private Sub GlobalMacros_BeforeSave()

Description

This event is called when you save the slideshow. This code is executed just before the slideshow is saved allowing you to customize your slideshow.


GlobalMacrosAfterSave
GlobalMacros.AfterSave()

Syntax

Private Sub GlobalMacros_AfterSave()

Description

This event is called after you have saved your slideshow.

Example

In the following code fragment, a Message Box appears with the time and date. This data can be stored to a database which keeps track of file activities.

Private Sub GlobalMacros_AfterSave()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the MessageBox

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub


GlobalMacrosAfterStartup
GlobalMacros.AfterStartup()

Syntax

Private Sub GlobalMacros_AfterStartup()

Description

This event is called when Corel Presentations 11 starts. The code in this event is executed while the splash screen is active.

Example

In the following code fragment, a MessageBox appears asking the user if they want a textbox inserted into the new slide. If the user selects Yes, then the textbox will be inserted into the slide.

Private Sub GlobalMacros_AfterStartup()()

'******* Declare all variables

Dim Msg, Style, Title, Response

Msg = "Do you want to insert a text box?" ' Define message.

Style = vbYesNo + vbQuestion ' Define buttons.

Title = "Presentations 11.0" ' Define title.

'****** Get the Users Input

Response = MsgBox(Msg, Style, Title)

If Response = vbYes Then ' User chose Yes.

'****** Insert a chart

With PerfectScript

.AddTextBox 3000,3000,10000,4000

.KeyType "Added by AfterStartup event"

.TextEditExit

End With

Else

 MsgBox ("No text box was inserted!")

End If

End Sub


DocumentBeforeOpen
Document.BeforeOpen()

Syntax

Private Sub Document_BeforeOpen()

Description

This event is called when you open a slideshow. The code in the event is executed before the slideshow appears.

Example

In the following code fragment, a Message Box appears which displays the time and date. This data can be written to a database that keeps track of file activities.

Private Sub Document_BeforeOpen()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the Message Box

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub

 Note

•	The Message Box will appear before the slideshow is opened. After the Message Box is closed, the slideshow will open.


DocumentAfterOpen
Document.AfterOpen()

Syntax

Private Sub Document_AfterOpen()

Description

This code is executed after the slideshow has been loaded internally. You can customize your slideshow by writing code in this event.

Example

In the following example, a textbox is inserted into the first slide.

Private Sub Document_AfterOpen()

  With PerfectScript

    .AddTextBox 3000,3000,10000,4000

    .KeyType "Added by AfterOpen event"

    .TextEditExit

  End With

End Sub


Document.AfterPrint()

Syntax

Private Sub Document_AfterPrint()

Description

This event is called after you have printed your slideshow.

Example

You can create a simple macro that informs the user that the slideshow is printed by coding a Message Box.

Private Sub Document_AfterPrint()

  MsgBox ("You have just printed this slideshow")

End Sub


Document.BeforePrint()

Syntax

Private Sub Document_BeforePrint()

Description

This event is called just before the slideshow is sent to the printer. This enables you to customize your slideshow before it is printed.

Example

In the following example, a form is called which simply displays an image.

Private Sub Document_BeforePrint()

'******* Call the Form

  FallsForm.Show

End Sub

 Note

•	The FallsForm is a VB Form which contains an image control.


Document.AfterSave()

Syntax

Private Sub Document_AfterSave()

Description

This event is called after you have saved your slideshow.

Example

In the following code fragment, a Message Box appears with the time and date. This data can be stored to a database which keeps track of file activities.

Private Sub Document_AfterSave()

'*** Declare all variables

Dim myTime

Dim myDate As Date

Dim myStrTime, myStrDate, Msg As String

'**** Populate the variables

myTime = Time

myDate = Date

myStrDate = Str(myDate)

myStrTime = Str(myTime)

'*** Display the Message Box

Msg = "The date is " & myStrDate & " and the time is " & myStrTime

MsgBox Msg

End Sub


Document.BeforeSave()

Syntax

Private Sub Document_BeforeSave()

Description

This event is called just before the slideshow is saved. This gives you a chance to customize your slideshow before it is saved.

Example

In the following example, the zoom setting is changed so that all objects in the slide are playback size. This setting will last until it is changed.

Private Sub Document_BeforeSave()

  PerfectScript.ZoomToSlideShowSize

End Sub


Document.BeforeClose()

Syntax

Private Sub Document_BeforeClose()

Description

This event is called when the slideshow is closed; however, this code is executed before the slideshow is actually closed.

Example

In the following code example, a Message Box will inform the user that the slideshow will close. This Message Box will appear before the slideshow is closed.

Private Sub Document_BeforeClose()

  MsgBox "You are about to close this slideshow"

End Sub


43211
Working with product commands that use a variable

You must declare a variable that you pass to a product command as a Variant.

Refer to the following code fragment:

'**** Declare the variable

Dim myAnswer As Variant

'*** Pass the variable to DirectoryExists()

PerfectScript.DirectoryExists myAnswer, "D:\Client"

MsgBox myAnswer

Code Explanation

A Boolean value is returned to myAnswer. If the directory exists, then myAnswer will be assigned the value True. If the directory does not exist, then myAnswer will be assigned False.


VBA_UNIT
Corel Presentation product commands that use WordPerfect unit values

There are many product commands which require an argument to be expressed in WordPerfect units. Here is a formula to help convert from inches to WordPerfect units:

WordPerfect unit = (n*1200), where n is inches.

Product commands that use unit values:

AddArc

AddPolyCurve

AddPolyLine

AddPolyLineWithEndCaps

AddRoundedRect

AddTextBox

ChartSetCreateSize

DocumentFormSettings

DrawingSizeSettings

ObjectAreaSelect

ObjectMove

ObjectPointSelect

ObjectScale

ObjectSetLineWidth

PreferenceFormSettings

PrintDocument

SetGridSnapOptions

SetTextLineAttributes

TextKerning


43211
Working with repeating parameters

You must create and pass an array to each product command that has repeating parameters. Refer to the following code example, which illustrates two different code techniques:

Example 1

Sub TestPolyLine()

  Dim x As Variant

  Dim y As Variant

  x = Array (3000,8000,8000,3000)

  y = Array (3500,3200,7500,7000)

  With PerfectScript

    .AddPolyLine OpenFrame_AddPolyLine_FillAndFrame, 4, x, y

  End With

End Sub

Example 2

Sub TestSelectBox()

  Dim box As Variant

  box = Array (1,2,2,0)

  With PerfectScript

    .ChartCreateOrg Button1_ChartCreateOrg_GalleryStyle

    .SelectBox On_SelectBox_Select, box

  End With

End Sub

 Note

•	You must use the integer values when populating an array used for repeating parameters.


VBA_REPEAT
Product commands with repeating parameters

To use product commands in VBA with repeating parameters, you must declare an array. Values for each repetitive parameter must be loaded into the array. After the array is populated, you have to pass the array The following list is all the product commands with repeating parameters:

Product commands with repeating parameters:

AddPolyCurve

AddPolyLine

AddPolyLineWithEndCaps

AirBrush

ChartBoxFields

PaintBrush

PaintEraser

SelectBox

SelectiveReplace

Code Example%43211>commands


VBA Programming
VBA programming issues relating to product commands

There are several issues that must be discussed with respect to programming with product commands in the VBA environment. You can click on any of the following gray boxes for a detailed explanation:

Product commands with repeating parameters

Calling product commands outside of the intended scope

Product commands that require a unit


Event

Each object within an object model is defined by a property, method, event, or a combination of each. An event is a noun, and acts as something that takes place in an object. You write code for an object to respond to the act. Events are triggered by an action, such as a click, key press, or system timer.


Event-driven programming

Visual Basic for Applications is an event-driven programming language. Most of the code you create is written to respond to an event. Each object within an object model is defined by a property, method, event, or a combination of each. An event is a noun, and acts as something that takes place in an object. You write code for an object to respond to the act. Events are triggered by an action, such as a click, key press, or system timer. Unlike traditional procedural programming, in which the program starts at line 1 and executes line by line, event-driven programming executes code in response to events.


Variant

The Variant data type is the data type for all variables that are not declared as another type such as Dim, Private, Public, or Static. The Variant data type has no type-declaration character.


Object-oriented programming

A style of programming that places emphasis on creating and using objects.


Object model

An object model represents the hierarchy of objects within an application and their relationship to each other within the paradigm.

For example, the Document object represents the beginning of the object hierarchy in WordPerfect. Starting with the Document object, you drill down and navigate through the object model until you find the desired object. To reference an object with Visual Basic code, you separate each level of the object hierarchy with the dot operator (.).


Contents Page
Corel Presentations Macros Help

Click the Help Topics button to return to the list of topics.


Corel Presentations Product Command List
Corel Presentations Macro Commands List

PerfectScript Macro Commands List

A

AboutDlg

AcquireImage

AcquireImageDlg

AcquireImageSelect

ActivateBoxField

AddArc

AddBackground

AddBackgroundDlg

AddLayout

AddLayoutDlg

AddPolyCurve

AddPolyLine

AddPolyLineWithEndCaps

AddRoundedRect

AddShape

AddSlide

AddSlideDlg

AddTextBox

AirBrush

AlignCenterLeftRight

AlignObjectsBottom

AlignObjectsCenter

AlignObjectsLeft

AlignObjectsRight

AlignObjectsTop

AlignObjectsTopBottom

AlignTextBottom

AlignTextMiddle

AlignTextTop

ApplicationMaximize

ApplicationMinimize

ApplicationMove

ApplicationRestore

ApplicationSize

AssignBackgroundDlg

AssignLayoutBackground

B

BackgroundGallery

BackgroundGetNext

BackgroundGetPrevious

BackgroundInsert

BackgroundNext

BackgroundPrevious

Backspace

BeginAcquireImageArea

BeginAcquireImageFixedSize

BeginAirBrush

BeginBitmap

BeginBulletChart

BeginCircle

BeginClosedCurve

BeginCurve

BeginDataChart

BeginEllipse

BeginEllipticalArc

BeginFloodFill

BeginFreehand

BeginLine

BeginLine2

BeginOrgChart

BeginPaintBrush

BeginPaintDropper

BeginPaintEraser

BeginPolygon

BeginRectangle

BeginRetrieveFigure

BeginRoundedRectangle

BeginSelect

BeginSelectArea

BeginSelectiveReplace

BegOfLine

BitmapBlur

BitmapBrightness

BitmapCancel

BitmapContrast

BitmapCreate

BitmapEmboss

BitmapEqualize

BitmapMosaic

BitmapRain

BitmapReturn

BitmapSaturation

BitmapSharpen

BitmapSmooth

BitmapSpecialEffectsDlg

BitmapSpikeRemoval

BitmapStereogram

BitmapTrace

BitmapTraceContours

BitmapUndo

BitmapWind

BitmapZoom

BlendDlg

BlendObjects

BoxAttributesDlg

BranchZoomInOut

BrushAttributesDlg

BulletChartAttrEnd

BulletChartAttrStart

C

CallCorelWebPage

CapBeginSentence

ChartArea

ChartAttributesDlg

ChartAutoRedraw

ChartBar

ChartBoxAttributesDlg

ChartBoxFields

ChartBoxFieldsDlg

ChartBubbleChart

ChartCancelDrop

ChartClearAll

ChartClearDlg

ChartClearText

ChartClose

ChartCollapseSubordinates

ChartCopy

ChartCopyContents

ChartCreate

ChartCreateBullet

ChartCreateDlg

ChartCreateOrg

ChartCreateOrgDlg

ChartCut

ChartDataAxisDlg

ChartDataColWidthDlg

ChartDataExcludeDlg

ChartDataFillDlg

ChartDataFormatDlg

ChartDataFormulasDlg

ChartDataFrameDlg

ChartDataGridTickDlg

ChartDataIncludeDlg

ChartDataLabelsDlg

ChartDataLayoutDlg

ChartDataLegendDlg

ChartDataPerspectiveDlg

ChartDataRecalc

ChartDataSeriesDlg

ChartDataSortDlg

ChartDataStatisticsDlg

ChartDataSubtitleDlg

ChartDataTitlesDlg

ChartDataY1AxisDlg

ChartDataY2AxisDlg

ChartDeleteDlg

ChartDrop

ChartDropCopy

ChartDropTarget

ChartEdit

ChartEditBox

ChartEditCellDlg

ChartExpandSubordinates

ChartFillAttributesDlg

ChartFontAttributesDlg

ChartFontDlg

ChartGallery

ChartGalleryDlg

ChartGetAttrs

ChartGotoCell2

ChartGotoCellDlg

ChartHiLo

ChartInsertCoworker

ChartInsertDataDlg

ChartInsertManager

ChartInsertNode

ChartInsertStaff

ChartInsertSubordinate

ChartLine

ChartLineAttributesDlg

ChartMoveContents

ChartOpenFileDlg

ChartOrDataWindowNext

ChartPaste

ChartPasteBranch

ChartPasteTranspose

ChartPie

ChartPromoteBox

ChartPutAttrs

ChartRadar

ChartRenameBoxField

ChartResetTextLocation

ChartSaveAsDlg

ChartScatter

ChartSelectAll

ChartSelectBox

ChartSelectBranch

ChartSelectFrameBase

ChartSelectGTA

ChartSelectLevels

ChartSelectLevelsDlg

ChartSelectLines

ChartSelectNext

ChartSelectPieText

ChartSelectPieWedge

ChartSelectPrev

ChartSelectSeries

ChartSelectText

ChartSetAbove

ChartSetAxisTitleHorz

ChartSetAxisTitleVert

ChartSetBack

ChartSetBelow

ChartSetBottom

ChartSetCenter

ChartSetCreateSize

ChartSetFront

ChartSetHide

ChartSetHorz

ChartSetInside

ChartSetLabels

ChartSetLeft

ChartSetLegend

ChartSetLinear

ChartSetLog

ChartSetOutside

ChartSetRight

ChartSetSpacing

ChartSetSpacingDlg

ChartSetStagger

ChartSetTitleLeft

ChartSetTitleRight

ChartSetTop

ChartSetUnStagger

ChartSetVert

ChartSetY1

ChartSetY2

ChartSubtitleToggle

ChartSurface

ChartTextUserPos

ChartTitlesDisplay

ChartTitleToggle

ChartToggle3D

ChartToggleHorzVert

ChartToggleTable

ChartUnselectAll

ChartViewDatasheet

ChartViewOrgOutline

ChartZeroBaseline

ClearBackground

ClearBitmap

ClearDrawing

ClearLayout

ClearMaster

ClearMasterDlg

ClearPresentation

ClearPresentationDlg

ClearSlide

ClipArtBrowser

ClipboardCopy

ClipboardCut

ClipboardPaste

CombineObjects

ConnectorsDlg

ContourText

ContourTextAttributesDlg

ConvertToBitmap

ConvertToPolygon

CopyMarquee

CopySelectedSlides

CrosshairCursor

CutMarquee

D

DatasheetBlockMode

DatasheetColWidth

DatasheetDateFmt

DatasheetDelete

DatasheetDown

DatasheetExclude

DatasheetExport

DatasheetFillDates

DatasheetFillNumbers

DatasheetFormula

DatasheetGoto

DatasheetHome

DatasheetImport

DatasheetImportOptions

DatasheetImportText

DatasheetInclude

DatasheetInput

DatasheetInsert

DatasheetLeft

DatasheetNumericFmt

DatasheetOneColWidth

DatasheetPgDn

DatasheetPgLeft

DatasheetPgRight

DatasheetPgUp

DatasheetRight

DatasheetUp

DateCode

DateFormat

DateFormatDlg

DateText

DefineBulletsDlg

DefineSubTitleDlg

DefineTitleDlg

Delete

DeleteAlignBars

DeleteAlignmentBar

DeleteBackground

DeleteKeyboard

DeleteLayout

DeleteMenu

DeleteObjects

DeleteSelectedSlides

DeleteToBegOfWord

DeleteToEndOfWord

DeleteWord

DelToDocBottom

DelToEndOfLine

DisplaySettingsDlg

DocPrevious

DocumentBottom

DocumentFormSettings

DocumentMaximize

DocumentMinimize

DocumentMove

DocumentNext

DocumentPageColor

DocumentRestore

DocumentSize

DocumentTop

DoubleSmartQuote

DraftMode

DrawingSizeDlg

DrawingSizeSettings

E

EditBackground

EditLayouts

EditOleObject

EditSelectedBitmap

EditSlides

EndOfLine

EndOfSentenceSpacing

EnvBackgroundTitle

EnvCapBeginSentence

EnvChartDataWin

EnvChartDisplay

EnvChartType

EnvColorPalette

EnvCurrentBackgroundNumber

EnvCurrentFilename

EnvCurrentLayoutNumber

EnvCurrentMode

EnvCurrentSlideNumber

EnvCurrentTool

EnvDoubleSmartQuoteOpen

EnvDoubleSmartQuoteState

EnvDoubleSmartQuoteClose

EnvEndOfSentenceSpacing

EnvFormInfo

EnvGetCurrentPrinter

EnvGetMarqueeHeight

EnvGetMarqueeWidth

EnvGetMarqueeXPos

EnvGetMarqueeYPos

EnvGetObjectHeight

EnvGetObjectWidth

EnvGetObjectXPos

EnvGetObjectYPos

EnvGetPointerPositionY

EnvGetPointerPositionX

EnvIrregularCap

EnvIsCommandValid

EnvIsSlideSkipped

EnvLayoutTitle

EnvLeftChar

EnvNextFontFace

EnvNumberOfBackgrounds

EnvNumberOfDocuments

EnvNumberOfLayouts

EnvNumberOfSlides

EnvOpenDocuments

EnvPaths

EnvQuickCorrect

EnvRightChar

EnvSelectedText

EnvSingleSmartQuoteState

EnvSingleSmartQuoteOpen

EnvSingleSmartQuoteClose

EnvSingleSpaceInSentence

EnvSlideStringData

EnvSlideTitle

EnvSpeakerNotes

EnvSpeedLinkNumericData

EnvSpeedLinkSelect

EnvSpeedLinkStringData

EnvTemplate

EnvTextChartType

EnvUseRegQuotesWithNumbers

EraseMarquee

ExportBMP

ExportCAL

ExportCGM

ExportCPT

ExportCPT7

ExportEMF

ExportEPS

ExportGIF

ExportIMG

ExportJPG

ExportMAC

ExportPCX

ExportPNG

ExportSCT

ExportTGA

ExportTIFF

ExportWMF

ExportWVL

F

FigureReturn

FigureReturnAll

File1Open

File2Open

File3Open

File4Open

File5Open

File6Open

File7Open

File8Open

File9Open

FileClose

FileExit

FileNewDlg

FileOpen

FileOpenDlg

FileRetrieve

FileSave

FileSaveAs

FileSaveAsDlg

FillAttributes

FillAttributesDlg

FindReplaceTextDlg

FloodFill

FontSizeDec

FontSizeInc

G

GetAttrDlg

GetAttributes

GlyphEdit

GoToKeysDlg

GotoPositionDlg

Grammatik

GrayScale

GroupObjects

H

HardReturn

HelpAssistant

HelpHowDoI

HelpIndex

HelpKeyboard

HelpMacros

HelpPerfectExpertDlg

HelpTransition

HelpWhatIs

I

ImportOrgOutline

InhibitInput

InsertClipartDlg

InsertEquation

InsertFileDlg

InsertMemoObject

InsertMovie

InsertMovieObject

InsertQuattroTable

InsertTextart

InternetPublisher

InvertColors

IrregularCap

J

JustifyAuto

JustifyCenter

JustifyLeft

JustifyRight

K

KerningDlg

KeyboardCopy

KeyboardCreate

KeyboardEdit

KeyboardRename

KeyboardSelect

L

LayoutGallery

LayoutGetNext

LayoutGetPrevious

LayoutNext

LayoutPrevious

LineAttributes

LineAttributesDlg

LineSpacingDlg

M

MacroFilePlay

MacroPause

MacroPlayDlg

MacroStop

Mail

MailSystem1

MailSystem2

MailSystem3

MailSystem4

MailSystem5

MailSystem6

MailSystem7

MailSystem8

MailSystem9

MakeRuntime

MakeRuntimeDlg

MarkAsStaff

MasterGalleryDlg

MaximizeSpacing

MenuCopy

MenuCreate

MenuEdit

MenuRename

MenuSelect

MirrorObjectsHorizontally

MirrorObjectsVertically

ModifyFigure

ModifyObjects

MoveBackward

MoveForward

MoveSelectedSlides

MoveToBack

MoveToFront

MovieSettings

N

NameLayoutDlg

NewDocument

NewDrawingCreate

NewPresentationCreate

NewPresentationDlg

NormalText

O

ObjectAnimationDlg

ObjectAreaSelect

ObjectMove

ObjectPointSelect

ObjectScale

ObjectSetFillBackground

ObjectSetFillForeground

ObjectSetFillPattern

ObjectSetFillState

ObjectSetFrameState

ObjectSetLineBackground

ObjectSetLineForeground

ObjectSetLinePattern

ObjectSetLineStyle

ObjectSetLineWidth

Ole20InsertObjectDlg

OleBrowseLinksDlg

OleChartCloseFile

OleChartExit

OleChartUpdateFile

OleCloseFile

OleExit

OleInsertFromFile

OleInsertObject

OlePlayInformation

OlePlaySettings

OleSaveAsDlg

OleUpdateFile

OnlineService

OrgChartAlignmentDlg

OrgChartBoxSize

OrgChartFontAttrsDlg

OrgChartFontDlg

OrgChartImportOutline

OrgChartLayoutDlg

OrgChartOrientationDlg

OrgChartUndelete

OrgChartViewAllBranches

OrgChartViewSelectedBranch

OrgTextEditExit

OutlineNextLevel

OutlineObject

OutlinePreviousLevel

OutlineRevealCodes

OverrideSlideDlg

P

PageColorDlg

PageFormatDlg

PageMode

PageSizeInfo

PaintBrush

PaintDropMarquee

PaintDropper

PaintEraser

PaintEscapeUndo

PaintMoveMarquee

PasteMarquee

PasteObject

PasteSpecialOle20Dlg

PlaySlideShow

PlaySlideShowDlg

PlaySlideShowFirst

PointerPosition

PosterDlg

PRActivate

PrefCustomDlg

PrefEnvironmentDlg

PreferenceDateTime

PreferenceDateTimeDlg

PreferenceEnvGenDlg

PreferenceEnvironmentDlg

PreferenceEnvLangDlg

PreferenceFormSettings

PreferenceKeyboardDlg

PreferenceLOFDlg

PreferenceMenuDlg

PreferencePageColor

PreferencePropertyBarDlg

PreferencesDlg

PreferenceToolbarDlg

PreferenceToolPaletteDlg

PrefLOFDlg

PrintBlackWhite

PrintCopies

PrintDestination

PrintDialog

PrintDocTkn

PrintDocument

PrintImageBinding

PrintImageOffset

PrintInColor

PrintInReverseOrder

PrintMode

PrintNoBackground

PrintRangeFrom

PrintRangeTo

PrintResolution

PrintSelectByName

PrintSettings

PrintSlideNumber

PrintSlidesPerPage

PrintSlideTitle

PrintSortOrder

PrintSourceFilename

PrintTextAsGraphics

PrintTwoSided

PropertyBarEdit

PublishToPDF

PutAttributes

Q

Quick3D

Quick3DDlg

QuickCorrect

QuickCorrectAddItem

QuickCorrectDeleteItem

QuickCorrectDlg

QuickCorrectOptions

QuickWarp

QuickWarpDlg

R

RealizeFontChanges

Redo

RedrawChart

RefreshScreen

ReplaceMasters

ReplaceWithClipart

ResampleBitmapCmd

ResetColorTable

RetrieveChartStyle

RetrieveFigure

RetrieveFigureDlg

RetrieveOutline

RetrieveStyleDlg

RevealCodes

RotateObject

RotateObjects

RotateObjectsAroundAnchor

RotateObjectsDlg

RulerGridOptionsDlg

S

SaveChartStyle

SaveStyleDlg

SaveWithEvenBorders

ScreenDown

SelectAllObjects

SelectBegOfLine

SelectBox

SelectCurrentLevel

SelectDocBottom

SelectDocTop

SelectDown

SelectEndOfLine

SelectiveReplace

SelectLeft

SelectLikeObjects

SelectOnlineServiceDlg

SelectPrinter

SelectRight

SelectScreenDown

SelectScreenUp

SelectTextChart

SelectUp

SelectWordLeft

SelectWordRight

SendtoGraphicsland

SendToWP

SeparateObject

SetAirbrushDensity

SetAxisOptions

SetBackgroundName

SetBackgroundNameDlg

SetBarStyle

SetBitmapTransparency

SetBorder

SetBrushShape

SetBrushWidth

SetBubbleAnchors

SetBulletAttributes

SetBulletColor

SetBulletDefinition

SetBulletEffect

SetBulletLayout

SetBulletLineSpacing

SetBulletSize

SetChartAttrsBold

SetChartAttrsItalic

SetChartAttrsUnderline

SetChartFont

SetChartTitlePos

SetColorAttributes

SetConnector

SetExplodeDistance

SetFontFace

SetFontGradient

SetFontOutline

SetFontPattern

SetFrameOptions

SetGradient

SetGridSnapOptions

SetGridTickOptions

SetHLOStyle

SetLabelOptions

SetLayoutSizes

SetLayoutTitle

SetLegendOptions

SetLevelFont

SetLevelGradient

SetLevelPattern

SetLineAttributes

SetLineSpacing

SetObjectTransition

SetOrgAlignment

SetOrgChartBox

SetOrgChartLayout

SetOrgChartTop

SetOrgOrientation

SetPaintMarquee

SetPaletteColor

SetPattern

SetPerspectiveOptions

SetPieLabelOptions

SetPieStyle

SetProportionalPies

SetRadarView

SetRangeHighlight

SetSeriesOptions

SetSlideLinkFile

SetSlideNotes

SetSlideOptions

SetSlideOverride

SetSlideSound

SetSlideTransition

SetSlideTransitionDirectionOnly

SetSlideTransitionOnly

SetSlideTransitionSpeedOnly

SetTableBlend

SetTableSurfaceColor

SetTableSurfaceOptions

SetTemplateAll

SetTemplateCurrent

SetTemplateRange

SetTextChartBox

SetTextFillAttributes

SetTextLineAttributes

SetTexture2

SetTitleString

SetViewOptions

ShadowAttributes

ShadowAttributesDlg

ShellFileOpen

ShellPlayShow

ShowBackground

ShowGrid

ShowGuides

ShowHideSubordinates

ShowLayout

ShowPropertyBar

ShowRuler

ShowSlide

ShowToolbar

ShowToolPalette

SilhouetteObject

SingleSmartQuote

SingleSpaceInSentence

SizeObjectsAroundAnchor

SizeObjectsByLeftBottomDlg

SizeObjectsByLeftTopDlg

SizeObjectsByRightBottomDlg

SizeObjectsByRightTopDlg

SkewObject

SkewObjectsAroundAnchor

SkewObjectsAtBottomDlg

SkewObjectsAtLeftDlg

SkewObjectsAtRightDlg

SkewObjectsAtTopDlg

SkipSelectedSlide

SlideAppearanceBackground

SlideAppearanceLayout

SlideAudienceManager

SlideDisplaySequence

SlideFirst

SlideGetLast

SlideGetNext

SlideLast

SlideLayoutReApply

SlideNext

SlidePageDown

SlidePageUp

SlidePrevious

SlidePropertiesDlg

SlideQuickPlay

SlideSelect

SlideSetCurrent

SlideShowOutline

SlideShowSlide

SlideShowSort

SlideTransitionDlg

SlideTransitionsDlg

SnapToAlignment

SnapToGrid

SortSpreadsheetData

SoundControlDlg

SpaceObjectsHorizontally

SpaceObjectsVertically

SpeakerNotesDlg

SpeedKeyDelete

SpeedKeyDlg

SpeedKeyProperties

SpeedLinkAttributeDlg

SpeedLinkDelete

SpeedLinkListDlg

SpeedLinkProperties

Speller

StretchObjectsAroundAnchor

StretchObjectsByBottomDlg

StretchObjectsByLeftDlg

StretchObjectsByRightDlg

StretchObjectsByTopDlg

SummaryInfoDlg

SwapFillColors

SwitchDocument

T

TableLayoutDlg

TemplateChartCreateDlg

TextAttributesDlg

TextBlock

TextBold

TextBoxCreate

TextChartNext

TextChartPrevious

TextDown

TextEditExit

TextFontDlg

TextInsertMode

TextItalic

TextKerning

TextLayoutBackTab

TextLayoutCenter

TextLayoutDoubleIndent

TextLayoutFlushRight

TextLayoutHangingIndent

TextLayoutIndent

TextLeft

TextLineCreate

TextReplace

TextRight

TextScreenTop

TextSearch

TextTab

TextToCurvesCmd

TextUnderline

TextUp

Thesaurus

ToolbarCopy

ToolbarCreate

ToolbarDelete

ToolbarEdit

ToolbarRename

ToolbarSelect

ToolPaletteEdit

TransparentColorDlg

Type

U

UndeleteDlg

Undo

UnselectAllObjects

UseMasterPageColor

UseRegQuotesWithNumbers

V

VersionControlDocument

VersionControlRetrieve

VersionControlSave

ViewAutoSelect

ViewPrevious

ViewSelectedItems

ViewToolBarsDlg

W

WebBrowse

WebBrowserLaunch

WindowsCascade

WindowsTile

WindowsTileHorizontal

WordLeft

WordPerfectCharactersDlg

WordRight

WorkInProgressDlg

X

No commands

Y

No commands

Z

ZoomArea

ZoomDlg

ZoomIn

ZoomOther

ZoomOut

ZoomPercent100

ZoomPercent150

ZoomPercent200

ZoomPercent50

ZoomPercent75

ZoomToBox

ZoomToDrawingArea

ZoomToObjects

ZoomToPage

ZoomToSlideShowSize


Issues
Calling product commands outside of their intended scope

It is not recommended to call product commands until you are familiar with their function. You will produce a run time error if you call a product command outside of the context it was meant to be used. For example, you must have text in focus before you can select the ‘Thesaurus’ menu option. If you call the ‘Thesaurus’ product command when the menu option is disabled, you will be using the product command outside of the intended scope and a run time error will occur. It is recommended that you became familiar with the a specific task before you automate it.